@extends('AdminLayout')
@section('content')



	  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Booking Receipts</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Booking Receipts</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4 class="header-title mb-4">Booking Receipts</h4>
                                            </div>
                                            <!-- Right modal content -->
                                            <div id="right-modal" class="modal fade filterform" tabindex="-1" role="dialog" aria-hidden="true">
                                                <div class="modal-dialog modal-md modal-right">
                                                    <div class="modal-content">
                                                        <div class="modal-header border-0">
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                        </div>
                                                        <div class="modal-body p-4">
                                                            
                                                                <div class="row">
                                                                    <div class="col-lg-12 ">
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_passengerId_input" placeholder="Passenger" >
                                                                                <input type="hidden" class="form-control input-round" id="filter_passengerId" placeholder="Passenger" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_driverId_input" placeholder="Driver" >
                                                                                <input type="hidden" class="form-control input-round" id="filter_driverId" placeholder="Passenger" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="DriverProfit" placeholder="Driver Profit" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                 <select id="filter_paymentTypeId" name="filter_paymentTypeId"
                                class="form-control input-round">
                            <option value="">Payment Type</option>
                            @foreach($lkp_paymenttype as $paymenttype)
                                <option value="{{$paymenttype->id}}">{{$paymenttype->paymentType}}</option>
                            @endforeach
                        </select>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_bookingId" placeholder="TripId" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_driverProfit" placeholder="Driver Profit" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_companyProfit" placeholder="Company Profit" >
                                                                            </div>
                                                                        </div>
                                                                         <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_vatTax" placeholder="Vat Tax" >
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_totalAmountPaid" placeholder="Total Amount Paid" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_driverPercentage" placeholder="Driver Percentage" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <select id="filter_paymentStatusId" name="filter_paymentStatusId"
                                 class="form-control input-round">
                            <option value="">Payment Status</option>
                            @foreach($lkp_paymentstatus as $paymentstatus)
                                <option value="{{$paymentstatus->id}}">{{$paymentstatus->status}}</option>
                            @endforeach
                        </select>
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_created_at" class="form-control input-round range-picker" placeholder="Created_At" >
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_updated_at" class="form-control input-round range-picker" placeholder="Updated_At" >
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                        
                                                                        <div class="mt-2">
                                                                            <button type="submit" name="filter" id="filter"  class=" btn btn-primary btn-rounded mr-3">Filter</button> 
                                                                            <button type="submit" name="reset" id="reset" class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Reset</button> 
                                                                        </div>
                                                                        
                                                                    </div> <!-- end col -->
                                                                </div>
                                                            
                                                        </div>
                                                    </div><!-- /.modal-content -->
                                                </div><!-- /.modal-dialog -->
                                            </div><!-- /.modal -->
                                            <div class="col-md-6 filter-buttons">
                                                <button type="button" class="btn btn-white btn-rounded waves-effect mb-2" data-toggle="modal" data-target="#right-modal"><i class="mdi mdi-filter-outline cust-filter"></i> Filter</button>
                                            </div>
                                        </div>
                                        
                                        <table id="customer_data" class="table dt-responsive no w-100">
                                            
                                            <thead class="thead-light">
                                                <tr>
                                                    <th>Created</th>
                                                    <th>Tripld</th>
                                                    <th>Passenger</th>
                                                    <th>Driver</th>
                                                    <th>Total <br>
                                                        Amount</th>
                                                    <th>Company <br>
                                                        Profit</th>
                                                    <th>Driver<br>
                                                        Percentage</th>
                                                     <th>Driver Profit</th>
                                                     <th>Vat Tax</th>
                                                     <th>Payment<br>
                                                        Staus</th>
                                                    <th>Payment<br>
                                                        Type</th>
                                                    <th>Actions</th>
                                                </tr>
                                            </thead>
                                        
                                        
                                            <tbody>
                                                
                                                  
                                            </tbody>
                                        </table>

                                    </div> <!-- end card body-->
                                </div> <!-- end card -->
                            </div><!-- end col-->
                        </div>
                        <!-- end row-->
                        <!-- End Page Body -->
                        @include('BookingReceipts.show_popup')
                    </div> <!-- container -->

                        <script>
        $(document).ready(function () {
            fill_datatable();


            function fill_datatable(filter_bookingId = '', filter_passengerId = '', filter_driverId = '', filter_totalAmountPaid = '', filter_companyProfit = '', filter_driverPercentage = '', filter_driverProfit = '', filter_vatTax = '', filter_paymentStatusId = '', filter_paymentTypeId = '', filter_created_at = '', filter_updated_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    "order": [[0, "desc"]],
                    "pagingType": "simple_numbers",
                    "autoWidth": false,
					language: { paginate: { previous: "<i class='mdi mdi-chevron-left'>", next: "<i class='mdi mdi-chevron-right'>" } },
					buttons: [
                    { extend: "copy", className: "btn-light" },
                    { extend: "print", className: "btn-light" },
                    { extend: "pdf", className: "btn-light" },
                     ],
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
						$(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    },
                    ajax: {
                        url: "{{ route('BookingReceipts.index') }}",
                        data: {
                            filter_bookingId: filter_bookingId,
                            filter_passengerId: filter_passengerId,
                            filter_driverId: filter_driverId,
                            filter_totalAmountPaid: filter_totalAmountPaid,
                            filter_companyProfit: filter_companyProfit,
                            filter_driverPercentage: filter_driverPercentage,
                            filter_driverProfit: filter_driverProfit,
                            filter_vatTax: filter_vatTax,
                            filter_paymentStatusId: filter_paymentStatusId,
                            filter_paymentTypeId: filter_paymentTypeId,
                            filter_created_at: filter_created_at,
                            filter_updated_at: filter_updated_at,
                        }
                    },
                    columns: [
                        {
                            data: 'created_at',
                            render: function (data, type, row, meta) {
                               
                                    
                                    return '<span class="text-muted"><i class="far fa-calendar-alt"></i></span> '+data
                            }
                        },

                        {
                            data: 'bookingId',
                            render: function (data, type, row, meta) {
                                return '<a href="javascript:trip(' + row.bookingId + ')">' + data + '</a>';
                            }
                        },
                        {
                            data: 'passenger_name',
                            render: function (data, type, row, meta) {
                                return '<a href="javascript:passenger(' + row.passengerId + ')">' + data + '</a>';
                            }
                        },
                        {
                            data: 'driver_name',
                            render: function (data, type, row, meta) {
                                return '<a href="javascript:driver(' + row.driverId + ')">' + data + '</a>';
                            }
                        },
                        {
                            data: 'totalAmountPaid',
                            name: 'totalAmountPaid',
                        },
                        {
                            data: 'companyProfit',
                            name: 'companyProfit',
                        },
                        {
                            data: 'driverPercentage',
                            name: 'driverPercentage',
                        },
                        {
                            data: 'driverProfit',
                            name: 'driverProfit',
                        },
                        {
                            data: 'vatTax',
                            name: 'vatTax',
                        },
                        {
                            data: 'paymentStatusId',
                            render: function (data, type, row, meta) {
                                if (data === 1) {
                                    return '<span class="badge badge-soft-success"> ' + row.status + '</span>';
                                } else if (data === 2) {
                                    return '<span class="badge badge-soft-warning"> ' + row.status + '</span>';
                                }
                            }
                        },
                        {
                            data: 'paymentTypeId',
                            render: function (data, type, row, meta) {
                                if (data === 1) {
                                    return '<i class="mdi mdi-cash-multiple text-success"></i> ' + row.paymentType;
                                } else if (data === 2) {
                                    return '<i class="fa fa-credit-card"></i> ' + row.paymentType;
                                }
                            }
                        },

                        {
                            orderable: false,
                            className: "text-center",
                            targets: -1,
                            data: 'id',
                            "render": function (data, type, row, meta) {
                               return '<a href="javascript:void(0)" id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="button-icon viewicon view"> <i class="fa fa-eye"></i> </a>'


                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }
                    ]
                });
            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                //window.location.href = "{{URL("/BookingReceipts")}}" + "/" + id
                
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/BookingReceipts")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                       // document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                        $('#booking-receipt').modal('show')
                    }
                });
            });


            $('#filter').click(function () {
                if ($('#filter_bookingId').val() != '' || $('#filter_passengerId').val() != '' || $('#filter_driverId').val() != '' || $('#filter_totalAmountPaid').val() != '' || $('#filter_companyProfit').val() != '' || $('#filter_driverPercentage').val() != '' || $('#filter_driverProfit').val() != '' || $('#filter_vatTax').val() != '' || $('#filter_paymentStatusId').val() != '' || $('#filter_paymentTypeId').val() != '' || $('#filter_created_at').val() != '' || $('#filter_updated_at').val() != '') {
                    //card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_bookingId').val(), $('#filter_passengerId').val(), $('#filter_driverId').val(), $('#filter_totalAmountPaid').val(), $('#filter_companyProfit').val(), $('#filter_driverPercentage').val(), $('#filter_driverProfit').val(), $('#filter_vatTax').val(), $('#filter_paymentStatusId').val(), $('#filter_paymentTypeId').val(), $('#filter_created_at').val(), $('#filter_updated_at').val() );
                    $('#right-modal').modal('hide');
                } else {
                    alert('Select filter option');
                }
            });
            $('#reset').click(function () {
                $('#filter_bookingId').val('');
                $('#filter_passengerId').val('');
                $('#filter_passengerId_input').val('');
                $('#filter_driverId').val('');
                $('#filter_driverId_input').val('');
                $('#filter_totalAmountPaid').val('');
                $('#filter_companyProfit').val('');
                $('#filter_driverPercentage').val('');
                $('#filter_driverProfit').val('');
                $('#filter_vatTax').val('');
                $('#filter_paymentStatusId').val('');
                $('#filter_paymentTypeId').val('');
                $('#filter_created_at').val('');
                $('#filter_updated_at').val('');
                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });
        });

        function passenger_window() {
            myWindow1 = window.open("{{URL("/PassengerWindow")}}", "",
                "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function driver_window() {
            $('#filter_vehichleId').val('');
            $('#filter_vehichleId_input').val('');
            myWindow1 = window.open("{{URL("/DriverWindow")}}", "",
                "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function passenger(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Passengers")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }

        function driver(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Drivers")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }

        function trip(id) {

            $.ajax({
                type: 'GET',
                url: "{{URL("/Trips")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;

                }
            });
        }

                $('#filter_passengerId_input').autocomplete({
    serviceUrl: '{{ route('get_passengers') }}',
    onSelect: function (suggestion) {
        console.log(suggestion)
        //alert('You selected: ' + suggestion.value + ', ' + suggestion.data);
        $("#filter_passengerId").val(suggestion.data);
    }
});

                $('#filter_driverId_input').autocomplete({
    serviceUrl: '{{ route('get_drivers') }}',
    onSelect: function (suggestion) {
        console.log(suggestion)
        //alert('You selected: ' + suggestion.value + ', ' + suggestion.data);
        $("#filter_driverId").val(suggestion.data);
    }
});

    </script>

@endsection