@extends('AdminLayout')
@section('content')
  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Booking Requests</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Booking Requests</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4 class="header-title mb-4">Booking Requests</h4>
                                            </div>
                                            <!-- Right modal content -->
                                            <div id="right-modal" class="modal fade filterform" tabindex="-1" role="dialog" aria-hidden="true">
                                                <div class="modal-dialog modal-md modal-right">
                                                    <div class="modal-content">
                                                        <div class="modal-header border-0">
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                        </div>
                                                        <div class="modal-body p-4">
                                                            
                                                                <div class="row">
                                                                    <div class="col-lg-12 ">
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" name="filter_passengerId_input" id="filter_passengerId_input" placeholder="Passenger" >
                                                                                 <input type="hidden" class="form-control input-round" name="filter_passengerId" id="filter_passengerId" placeholder="Passenger" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_destinationAddress" name="filter_destinationAddress" placeholder="Destination Address" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" name="filter_estimatedPrice" id="filter_estimatedPrice" placeholder="Estimated Price" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <select id="filter_paymentTypeId" name="filter_paymentTypeId"
                                data-placeholder="Choose a CarType..." class="form-control input-round">
                            <option value="">Payment Type</option>
                            @foreach($lkp_paymenttype as $paymenttype)
                                <option value="{{$paymenttype->id}}">{{$paymenttype->paymentType}}</option>
                            @endforeach
                        </select>
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <select id="filter_carTypeId" name="filter_carTypeId" data-placeholder="Choose a CarType..."
                                class="form-control input-round">
                            <option value=""></option>
                            @foreach($lkp_cartypes as $cartype)
                                <option value="{{$cartype->id}}">{{$cartype->carName}}</option>
                            @endforeach
                        </select>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" name="filter_pickupLatLong" id="filter_pickupLatLong" class="form-control input-round" placeholder="PickupLatLong" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_estimatedDistance" name="filter_estimatedDistance" class="form-control input-round" placeholder="Estimated Distance" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                               <select id="filter_rideStatusId" name="filter_rideStatusId"
                                data-placeholder="Choose a CarType..." class="form-control input-round">
                            <option value=""></option>
                            @foreach($lkp_requestridestatus as $requestridestatus)
                                <option value="{{$requestridestatus->id}}">{{$requestridestatus->rideStatus}}</option>
                            @endforeach
                        </select>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round"  name="filter_pickupAddress" id="filter_pickupAddress" placeholder="Pickup Address" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_destinationLatLong" name="filter_destinationLatLong" class="form-control input-round" placeholder="DestinationLatLong" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_estimatedTime" name="filter_estimatedTime" class="form-control input-round" placeholder="Estimated Time" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_created_at" name="filter_created_at" class="form-control input-round range-picker" placeholder="Created at" >
                                                                            </div>
                                                                        </div>
                                                                         <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_updated_at" name="filter_updated_at" class="form-control input-round range-picker" placeholder="Updated at" >
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                        <div class="mt-2">
                                                                            <button type="submit" name="filter" id="filter" class=" btn btn-primary btn-rounded mr-3">Filter</button> 
                                                                            <button type="submit" name="reset" id="reset" class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Reset</button> 
                                                                        </div>
                                                                        
                                                                    </div> <!-- end col -->
                                                                </div>
                                                           
                                                        </div>
                                                    </div><!-- /.modal-content -->
                                                </div><!-- /.modal-dialog -->
                                            </div><!-- /.modal -->
                                            <div class="col-md-6 filter-buttons">
                                                <button type="button" class="btn btn-white btn-rounded waves-effect mb-2" data-toggle="modal" data-target="#right-modal"><i class="mdi mdi-filter-outline cust-filter"></i> Filter</button>
                                            </div>
                                        </div>
                                        
                                        <table id="customer_data" class="table dt-responsive no w-100">
                                            
                                            <thead class="thead-light">
                                                <tr>
                                                    <th>Created</th>
                                                    <th>Name</th>
                                                    <th>Car<br>Type</th>
                                                    <th>Pickup <br>
                                                    Addess</th>
                                                    <th>Destination<br>
                                                        Address</th>
                                                    <th>Estimated
                                                        Price</th>
                                                    <th>Estimated
                                                        Distance</th>
                                                    <th>Estimated
                                                        Time</th>
                                                    <th>Payment
                                                        Type</th>
                                                    <th>Drivers
                                                        Notif</th>
                                                    <th>Ride
                                                        Status</th>
                                                    <th>Actions</th>
                                                </tr>
                                            </thead>
                                        
                                        
                                            <tbody>
                                   
                                                  
                                            </tbody>
                                        </table>

                                    </div> <!-- end card body-->
                                </div> <!-- end card -->
                            </div><!-- end col-->
                        </div>
                        <!-- end row-->
                        <!-- End Page Body -->
                        @include('BookingRequests.show_popup')
                    </div> <!-- container -->
    <script>
        $(document).ready(function () {
            fill_datatable();

            function fill_datatable(filter_passengerId = '', filter_carTypeId = '', filter_pickupAddress = '', filter_destinationAddress = '', filter_pickupLatLong = '', filter_destinationLatLong = '', filter_estimatedPrice = '', filter_estimatedDistance = '', filter_estimatedTime = '', filter_paymentTypeId = '', filter_rideStatusId = '', filter_created_at = '', filter_updated_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    "order": [[0, "desc"]],
                    "pagingType": "simple_numbers",
                    "autoWidth": false,
					language: { paginate: { previous: "<i class='mdi mdi-chevron-left'>", next: "<i class='mdi mdi-chevron-right'>" } },
					buttons: [
                    { extend: "copy", className: "btn-light" },
                    { extend: "print", className: "btn-light" },
                    { extend: "pdf", className: "btn-light" },
                     ],
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
						$(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    },
                    ajax: {
                        url: "{{ route('BookingRequests.index') }}",
                        data: {
                            filter_passengerId: filter_passengerId,
                            filter_carTypeId: filter_carTypeId,
                            filter_pickupAddress: filter_pickupAddress,
                            filter_destinationAddress: filter_destinationAddress,
                            filter_pickupLatLong: filter_pickupLatLong,
                            filter_destinationLatLong: filter_destinationLatLong,
                            filter_estimatedPrice: filter_estimatedPrice,
                            filter_estimatedDistance: filter_estimatedDistance,
                            filter_estimatedTime: filter_estimatedTime,
                            filter_paymentTypeId: filter_paymentTypeId,
                            filter_rideStatusId: filter_rideStatusId,
                            filter_created_at: filter_created_at,
                            filter_updated_at: filter_updated_at,
                        }
                    },
                    columns: [
                        {
                            data: 'created_at',
                            render: function (data, type, row, meta) {
                               
                                    
                                    return '<span class="text-muted"><i class="far fa-calendar-alt"></i></span> '+data
                            }
                        },
                        {
                            data: 'name',
                            render: function (data, type, row, meta) {
                                return '<a href="javascript:passenger(' + row.passengerId + ')">' + data + '</a>';
                            }
                        },
                        {
                            data: 'carName',
                            name: 'carName',
                        },
                        {
                            data: 'pickupAddress',
                            name: 'pickupAddress',
                        },
                        {
                            data: 'destinationAddress',
                            name: 'destinationAddress',
                        },

                        {
                            data: 'estimatedPrice',
                            name: 'estimatedPrice',
                        },
                        {
                            data: 'estimatedDistance',
                            name: 'estimatedDistance',
                        },
                        {
                            data: 'estimatedTime',
                            name: 'estimatedTime',
                        },
                        {
                            data: 'paymentTypeId',
                             render: function (data, type, row, meta) {
                                if (data === 1) {
                                    return '<i class="mdi mdi-cash-multiple text-success"></i>  ' + row.paymentType;
                                } else if (data === 2) {
                                    return '<i class="fa fa-credit-card"></i>  ' + row.paymentType;
                                }

                            }
                        },
                        {
                            data: 'notifications',
                            name: 'notifications',
                            render: function (data, type, row, meta) {
                                return '<a href="javascript:notifications(' + row.id + ')">' + data + '</a>';
                            }
                        },
                        {
                            data: 'rideStatusId',
                           render: function (data, type, row, meta) {

                                if (data === 3) {
                                    return '<span class="badge badge-soft-default">' + row.rideStatus + '</span>';
                                } else if (data === 4) {
                                    return '<span class="label label-primary">' + row.rideStatus + '</span>';
                                } else if (data === 5) {
                                    return '<span class="badge badge-soft-warning">' + row.rideStatus + '</span>';
                                } else if (data === 6) {
                                    return '<span class="badge badge-soft-success">' + row.rideStatus + '</span>';
                                } else if (data === 7) {
                                    return '<span class="badge badge-soft-danger">' + row.rideStatus + '</span>';
                                }else{
                                    return '<span class="badge badge-soft-warning">' + row.rideStatus + '</span>';

                                }
                            }
                        },
                        {
                            "orderable": false,
                            "className": "text-center",
                            "targets": -1,
                            data: 'id',
                            "render": function (data, type, row, meta) {
                                return '<a href="javascript:void(0)" id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="button-icon viewicon view"> <i class="fa fa-eye"></i> </a>'


                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }
                    ]
                });
            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                //window.location.href = "{{URL("/BookingRequests")}}" + "/" + id
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/BookingRequests")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                       // document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                        $('#trips').modal('show')
                    }
                });
            });
            $('#filter').click(function () {
                if ($('#filter_passengerId').val() != '' || $('#filter_carTypeId').val() != '' || $('#filter_pickupAddress').val() != '' || $('#filter_destinationAddress').val() != '' || $('#filter_pickupLatLong').val() != '' || $('#filter_destinationLatLong').val() != '' || $('#filter_estimatedPrice').val() != '' || $('#filter_estimatedDistance').val() != '' || $('#filter_estimatedTime').val() != '' || $('#filter_paymentTypeId').val() != '' || $('#filter_rideStatusId').val() != '' || $('#filter_created_at').val() != '' || $('#filter_updated_at').val() != '') {
                   // card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_passengerId').val(), $('#filter_carTypeId').val(), $('#filter_pickupAddress').val(), $('#filter_destinationAddress').val(), $('#filter_pickupLatLong').val(), $('#filter_destinationLatLong').val(), $('#filter_estimatedPrice').val(), $('#filter_estimatedDistance').val(), $('#filter_estimatedTime').val(), $('#filter_paymentTypeId').val(), $('#filter_rideStatusId').val(), $('#filter_created_at').val(), $('#filter_updated_at').val());
                     $('#right-modal').modal('hide');
                } else {
                    alert('Select filter option');
                }
            });
            $('#reset').click(function () {
                $('#filter_passengerId').val('');
                $('#filter_passengerId_input').val('');
                $('#filter_carTypeId').val('');
                $('#filter_pickupAddress').val('');
                $('#filter_destinationAddress').val('');
                $('#filter_pickupLatLong').val('');
                $('#filter_destinationLatLong').val('');
                $('#filter_estimatedPrice').val('');
                $('#filter_estimatedDistance').val('');
                $('#filter_estimatedTime').val('');
                $('#filter_paymentTypeId').val('');
                $('#filter_rideStatusId').val('');
                $('#filter_created_at').val('');
                $('#filter_updated_at').val('');
                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });
        });

        function passenger_window() {
            myWindow1 = window.open("{{URL("/PassengerWindow")}}", "",
                "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function passenger(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Passengers")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }

        function notifications(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/RequestNotifications")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }

                $('#filter_passengerId_input').autocomplete({
    serviceUrl: '{{ route('get_passengers') }}',
    onSelect: function (suggestion) {
        console.log(suggestion)
        //alert('You selected: ' + suggestion.value + ', ' + suggestion.data);
        $("#filter_passengerId").val(suggestion.data);
    }
});

    </script>

                    @endsection