@extends('AdminLayout')
@section('content')
<div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Add New Cartype</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Add New Cartype</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
 

                        <div class="row">
                            <div class="col-lg-10 offset-lg-1">
                                <div class="card p-3">
                                    <div class="card-body">
                                        @include('pages.messages')
                                        <form method="POST" action="{{ route('CarTypes.update',$CarTypes->id)}}" enctype="multipart/form-data">

    @csrf
    {{method_field("PATCH")}}
                                            <div class="col-lg-2 align-self-center">
                                                 <div class="passenger-img-box">
                                                      @if($CarTypes->carImage !='')
                                                       <img id="pic" src="{{asset("/images/$CarTypes->carImage")}}" class="img-fluid" />
                                                      @else
                                                     <img  id="pic" src="{{asset("/images/profile-image.jpg")}}" class="img-fluid" />
                                                     @endif
                                                    </div>
                                                <div class="col-md-10 align-self-center">
                                                    <h4 class="mb-3">Profile Image</h4>
                                                    <div class="form-group ">
                                                        <input type="file" id="carImage" name="carImage" class="form-control-file">
                                                    </div>
                                                </div>

                                            </div> 
                                            <div class="row">
                                                <div class="col-lg-12 ">
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="cartypeEN">Car Type EN <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="carName"  name="carName" value="{{$CarTypes->carName}}">
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="CarTypeAR">Car Type AR <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="arabicName" name="arabicName" value="{{$CarTypes->arabicName}}">
                                                        </div>
                                                    </div>
    
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="OpeningCounterPrice">Opening Counter Price (SAR) <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="Counterprice" name="Counterprice" value="{{$CarTypes->Counterprice}}">
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="DistanceCostRate">Distance Cost Rate (SARs / KM) <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="priceByDistence" name="priceByDistence" value="{{$CarTypes->priceByDistence}}">
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="TimeCostRate">Time Cost Rate (SARs / Min) <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="priceByTime" name="priceByTime" value="{{$CarTypes->priceByTime}}">
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="DistanceCostinRushHours">Distance Cost in Rush Hours (SARs / KM) <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="rushHoursPBD" name="rushHoursPBD"  value="{{$CarTypes->rushHoursPBD}}">
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="TimeCostinRushHours">Time Cost in Rush Hours (SARs / Min) <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="rushHoursPBT" name="rushHoursPBT"  value="{{$CarTypes->rushHoursPBT}}">
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="NumberofSeat">Number of Seat <span class="text-danger">*</span>	</label>
                                                            <input type="text" class="form-control" id="NumberOfSeat" name="NumberOfSeat" value="{{$CarTypes->NumberOfSeat}}">
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="Status">Status <span class="text-danger">*</span></label>
                                                            <select class="form-control" name="status_id">
                     <option value=""></option>
                    @foreach($lkp_active as $lkp_active_raw)
                        <option value="{{$lkp_active_raw->id}}"
                                @if ($CarTypes->status_id==$lkp_active_raw->id){{"  selected " }}:null @endif>{{$lkp_active_raw->active}}</option>
                    @endforeach
                </select>
                                                        </div>
                                                    </div>
                                                    <div class="mt-4">
                                                        <button type="submit"class=" btn btn-primary btn-rounded mr-3">Submit</button> 
                                                        <button type="submit"class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Dismiss</button> 
                                                    </div>
                                                    
                                                </div> <!-- end col -->
                                            </div>
                                        </form>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div><!-- end col -->
                        </div>
                        <!-- end row -->  
                        
                    </div>


                                        <script type="text/javascript">
    
    carImage.onchange = evt => {
  const [file] = carImage.files
  if (file) {
    pic.src = URL.createObjectURL(file)
  }
}


</script>
                    @endsection
