<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>AdminLTE 3 | DataTables</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{asset("/AdminLTE/plugins/fontawesome-free/css/all.min.css")}}">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="{{asset("/AdminLTE/plugins/daterangepicker/daterangepicker.css")}}">
    <!-- Tempusdominus Bbootstrap 4 -->
<!--<link rel="stylesheet" href="{{asset("/AdminLTE/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css")}}">-->
    <!-- iCheck -->
    <link rel="stylesheet" href="{{asset("/AdminLTE/plugins/icheck-bootstrap/icheck-bootstrap.min.css")}}">
    <!-- w3schools -->
    <link rel="stylesheet" href="http://www.w3schools.com/lib/w3.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="{{asset("/AdminLTE/plugins/datatables-bs4/css/dataTables.bootstrap4.css")}}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{asset("/AdminLTE/dist/css/adminlte.css")}}">
    <link rel="stylesheet" href="{{asset("/AdminLTE/dist/css/customize.css")}}">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">


    <!-- jQuery -->
    <script type="text/javascript" src="{{asset("/AdminLTE/plugins/jquery/jquery.min.js")}}"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="{{asset("/AdminLTE/plugins/jquery-ui/jquery-ui.min.js")}}"></script>
    <!-- Bootstrap 4 -->
    <script type="text/javascript" src="{{asset("/AdminLTE/plugins/bootstrap/js/bootstrap.bundle.min.js")}}"></script>
    <!-- ChartJS -->
    <script src="{{asset("/AdminLTE/plugins/chart.js/Chart.min.js")}}"></script>
    <!-- daterangepicker -->
    <script src="{{asset("/AdminLTE/plugins/moment/moment.min.js")}}"></script>
    <script src="{{asset("/AdminLTE/plugins/daterangepicker/daterangepicker.js")}}"></script>
    <!-- Tempusdominus Bootstrap 4 -->
<!--<script src="{{asset("/AdminLTE/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js")}}"></script>-->

    <!-- DataTables -->
    <script src="{{asset("/AdminLTE/plugins/datatables/jquery.dataTables.js")}}"></script>
    <script src="{{asset("/AdminLTE/plugins/datatables-bs4/js/dataTables.bootstrap4.js")}}"></script>
    <!-- AdminLTE App -->
    <script src="{{asset("/AdminLTE/dist/js/adminlte.min.js")}}"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="{{asset("/AdminLTE/dist/js/demo.js")}}"></script>

</head>

<body style="margin:10px;padding:0">

<!-- Content Header (Page header) -->
<div class="content-header" style="width:100%;">
    <div style="float:left;margin-top: 12px;"><h2 style="width:100%;font-size: 14px;font-weight: bold;">
            DriverVehicles</h2></div>

</div>
<!-- /.content-header -->
<!--class="w3-table-all w3-card-4"-->

<!---------------------------------------------------------------------------------------------------------------------->
<!---------------------------------------------------------------------------------------------------------------------->
<script>
    function card_min() {
        document.getElementById('card-body1').style.display = 'none';
        document.getElementById('card-footer1').style.display = 'none';
        document.getElementById("corner").className = "fas fa-plus";
    }

    function card_change() {
        if (document.getElementById('card-body1').style.display == 'none') {
            document.getElementById('card-body1').style.display = '';
            document.getElementById('card-footer1').style.display = '';
            document.getElementById("corner").className = "fas fa-minus";
        } else {
            document.getElementById('card-body1').style.display = 'none';
            document.getElementById('card-footer1').style.display = 'none';
            document.getElementById("corner").className = "fas fa-plus";
        }
    }
</script>
<br><br><br>
<input name="filter_driverId" id="filter_driverId" type="hidden" value="<?php echo $_REQUEST['Driver_ID']; ?>">

<!---------------------------------------------------------------------------------------------------------------------->
<!---------------------------------------------------------------------------------------------------------------------->


<!--w3-table-all w3-card-4-->
<!-- table table-bordered table-striped  -->

<table id="customer_data" class="w3-table-all w3-card-4" style="width:100%">
    <thead>
    <tr>
        <TH>Driver</TH>
        <TH>Model</TH>
        <TH>CarType</TH>
        <TH>CarBrand</TH>
        <TH>CarBrandSub</TH>
        <TH>SequenceNumber</TH>
        <TH>Plate</TH>
        <TH>PlateType</TH>
        <TH>Validity</TH>
        <TH>Action</TH>
    </tr>
    </thead>
</table>
</div>
<br/>
<br/>
</div>

<!---------------------------------------------------------------------------------------------------------------------->
<!---------------------------------------------------------------------------------------------------------------------->
<div id="edit_modal" class="modal" style="padding-top:10px;">
    <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
        <div class="w3-center"><br>
            <span onclick="document.getElementById('edit_modal').style.display='none'"
                  class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright" title="Close Modal">&times;</span>
        </div>
        <div class="content-header" style="width:100%;">
            <div style="float:left;margin-top: 5px;margin-left: 20px;"><h2
                    style="width:100%;font-size: 14px;font-weight: bold;">DriverVehicles</h2>
            </div>
        </div>
        <div style="width:100%;clear:both;" id="response">
        </div>
        <br>
        <br>
    </div>
</div>
<div id="delete_modal" class="w3-modal">
    <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
        <div class="w3-center"><br>
            <span onclick="document.getElementById('delete_modal').style.display='none'"
                  class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright" title="Close Modal">&times;</span>
        </div>
        <header class="w3-container w3-text-indigo w3-margin-top-64">
            <h1>Delete</h1>
        </header>
        <form class="w3-container" action="" method="POST" id="delete_form">
            {{method_field('DELETE')}}
            @csrf
            <div class="w3-section">
                <p>Are you sure, you want to delete <span id="delete_name"></span> ?</p>
                <div class="w3-center">
                    <button type="submit" class="w3-btn w3-indigo"> Delete</button>
                </div>
            </div>
        </form>
        <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
            <button onclick="document.getElementById('delete_modal').style.display='none'" type="button"
                    class="w3-btn w3-red">Cancel
            </button>
        </div>
    </div>
</div>
<!---------------------------------------------------------------------------------------------------------------------->
<!---------------------------------------------------------------------------------------------------------------------->


<script>
    $(document).ready(function () {

        fill_datatable();


        function fill_datatable(filter_driverId = '', filter_model = '', filter_carTypeId = '', filter_carbrand_Id = '', filter_carbrandsub_Id = '', filter_colour = '', filter_sequenceNumber = '', filter_plateLetterRight = '', filter_plateLetterMiddle = '', filter_plateLetterLeft = '', filter_plateTypeId = '', filter_plateNumber = '', filter_vehicleReferenceNumber = '', filter_validityId = '', filter_created_at = '', filter_updated_at = '') {
            var dataTable = $('#customer_data').DataTable({
                //searching: false,
                responsive: true,
                processing: true,
                serverSide: true,
                "pagingType": "full_numbers",
                "autoWidth": false,
                "drawCallback": function (settings) {
                    $('[data-toggle="tooltip"]').tooltip();
                },
                ajax: {
                    url: "{{ URL('/DriverVehicleWindow?Driver_ID=') }}" + $('#filter_driverId').val(),
                    data: {
                        filter_driverId: filter_driverId,
                        filter_model: filter_model,
                        filter_carTypeId: filter_carTypeId,
                        filter_carbrand_Id: filter_carbrand_Id,
                        filter_carbrandsub_Id: filter_carbrandsub_Id,
                        filter_colour: filter_colour,
                        filter_sequenceNumber: filter_sequenceNumber,
                        filter_plateLetterRight: filter_plateLetterRight,
                        filter_plateLetterMiddle: filter_plateLetterMiddle,
                        filter_plateLetterLeft: filter_plateLetterLeft,
                        filter_plateTypeId: filter_plateTypeId,
                        filter_plateNumber: filter_plateNumber,
                        filter_vehicleReferenceNumber: filter_vehicleReferenceNumber,
                        filter_validityId: filter_validityId,
                        filter_created_at: filter_created_at,
                        filter_updated_at: filter_updated_at,
                    }

                },

                columns: [
                    //{
                    //    data:'CustomerID',
                    //    name:'CustomerID'
                    //},
                    {
                        data: 'name',
                        name: 'name',
                        //visible:false
                    },
                    {
                        data: 'model',
                        name: 'model',
                    },
                    {
                        data: 'carName',
                        name: 'carName',
                    },
                    {
                        data: 'Brand_En',
                        name: 'Brand_En',
                    },
                    {
                        data: 'BrandSub_En',
                        name: 'BrandSub_En',
                    },
                    {
                        data: 'sequenceNumber',
                        name: 'sequenceNumber',
                    },
                    {
                        data: 'plate',
                        name: 'plate',
                    },
                    {
                        data: 'englishName',
                        name: 'englishName',
                    },
                    {
                        data: 'validityId',
                        render: function (data, type, row, meta) {
                            if (row.validityId === "1") {
                                return '<span class="label label-primary"><i class="fa fa-check" ></i>' + row.validity_status + '</span>';
                            } else if (row.validityId === "2") {
                                return '<span class="label label-danger">' + row.validity_status + '</span>';
                            } else if (row.validityId === "3") {
                                return '<span class="label label-warning"><i class="fa fa-spinner"></i> ' + row.validity_status + '</span>';
                            }
                        }
                    },
                    {
                        "orderable": false,
                        "targets": -1,
                        //"data": 'id',
                        "render": function (data, type, row, meta) {
                            return '<a href="javascript:select(' + row.id + ',\'' + row.plate + '\')" id=' + row.id + ' data-original-title="select" data-toggle="tooltip" data-placement="top" class=" view"> Select </a>'


                        }
                        //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                    }

                ]
            });


        }

        $('#filter').click(function () {
            if ($('#filter_driverId').val() != '' || $('#filter_model').val() != '' || $('#filter_carTypeId').val() != '' || $('#filter_carbrand_Id').val() != '' || $('#filter_carbrandsub_Id').val() != '' || $('#filter_colour').val() != '' || $('#filter_sequenceNumber').val() != '' || $('#filter_plateLetterRight').val() != '' || $('#filter_plateLetterMiddle').val() != '' || $('#filter_plateLetterLeft').val() != '' || $('#filter_plateTypeId').val() != '' || $('#filter_plateNumber').val() != '' || $('#filter_vehicleReferenceNumber').val() != '' || $('#filter_validityId').val() != '' || $('#filter_created_at').val() != '' || $('#filter_updated_at').val() != '') {
                card_min();
                $('#customer_data').DataTable().destroy();
                fill_datatable($('#filter_driverId').val(), $('#filter_model').val(), $('#filter_carTypeId').val(), $('#filter_carbrand_Id').val(), $('#filter_carbrandsub_Id').val(), $('#filter_colour').val(), $('#filter_sequenceNumber').val(), $('#filter_plateLetterRight').val(), $('#filter_plateLetterMiddle').val(), $('#filter_plateLetterLeft').val(), $('#filter_plateTypeId').val(), $('#filter_plateNumber').val(), $('#filter_vehicleReferenceNumber').val(), $('#filter_validityId').val(), $('#filter_created_at').val(), $('#filter_updated_at').val());
            } else {
                alert('Select filter option');
            }
        });

        $('#reset').click(function () {

            $('#filter_driverId').val('');
            $('#filter_driverId_input').val('');
            $('#filter_model').val('');
            $('#filter_carTypeId').val('');
            $('#filter_carbrand_Id').val('');
            $('#filter_carbrandsub_Id').val('');
            $('#filter_colour').val('');
            $('#filter_sequenceNumber').val('');
            $('#filter_plateLetterRight').val('');
            $('#filter_plateLetterMiddle').val('');
            $('#filter_plateLetterLeft').val('');
            $('#filter_plateTypeId').val('');
            $('#filter_plateNumber').val('');
            $('#filter_vehicleReferenceNumber').val('');
            $('#filter_validityId').val('');
            $('#filter_created_at').val('');
            $('#filter_updated_at').val('');


            $('#customer_data').DataTable().destroy();
            fill_datatable();
        });

    });

    function driver_window() {
        myWindow1 = window.open("/DriverWindow", "",
            "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
    }

    function carbrandsub(brand, brandsub) {
        var brand_id = document.getElementById(brand).value;
        if (brand_id == "")
            $('#' + brandsub).empty();
        else {
            $.getJSON("{{URL("/getcarbrandsub")}}/" + brand_id, function (json) {
                $('#' + brandsub).empty();
                $('#' + brandsub).append($('<option>').text("Select ....").attr('value', ''));
                $.each(json, function (i, obj) {
                    $('#' + brandsub).append($('<option>').text(obj.name_en).attr('value', obj.id));
                });
            });
        }
    }


    function select(id, name) {
        //alert(opener.document.getElementById('driverId_text').innerHTML);
        if (opener.document.getElementById('vehichleId')) {
            opener.document.getElementById('vehichleId_input').value = name;
            opener.document.getElementById('vehichleId').value = id;
        }
        if (opener.document.getElementById('filter_vehichleId')) {
            opener.document.getElementById('filter_vehichleId_input').value = name;
            opener.document.getElementById('filter_vehichleId').value = id;
        }
        close();
    }
</script>
