@extends('AdminLayout')
@section('content')
  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Add New Driver</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Add New Driver</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 

                        <div class="row">
                            <div class="col-lg-10 offset-lg-1">
                                <div class="card p-3">
                                    <div class="card-body">
                                         @include('pages.messages')
                                        <form method="POST" action="{{ action('DriversController@store') }}" enctype="multipart/form-data">
                                            @csrf
                                            <div class="row  mb-4">
                                                <div class="col-lg-2 align-self-center">
                                                    <div class="passenger-img-box">
                                                      <img id="pic" src="{{asset("/images/profile-image.jpg")}}" class="img-fluid">
                                                    </div>
                                                </div>
                                                <div class="col-md-10 align-self-center">
                                                    <h4 class="mb-3">Profile Image</h4>
                                                    <div class="form-group ">
                                                        <input type="file" id="ProfileImage" name="ProfileImage" class="form-control-file">
                                                    </div>
                                                    
                                                </div>
                                                <!-- ****** incase need to change the design of file upload image ***** 
                                                    
                                                    <div class="col-md-10 dpimg align-self-center">
                                                    <h4 class="mb-3">Profile Image</h4>
                                                    <div class="form-group ">
                                                        <label class="custom-file-upload">
                                                            <input type="file" class="form-control-file"/>
                                                            Upload Image
                                                        </label>
                                                    </div>
                                                </div> -->
                                            </div> 
                                            <div class="row">
                                                <div class="col-lg-12 ">
                                                    <div class="form-group row">
                                                                                                          <div class="col-sm-6">
                                                            <label for="dFirstname">First name <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" name="name" id="dFirstname" required>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="dLastname">Last name<span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" name="lname" id="dLastname" >
                                                        </div>
                                                    </div>
    
                                                    <div class="form-group row">
                                                         <div class="col-sm-6">
                                                            <label for="dlogin">Nationality <span class="text-danger">*</span></label>
                                                            <select class="form-control" id="nationalityId" name="nationalityId" data-placeholder="Choose a Country..." required>
                                                                                <option value=""></option>
                    @foreach($countries as $country)
                        <option value="{{$country->id}}">{{$country->country_en}}</option>
                    @endforeach
                                                            </select>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="dLastname">Mobile <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" name="mobileNumber" required >
                                                        </div>
                                                    </div>
                                                                                                        <div class="form-group row">
                                                    
                                                        <div class="col-sm-6">
                                                            <label for="ddob">Email<span class="text-danger">*</span></label>
                                                            <input class="form-control" type="text" name="emailAddress" id="email"  required>
                                                        </div>
                                                       <div class="col-sm-6">
                                                            <label for="ddob">Gender <span class="text-danger">*</span></label>
                                                                           <select class="form-control" name="genderId" required>
                    <option value=""></option>
                    <option value="1">Male</option>
                    <option value="2">Female</option>
                </select>
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                    
                                                        <div class="col-sm-6">
                                                            <label for="ddob">Date of Birth <span class="text-danger">*</span></label>
                                                            <input class="form-control" type="date" name="dateOfBirthHijri" id="dateOfBirthGregorian" placeholder="dd/mm/yyyy" required>
                                                        </div>
                                                       <div class="col-sm-6">
                                                            <label for="ddob">Date Of Birth Gregorian <span class="text-danger">*</span></label>
                                                            <input class="form-control" type="date" name="dateOfBirthGregorian" type="text" value="" placeholder="dd/mm/yyyy"
                       required>
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                     <div class="col-sm-6">
                                                            <label for="ddob">ID Card Number <span class="text-danger">*</span></label>
                                                            <input class="form-control" type="text" name="identityNumber" type="text" value="" required>
                                                        </div>
                                                       <div class="col-sm-6">
                                                            <label for="ddob">License Expiry Date<span class="text-danger">*</span></label>
                                                            <input class="form-control" type="date" name="eligibilityExpiryDate" type="text" value="" placeholder="dd/mm/yyyy">
                                                        </div>
                                                    </div>
  <!--                                                   <div class="form-group row">
                                                        <div class="col-sm-12">
                                                            <a href="#" class="passowrd_reset">Change password</a>
                                                        </div>
                                                    </div> -->

                                                    <hr class="mt-4 mb-4">

<!--                                                     <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="dCourier">Courier Company <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="dCourier" >
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="dSourceCourier">Source Courier Company <span class="text-danger">*</span></label>
                                                                <input type="text" class="form-control" id="dSourceCourier" >
                                                                
                                                        </div>
                                                    </div> -->
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="dStatus"> Status <span class="text-danger">*</span></label>
                <select class="form-control" name="driverStatusId" id="driverStatusId" required>
                    <option value=""></option>
                    @foreach($driverstatus as $driver_status)
                        <option value="{{$driver_status->id}}">{{$driver_status->status}}</option>
                    @endforeach
                </select>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="dVehicletype">Validity   <span class="text-danger">*</span></label>
                                                            <select class="form-control" name="validityId">
                    <option value=""></option>
                    <option value="1">Approved</option>
                    <option value="2">NotApproved</option>
                    <option value="3">Pending</option>
                </select>
                                                        </div>
                                                        
                                                    </div>

                                                                                                        <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="dStatus"> Login Status <span class="text-danger">*</span></label>
                <select class="form-control" name="loginStatusId" id="loginStatusId">
                    <option value=""></option>
                    <option value="1">Login</option>
                    <option value="2">Logout</option>
                </select>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="dVehicletype">Address   <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" name="address" >
                                                        </div>
                                                        
                                                    </div>

<!--                                                     <hr class="mt-4 mb-4">
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label>ID Card Number  <span class="text-danger">*</span></label>
                                                            <input type="text" id="dIDcardnumber" class="form-control" >
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label>ID Card Expiry Date <span class="text-danger">*</span></label>
                                                            <input type="text" id="basic-datepicker" class="form-control" >
                                                        </div>
                                                        
                                                    </div> -->
                                                    <div class="mt-4">
                                                        <button type="submit"class=" btn btn-primary btn-rounded mr-3">Submit</button> 
                                                        <button type="reset"class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Dismiss</button> 
                                                    </div>
                                                    
                                                </div> <!-- end col -->
                                            </div>
                                        </form>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div><!-- end col -->
                        </div>
                        <!-- end row -->  
                        
                    </div> <!-- container -->

                    <script type="text/javascript">
    
    ProfileImage.onchange = evt => {
  const [file] = ProfileImage.files
  if (file) {
    pic.src = URL.createObjectURL(file)
  }
}


</script>

                        @endsection