@extends('AdminLayout')
@section('content')
  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Add New Driver</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Add New Driver</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 

                        <div class="row">
                            <div class="col-lg-10 offset-lg-1">
                                <div class="card p-3">
                                    <div class="card-body">
                                         @include('pages.messages')
                                        <form method="POST" action="{{ route('Drivers.update',$Drivers->id)}}" enctype="multipart/form-data">
                                                @csrf
    {{method_field("PATCH")}}
                                            <div class="row  mb-4">
                                                <div class="col-lg-2 align-self-center">
                                                    <div class="passenger-img-box">
                                                                                                                                                @if($Drivers->profileImage !='')
                                                       <img id="pic" src="{{asset("/driver_images/$Drivers->profileImage")}}" class="img-fluid" />
                                                      @else
                                                     <img  id="pic" src="{{asset("/images/profile-image.jpg")}}" class="img-fluid" />
                                                     @endif
                                                    </div>
                                                </div>
                                                <div class="col-md-10 align-self-center">
                                                    <h4 class="mb-3">Profile Image</h4>
                                                    <div class="form-group ">
                                                        <input type="file" id="Profileimage" name="ProfileImage" class="form-control-file">
                                                    </div>
                                                    
                                                </div>
                                                <!-- ****** incase need to change the design of file upload image ***** 
                                                    
                                                    <div class="col-md-10 dpimg align-self-center">
                                                    <h4 class="mb-3">Profile Image</h4>
                                                    <div class="form-group ">
                                                        <label class="custom-file-upload">
                                                            <input type="file" class="form-control-file"/>
                                                            Upload Image
                                                        </label>
                                                    </div>
                                                </div> -->
                                            </div> 
                                            <div class="row">
                                                <div class="col-lg-12 ">
                                                    <div class="form-group row">
                                                                                                          <div class="col-sm-6">
                                                            <label for="dFirstname">First name <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" name="name" id="dFirstname" value="{{$Drivers->name}}" required>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="dLastname">Last name<span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" name="lname" id="dLastname" value="{{$Drivers->lname}}">
                                                        </div>
                                                    </div>
    
                                                    <div class="form-group row">
                                                         <div class="col-sm-6">
                                                            <label for="dlogin">Nationality <span class="text-danger">*</span></label>
                      <select id="nationalityId" name="nationalityId" placeholder="Select Country ..." class="form-control">
                    <option value=""></option>
                    @foreach($countries as $country)
                        <option value="{{$country->id}}"
                                @if ($Drivers->nationalityId==$country->id){{"  selected " }}:null @endif>{{$country->country_en}}</option>
                    @endforeach
                </select>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="dLastname">Mobile <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" name="mobileNumber" value="{{$Drivers->mobileNumber}}" required >
                                                        </div>
                                                    </div>
                                                                                                        <div class="form-group row">
                                                    
                                                        <div class="col-sm-6">
                                                            <label for="ddob">Email <span class="text-danger">*</span></label>
                                                            <input class="form-control" type="text" name="emailAddress"  value="{{$Drivers->emailAddress}}" id="email"  required>
                                                        </div>
                                                       <div class="col-sm-6">
                                                            <label for="ddob">Gender <span class="text-danger">*</span></label>
                                                                                           <select class="form-control" name="genderId">
                    <option value=""></option>
                    <option value="1" @if ($Drivers->genderId=="1"){{"  selected " }}:null @endif>Male</option>
                    <option value="2" @if ($Drivers->genderId=="2"){{"  selected " }}:null @endif>Female</option>
                </select>
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                    
                                                        <div class="col-sm-6">
                                                            <label for="ddob">Date of Birth <span class="text-danger">*</span></label>
                                                            <input class="form-control" type="date" name="dateOfBirthHijri" id="dateOfBirthGregorian" placeholder="dd/mm/yyyy" value="{{$Drivers->dateOfBirthHijri}}" required>
                                                        </div>
                                                       <div class="col-sm-6">
                                                            <label for="ddob">Date Of Birth Gregorian <span class="text-danger">*</span></label>
                                                            <input class="form-control" value="{{$Drivers->dateOfBirthGregorian}}" type="date" name="dateOfBirthGregorian" type="text" placeholder="dd/mm/yyyy"
                       required>
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                     <div class="col-sm-6">
                                                            <label for="ddob">ID Card Number <span class="text-danger">*</span></label>
                                                            <input class="form-control" type="text" name="identityNumber" value="{{$Drivers->identityNumber}}" type="text" value="" required>
                                                        </div>
                                                       <div class="col-sm-6">
                                                            <label for="ddob">License Expiry Date<span class="text-danger">*</span></label>
                                                            <input class="form-control" type="date" name="eligibilityExpiryDate" type="text"  placeholder="dd/mm/yyyy" value="{{$Drivers->eligibilityExpiryDate}}">
                                                        </div>
                                                    </div>
<!--                                                     <div class="form-group row">
                                                        <div class="col-sm-12">
                                                            <a href="#" class="passowrd_reset">Change password</a>
                                                        </div>
                                                    </div> -->

                                                    <hr class="mt-4 mb-4">

<!--                                                     <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="dCourier">Courier Company <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" id="dCourier" >
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="dSourceCourier">Source Courier Company <span class="text-danger">*</span></label>
                                                                <input type="text" class="form-control" id="dSourceCourier" >
                                                                
                                                        </div>
                                                    </div> -->
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="dStatus"> Status <span class="text-danger">*</span></label>
                 <select class="form-control" name="driverStatusId" id="driverStatusId" required>
                    <option value=""></option>
                    @foreach($driverstatus as $driver_status)
                        <option value="{{$driver_status->id}}"
                                @if ($Drivers->driverStatusId==$driver_status->id){{"  selected " }}:null @endif>{{$driver_status->status}}</option>
                    @endforeach
                </select>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="dVehicletype">Validity   <span class="text-danger">*</span></label>
                                                                           <select class="form-control" name="validityId">
                    <option value=""></option>
                    <option value="1" @if ($Drivers->validityId=="1"){{"  selected " }}:null @endif>Approved</option>
                    <option value="2" @if ($Drivers->validityId=="2"){{"  selected " }}:null @endif>NotApproved</option>
                    <option value="3" @if ($Drivers->validityId=="3"){{"  selected " }}:null @endif>Pending</option>
                </select>
                                                        </div>
                                                        
                                                    </div>

                                                                                                                                                            <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="dStatus"> Login Status <span class="text-danger">*</span></label>
                <select class="form-control" name="loginStatusId" id="loginStatusId">
                    <option value=""></option>
                    <option value="1" @if ($Drivers->loginStatusId=="1"){{"  selected " }}:null @endif>Login</option>
                    <option value="2" @if ($Drivers->loginStatusId=="2"){{"  selected " }}:null @endif>Logout</option>
                </select>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="dVehicletype">Address   <span class="text-danger">*</span></label>
                                                            <input type="text" class="form-control" name="address" value="{{$Drivers->address}}">
                                                        </div>
                                                        
                                                    </div>

<!--                                                     <hr class="mt-4 mb-4">
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label>ID Card Number  <span class="text-danger">*</span></label>
                                                            <input type="text" id="dIDcardnumber" class="form-control" >
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label>ID Card Expiry Date <span class="text-danger">*</span></label>
                                                            <input type="text" id="basic-datepicker" class="form-control" >
                                                        </div>
                                                        
                                                    </div> -->
                                                    <div class="mt-4">
                                                        <button type="submit"class=" btn btn-primary btn-rounded mr-3">Submit</button> 
                                                        <button type="reset"class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Dismiss</button> 
                                                    </div>
                                                    
                                                </div> <!-- end col -->
                                            </div>
                                        </form>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div><!-- end col -->
                        </div>
                        <!-- end row -->  
                        
                    </div> <!-- container -->

                    <script type="text/javascript">
    
    Profileimage.onchange = evt => {
  const [file] = Profileimage.files
  if (file) {
    pic.src = URL.createObjectURL(file)
  }
}


</script>

                        @endsection