@extends('AdminLayout')
@section('content')

  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Drivers</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Drivers</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4 class="header-title mb-4">Drivers</h4>
                                            </div>
                                            <!-- Right modal content -->
                                            <div id="right-modal" class="modal fade filterform" tabindex="-1" role="dialog" aria-hidden="true">
                                                <div class="modal-dialog modal-md modal-right">
                                                    <div class="modal-content">
                                                        <div class="modal-header border-0">
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                        </div>
                                                        <div class="modal-body p-4">
                                                            
                                                                <div class="row">
                                                                    <div class="col-lg-12 ">
                                                                        
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_name" name="filter_name" placeholder="Full Name" value="">
                                                                            </div>
                                                                        </div>


                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="phone" class="form-control input-round" id="filter_mobileNumber" name="filter_mobileNumber" placeholder="Phone" value="">
                                                                            </div>
                                                                        </div>

                                                                            <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_emailAddress" name="filter_emailAddress" placeholder="Email" value="">
                                                                            </div>
                                                                        </div>


                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input class="form-control input-round range-picker"  type="text" name="filter_dateOfBirthHijri" id="filter_dateOfBirthHijri" placeholder="Date of birth">
                                                                            </div>
                                                                        </div>


                                                                            <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input class="form-control input-round range-picker"  type="text" id="filter_dateOfBirthGregorian"
                                   name="filter_dateOfBirthGregorian" placeholder="Date of birth Gregorian">
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input class="form-control input-round range-picker"  type="date" id="filter_eligibilityExpiryDate"
                                   name="filter_eligibilityExpiryDate" placeholder="Eligibility Expiry Date">
                                                                            </div>
                                                                        </div>



                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <select class="form-control input-round" name="filter_driverStatusId" id="filter_driverStatusId">
                                                         <option value="">Driver Status</option>
                            @foreach($driverstatus as $driver_status)
                                <option value="{{$driver_status->id}}">{{$driver_status->status}}</option>
                            @endforeach
                                                                                </select>
                                                                            </div>
                                                                        </div>


                                                                            <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <select class="form-control input-round" name="filter_loginStatus" id="filter_loginStatus">
                              <option value="">Login Status</option>
                            <option value="1">Login</option>
                            <option value="2">Logout</option>
                                                                                </select>
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                               

                                                                                 <select id="filter_nationalityId" name="filter_nationalityId" placeholder="Select Country ..."
                                class="form-control input-round">
                            <option value="">Nationality</option>
                            @foreach($countries as $country)
                                <option value="{{$country->id}}">{{$country->country_en}}</option>
                            @endforeach
                        </select>


                                                                            </div>
                                                                        </div>


                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <select class="form-control input-round" name="filter_validity" id="filter_validity">
                              <option value="">Validity</option>
                            <option value="1">Approved</option>
                            <option value="2">NotApproved</option>
                            <option value="3">Pending</option>
                                                                                </select>
                                                                            </div>
                                                                        </div>


                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <select class="form-control input-round" id="filter_gender" name="filter_gender" >
                                                                                    <option>Gender</option>
                                                                                    <option>Male</option>
                                                                                    <option>Female</option>
                                                                                </select>
                                                                            </div>
                                                                        </div>


                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="email" placeholder="Email" >
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_identityNumber" name="filter_identityNumber" placeholder="Identity Number" >
                                                                            </div>
                                                                        </div> 
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_rating" name="filter_rating" placeholder="Rating" >
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_completeTrips" name="filter_completeTrips" placeholder="Complete Trips" >
                                                                            </div>
                                                                        </div>

                                                                          <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_cancelledTrips" name="filter_cancelledTrips" placeholder="Cancel Trips" >
                                                                            </div>
                                                                        </div>


                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" name="filter_created_at" id="filter_created_at" class="form-control input-round range-picker" placeholder="Created At" >
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_updated_at" name="filter_updated_at"  class="form-control input-round range-picker" placeholder="Updated At" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_address" name="filter_address"  class="form-control input-round" placeholder="Address" >
                                                                            </div>
                                                                        </div>


                                                                          <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_validity_dt"
                                   name="filter_validity_dt" class="form-control input-round range-picker" placeholder="Validity Date" >
                                                                            </div>
                                                                        </div>


                                                             <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <select class="form-control input-round" name="filter_validity_by_id" id="filter_validity_by_id">
                                                                                                            <option value="">Validity By</option>
                            @foreach($users as $user)
                                <option value="{{$user->id}}">{{$user->name}}</option>
                            @endforeach
                        </select>
                                                                            </div>
                                                                        </div>


                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <select class="form-control input-round" id="loginStatus">
                                                                                    <option>Nationality</option>
                                                                                    <option>Indian</option>
                                                                                    <option>Pakistani</option>
                                                                                </select>
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        <div class="mt-2">
                                                                            <button type="submit" name="filter" id="filter" class=" btn btn-primary btn-rounded mr-3">Filter</button> 
                                                                            <button type="reset" name="reset" id="reset" class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Reset</button> 
                                                                        </div>
                                                                        
                                                                    </div> <!-- end col -->
                                                                </div>
                                                            
                                                        </div>
                                                    </div><!-- /.modal-content -->
                                                </div><!-- /.modal-dialog -->
                                            </div><!-- /.modal -->
                                            <div class="col-md-6 filter-buttons">
                                                <button type="button" class="btn btn-white btn-rounded waves-effect mb-2" data-toggle="modal" data-target="#right-modal"><i class="mdi mdi-filter-outline cust-filter"></i> Filter</button> &nbsp;&nbsp;&nbsp;&nbsp;
                                                <a href="{{ route('Drivers.create') }}"  class="btn btn-primary btn-rounded mb-2 ">Add New Driver <i class="fe-arrow-right"></i></a>
                                            </div>
                                        </div>
                                        
                                        <table id="customer_data" class="table dt-responsive no w-100">
                                            
                                            <thead class="thead-light">
                                                <tr>
                                                    
                                                    <th>Created</th>
                                                    <th>Name</th>
                                                    <th>Mobile</th>
                                                    <th>Login<br>Status</th>
                                                    <th>Driver <br>Status</th>
                                                    <th>Rating</th>
                                                    <th>Complete<br> Trips</th>
                                                    <th>Canceled<br> Trips</th>
                                                    <th>Validity</th>
                                                    <th>Validity<br> Date</th>
                                                    <th>Validity<br> By</th>
                                                    <th>Actions</th>
                                                </tr>
                                            </thead>
                                        
                                        
                                            <tbody>
                                               
                                            </tbody>
                                        </table>

                                    </div> <!-- end card body-->
                                </div> <!-- end card -->
                            </div><!-- end col-->

                                                                                                                                    <!-- Center modal content -->
                                                        
                                            <div class="modal fade" id="centermodal" tabindex="-1" role="dialog" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                    </div>

                                                     <form class="w3-container" action="" method="POST" id="delete_form">
                                                            {{method_field('DELETE')}}                                                            
                                                            @csrf
                                                            </form>

                                                    <div class="modal-body m-4">
                                                        <div class="text-center">
                                                            <div class="delete-icon-box">
                                                                <i class="dripicons-trash"></i>
                                                            </div>
                                                            <h2 class="mt-2 mb-2">Delete</h2>
                                                             <h4 class="mt-2 mb-2">Are you sure you want to delete?  </h4>
                                                             <input type="hidden" value="" id="delete-id">
                                                            <button type="submit"  id="delete-yes" class=" btn btn-primary btn-rounded mr-3" data-dismiss="modal">Yes</button> 
                                                            <button type="submit"  id="delete-no"  class=" btn btn-outline-primary btn-rounded waves-effect waves-light" data-dismiss="modal" aria-hidden="true">No</button> 
                                                        </div>
                                                    </div>
                                                </div><!-- /.modal-content -->
                                            </div><!-- /.modal-dialog -->
                                        </div><!-- /.modal -->

                                            @include('Drivers.show_popup')
                        </div>
                        <!-- end row-->
                        <!-- End Page Body -->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        $(document).ready(function () {
            fill_datatable();

            function fill_datatable(filter_name = '', filter_mobileNumber = '', filter_emailAddress = '', filter_dateOfBirthHijri = '', filter_dateOfBirthGregorian = '', filter_nationalityId = '', filter_identityNumber = '', filter_eligibilityExpiryDate = '', filter_driverStatusId = '', filter_gender = '', filter_address = '', filter_rating = '', filter_loginStatus = '', filter_completeTrips = '', filter_cancelledTrips = '', filter_validity = '', filter_validity_dt = '', filter_validity_by_id = '', filter_created_at = '', filter_updated_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    order: [[0, "desc"]],
                    "pagingType": "simple_numbers",
                    "autoWidth": false,
					language: { paginate: { previous: "<i class='mdi mdi-chevron-left'>", next: "<i class='mdi mdi-chevron-right'>" } },
					buttons: [
                    { extend: "copy", className: "btn-light" },
                    { extend: "print", className: "btn-light" },
                    { extend: "pdf", className: "btn-light" },
                     ],
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
						$(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    },
                    ajax: {
                        url: "{{ route('Drivers.index') }}",
                        data: {
                            filter_name: filter_name,
                            filter_mobileNumber: filter_mobileNumber,
                            filter_emailAddress: filter_emailAddress,
                            filter_dateOfBirthHijri: filter_dateOfBirthHijri,
                            filter_dateOfBirthGregorian: filter_dateOfBirthGregorian,
                            filter_nationalityId: filter_nationalityId,
                            filter_identityNumber: filter_identityNumber,
                            filter_eligibilityExpiryDate: filter_eligibilityExpiryDate,
                            filter_driverStatusId: filter_driverStatusId,
                            filter_gender: filter_gender,
                            filter_address: filter_address,
                            filter_rating: filter_rating,
                            filter_loginStatus: filter_loginStatus,
                            filter_completeTrips: filter_completeTrips,
                            filter_cancelledTrips: filter_cancelledTrips,
                            filter_validity: filter_validity,
                            filter_validity_dt: filter_validity_dt,
                            filter_validity_by_id: filter_validity_by_id,
                            filter_created_at: filter_created_at,
                            filter_updated_at: filter_updated_at
                        }
                    },
                    columns: [
                        //{
                        //    data:'CustomerID',
                        //    name:'CustomerID'
                        //},
                          {
                            data: 'created_at',
                            render: function (data, type, row, meta) {
                               
                                    
                                    return '<span class="text-muted"><i class="far fa-calendar-alt"></i></span> '+data
                            }
                        },
                        {
                            data: 'name',
                            name: 'name',
                            //visible:false
                        },
                        {
                            data: 'mobileNumber',
                            name: 'mobileNumber'
                        },
                        {
                            data: 'loginStatusId',
                            render: function (data, type, row, meta) {
                           if (data === 1) {
                                    return '<span class="badge badge-soft-success">Login</span>';
                                } else {
                                    return '<span class="badge badge-soft-warning">Logout</span>';
                                }
                            }
                        },
                        {
                            data: 'driverStatusId',
                            render: function (data, type, row, meta) {
                                if (data === 3) {
                                    return '<i class="fas fa-taxi"></i> In Ride';
                                } else if (data === 2) {
                                    return '<i class="fa fa-retweet"></i> Busy';
                                } else if (data === 1) {
                                    return '<i class="mdi mdi-check text-success"></i> Free';
                                }
                            }
                        },
                        {
                            data: 'rating',
                            name: 'rating'
                        },
                        {
                            data: 'completeTrips',
                            name: 'completeTrips'
                        },
                        {
                            data: 'cancelledTrips',
                            name: 'cancelledTrips'
                        },
                        {
                            data: 'validityId',
                            render: function (data, type, row, meta) {
                                if (data === 1) {
                                    return '<span class="badge badge-soft-success"><i class="mdi mdi-check text-success"></i> Approved</span>';
                                } else if (data === 2) {
                                    return '<span class="label label-danger">NotApproved</span>';
                                } else if (data === 3) {
                                    return '<span class="badge badge-soft-danger"><i class="dripicons-loading"></i> Pending</span>';
                                }
                            }
                        },
                         {
                            data: 'validity_dt',
                            render: function (data, type, row, meta) {
                               
                                    if(data !=null){
                                        return '<span class="text-muted"><i class="far fa-calendar-alt"></i></span> '+data
                                    }else{
                                        return '';
                                    }
                                    
                            }
                        },
                        {
                            data: 'validity_by_name',
                            name: 'validity_by_name'
                        },
                        {
                            "orderable": false,
                            "targets": -1,
                            //"data": 'id',
                            "render": function (data, type, row, meta) {
                                return '<input id="name_' + row.id + '" type="hidden" value="' + row.name + '">' +
                                    '<a  href="void:javascript" id=' + row.id + ' data-original-title="edit" data-toggle="tooltip" data-placement="top" class="edit button-icon editicon"> <i class="fe-edit-1"></i> </a>' +
                                    '&nbsp;<a  href="void:javascript" id=' + row.id + ' data-original-title="delete" data-toggle="tooltip" data-placement="top" class="button-icon deleteicon delete"> <i class="fe-trash-2"></i> </a>' +
                                    '&nbsp;<a href="void:javascript" id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="button-icon view viewicon"> <i class="fa fa-eye"></i> </a>'
                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }
                    ]
                });
            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
               // window.location.href="{{URL('/Drivers')}}" + "/" + id
                $.ajax({
                    type: 'GET',
                    url: "{{URL('/Drivers')}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        //document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                        $('#viewPassenger').modal('show')
                    }
                });
            });
            $('#customer_data tbody').on('click', '.edit', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                window.location.href= "{{URL('/Drivers')}}" + "/" + id + "/edit"
                $.ajax({
                    type: 'GET',
                    url: "{{URL('/Drivers')}}" + "/" + id + "/edit",
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                    }
                });
            });



            $('#customer_data tbody').on('click', '.delete', function (e) {

                e.preventDefault();
                 var id = $(this).attr('id');
                $('#centermodal').modal('show')
                $('#delete-id').val(id)


            });


                $('#delete-no').on('click', function (e) {

                $('#centermodal').modal('hide')


            });


                $('#delete-yes').on('click', function (e) {
                e.preventDefault();                
                var delete_id = $('#delete-id').val();
                document.getElementById('delete_form').action = "{{URL("/Drivers")}}" + "/" + delete_id  ;
                $("#delete_form").submit();
                        


            });





            $('#filter').click(function () {

                if ($('#filter_name').val() != '' || $('#filter_mobileNumber').val() != '' || $('#filter_emailAddress').val() != '' || $('#filter_dateOfBirthHijri').val() != '' || $('#filter_dateOfBirthGregorian').val() != '' || $('#filter_nationalityId').val() != '' || $('#filter_identityNumber').val() != '' || $('#filter_eligibilityExpiryDate').val() != '' || $('#filter_driverStatusId').val() != '' || $('#filter_gender').val() != '' || $('#filter_address').val() != '' || $('#filter_rating').val() != '' || $('#filter_loginStatus').val() != '' || $('#filter_completeTrips').val() != '' || $('#filter_cancelledTrips').val() != '' || $('#filter_validity').val() != '' ||$('#filter_validity_dt').val() != '' ||$('#filter_validity_by_id').val() != '' || $('#filter_created_at').val() != '' || $('#filter_updated_at').val() != '') {
                    //card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_name').val(), $('#filter_mobileNumber').val(), $('#filter_emailAddress').val(), $('#filter_dateOfBirthHijri').val(), $('#filter_dateOfBirthGregorian').val(), $('#filter_nationalityId').val(), $('#filter_identityNumber').val(), $('#filter_eligibilityExpiryDate').val(), $('#filter_driverStatusId').val(), $('#filter_gender').val(), $('#filter_address').val(), $('#filter_rating').val(), $('#filter_loginStatus').val(), $('#filter_completeTrips').val(), $('#filter_cancelledTrips').val(), $('#filter_validity').val(),$('#filter_validity_dt').val(),$('#filter_validity_by_id').val(), $('#filter_created_at').val(), $('#filter_updated_at').val());
                    $('#right-modal').modal('hide');
                } else {
                    alert('Select filter option');
                }
            });
            $('#reset').click(function () {
                $('#filter_name').val('');
                $('#filter_mobileNumber').val('');
                $('#filter_emailAddress').val('');
                $('#filter_dateOfBirthHijri').val('');
                $('#filter_dateOfBirthGregorian').val('');
                $('#filter_nationalityId').val('');
                $('#filter_identityNumber').val('');
                $('#filter_eligibilityExpiryDate').val('');
                $('#filter_driverStatusId').val('');
                $('#filter_gender').val('');
                $('#filter_address').val('');
                $('#filter_rating').val('');
                $('#filter_loginStatus').val('');
                $('#filter_completeTrips').val('');
                $('#filter_cancelledTrips').val('');
                $('#filter_validity').val('');
                $('#filter_validity_dt').val('');
                $('#filter_validity_by_id').val('');
                $('#filter_created_at').val('');
                $('#filter_updated_at').val('');
                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });
        });

        function add() {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Drivers/create")}}",
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }
    </script>
@endsection
