@extends('AdminLTE')
@section('content')
    <!-- Content Header (Page header) -->
    <div style="width:100%;margin: 0px;">
        <div style="float:left;margin-top: 7px;margin-bottom:  5px;"><h2
                style="width:100%;font-size: 14px;font-weight: bold;">OrderReceipts</h2>
        </div>
    </div>
    <!-- /.content-header -->
    <!--class="w3-table-all w3-card-4"-->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        function card_min() {
            document.getElementById('card-body1').style.display = 'none';
            document.getElementById('card-footer1').style.display = 'none';
            document.getElementById("corner").className = "fas fa-plus";
        }

        function card_change() {
            if (document.getElementById('card-body1').style.display == 'none') {
                document.getElementById('card-body1').style.display = '';
                document.getElementById('card-footer1').style.display = '';
                document.getElementById("corner").className = "fas fa-minus";
            } else {
                document.getElementById('card-body1').style.display = 'none';
                document.getElementById('card-footer1').style.display = 'none';
                document.getElementById("corner").className = "fas fa-plus";
            }
        }
    </script>
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default" style="width:100%;clear:both;">
        <div class="card-header" style="margin-bottom: 0PX;">
            <button class="button_search" onclick="card_change()"><i class="fa fa-search"></i></button>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" onclick="card_change()"><i id="corner"
                                                                                      class="fas fa-minus"></i></button>
            </div>
        </div>
        <!-- /.card-header -->
        <div class="card-body" id="card-body1" style="display:none">
            <table id="search_table">
                <tr>
                    <TH>Passenger</TH>
                    <td style="white-space: nowrap;">
                        <input name="filter_customerId" id="filter_customerId" type="hidden" value="">
                        <table style="padding: 0px 0px; !important;">
                            <tr>
                                <td>
                                    <input class="form-control" name="filter_customerId_input"
                                           id="filter_customerId_input" style="width:200px" type="text" value=""
                                           data-readonly>
                                </td>
                                <td>
                                    <button onclick="passenger_window();" type="button" class="btn btn-sm btn-primary ">
                                        Select
                                    </button>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <TH>OederId</TH>
                    <td><input class="form-control" style="width:200px" sname="filter_orderId" id="filter_orderId"
                               type="text"></td>
                    <TH>totalAmountPaid</TH>
                    <td><input class="form-control" style="width:200px" name="filter_totalAmountPaid"
                               id="filter_totalAmountPaid" type="text">
                    </td>
                </tr>
                <tr>
                    <TH>Driver</TH>
                    <td style="white-space: nowrap;">
                        <input name="filter_driverId" id="filter_driverId" type="hidden" value="">
                        <table style="padding: 0px 0px; !important;">
                            <tr>
                                <td>
                                    <input class="form-control" style="width:200px" name="filter_driverId_input"
                                           id="filter_driverId_input"
                                           type="text" value="" data-readonly>
                                </td>
                                <td>
                                    <button onclick="driver_window();" type="button" class="btn btn-sm btn-primary">
                                        Select
                                    </button>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <TH>companyProfit</TH>
                    <td><input class="form-control" name="filter_companyProfit" id="filter_companyProfit"
                               type="text"></td>
                    <TH>gross_income</TH>
                    <td><input class="form-control" name="filter_gross_income" id="filter_gross_income"
                               type="text">
                    </td>
                </tr>
                <tr>
                    <TH>driverProfit</TH>
                    <td><input class="form-control" name="filter_driverProfit" id="filter_driverProfit" type="text">
                    </td>
                    <TH>vatTax</TH>
                    <td><input class="form-control" name="filter_vatTax" id="filter_vatTax" type="text"></td>
                    <TH>Payment Status</TH>
                    <td>
                        <select id="filter_paymentStatusId" name="filter_paymentStatusId"
                                data-placeholder="Choose a CarType..." class="form-control select2-single">
                            <option value=""></option>
                            @foreach($lkp_paymentstatus as $paymentstatus)
                                <option value="{{$paymentstatus->id}}">{{$paymentstatus->status}}</option>
                            @endforeach
                        </select>
                    </td>
                </tr>
                <tr>
                    <TH>Payment Type</TH>
                    <td>
                        <select id="filter_paymentTypeId" name="filter_paymentTypeId"
                                data-placeholder="Choose a CarType..." class="form-control select2-single">
                            <option value=""></option>
                            @foreach($lkp_paymenttype as $paymenttype)
                                <option value="{{$paymenttype->id}}">{{$paymenttype->paymentType}}</option>
                            @endforeach
                        </select>
                    </td>
                    <TH>Created_At</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" name="filter_created_at" id="filter_created_at" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_created_at"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_created_at"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_created_at"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                    <TH>Updated_At</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" id="filter_updated_at" name="filter_updated_at" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_updated_at"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_updated_at"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_updated_at"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                </tr>
            </table>
        </div>
        <!-- /.card-body -->
        <div class="card-footer" align="center" id="card-footer1" style="display:none">
            <button type="button" name="filter" id="filter" class="btn btn-sm btn-info">Filter</button>
            <button type="button" name="reset" id="reset" class="btn btn-sm btn-default">Reset</button>
        </div>
    </div>
    <!-- /.card -->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!--w3-table-all w3-card-4-->
    <!-- table table-bordered table-striped  -->
    <!--table-responsive-->
    <table id="customer_data" class="table table-bordered table-striped ">
        <thead>
        <tr>
            <TH>Date</TH>
            <TH>OederId</TH>
            <TH>Passenger</TH>
            <TH>Driver</TH>
            <TH>Total Amount</TH>
            <TH>Gross Income</TH>
            <TH>Company Profit</TH>
            <TH>Driver Profit</TH>
            <TH>Vat Tax</TH>
            <TH>Payment Status</TH>
            <TH>Payment Type</TH>
            <TH>Action</TH>
        </tr>
        </thead>
    </table>
    </div>
    <br/>
    <br/>
    </div>

    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <div id="edit_modal" class="w3-modal" style="padding-top:10px;">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:800px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('edit_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <div class="content-header" style="width:100%;">
            </div>
            <div style="width:100%;clear:both;" id="response">
            </div>
        </div>
    </div>
    <div id="delete_modal" class="w3-modal">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('delete_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <header class="w3-container w3-text-indigo w3-margin-top-64">
                <h1>Delete</h1>
            </header>
            <form class="w3-container" action="" method="POST" id="delete_form">
                {{method_field('DELETE')}}
                @csrf
                <div class="w3-section">
                    <p>Are you sure, you want to delete <span id="delete_name"></span> ?</p>
                    <div class="w3-center">
                        <button type="submit" class="w3-btn w3-indigo"> Delete</button>
                    </div>
                </div>
            </form>
            <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                <button onclick="document.getElementById('delete_modal').style.display='none'" type="button"
                        class="w3-btn w3-red">Cancel
                </button>
            </div>
        </div>
    </div>
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        $(document).ready(function () {
            fill_datatable();


            function fill_datatable(filter_orderId = '', filter_customerId = '', filter_driverId = '', filter_totalAmountPaid = '', filter_companyProfit = '', filter_gross_income = '', filter_driverProfit = '', filter_vatTax = '', filter_paymentStatusId = '', filter_paymentTypeId = '', filter_created_at = '', filter_updated_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    "order": [[0, "desc"]],
                    "pagingType": "full_numbers",
                    "autoWidth": false,
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
                    },
                    ajax: {
                        url: "{{ route('OrderReceipts.index') }}",
                        data: {
                            filter_orderId: filter_orderId,
                            filter_customerId: filter_customerId,
                            filter_driverId: filter_driverId,
                            filter_totalAmountPaid: filter_totalAmountPaid,
                            filter_companyProfit: filter_companyProfit,
                            filter_gross_income: filter_gross_income,
                            filter_driverProfit: filter_driverProfit,
                            filter_vatTax: filter_vatTax,
                            filter_paymentStatusId: filter_paymentStatusId,
                            filter_paymentTypeId: filter_paymentTypeId,
                            filter_created_at: filter_created_at,
                            filter_updated_at: filter_updated_at,
                        }
                    },
                    columns: [
                        {
                            data: 'created_at',
                            name: 'created_at',
                        },
                        {
                            data: 'orderId',
                            render: function (data, type, row, meta) {
                                return '<a href="javascript:trip(' + row.orderId + ')">' + data + '</a>';
                            }
                        },
                        {
                            data: 'passenger_name',
                            render: function (data, type, row, meta) {
                                return '<a href="javascript:passenger(' + row.customerId + ')">' + data + '</a>';
                            }
                        },
                        {
                            data: 'driver_name',
                            render: function (data, type, row, meta) {
                                return '<a href="javascript:driver(' + row.driverId + ')">' + data + '</a>';
                            }
                        },
                        {
                            data: 'totalAmountPaid',
                            name: 'totalAmountPaid',
                        },
                        {
                            data: 'gross_income',
                            name: 'gross_income',
                        },
                        {
                            data: 'companyProfit',
                            name: 'companyProfit',
                        },
                        {
                            data: 'driverProfit',
                            name: 'driverProfit',
                        },
                        {
                            data: 'vatTax',
                            name: 'vatTax',
                        },
                        {
                            data: 'paymentStatusId',
                            render: function (data, type, row, meta) {
                                if (data === "1") {
                                    return '<span class="label label-success"> ' + row.status + '</span>';
                                } else if (data === "2") {
                                    return '<span class="label label-danger"> ' + row.status + '</span>';
                                }
                            }
                        },
                        {
                            data: 'paymentTypeId',
                            render: function (data, type, row, meta) {
                                if (data === "1") {
                                    return '<i class="fas fa-money-bill-wave"></i> ' + row.paymentType;
                                } else if (data === "2") {
                                    return '<i class="fa fa-credit-card"></i> ' + row.paymentType;
                                }
                            }
                        },

                        {
                            orderable: false,
                            className: "text-center",
                            targets: -1,
                            data: 'id',
                            "render": function (data, type, row, meta) {
                                return '<a id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-green vd_green view"> <i class="fa fa-eye"></i> </a>'
                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }
                    ]
                });
            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/OrderReceipts")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                    }
                });
            });


            $('#filter').click(function () {
                if ($('#filter_orderId').val() != '' || $('#filter_customerId').val() != '' || $('#filter_driverId').val() != '' || $('#filter_totalAmountPaid').val() != '' || $('#filter_companyProfit').val() != '' || $('#filter_gross_income').val() != '' || $('#filter_driverProfit').val() != '' || $('#filter_vatTax').val() != '' || $('#filter_paymentStatusId').val() != '' || $('#filter_paymentTypeId').val() != '' || $('#filter_created_at').val() != '' || $('#filter_updated_at').val() != '') {
                    card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_orderId').val(), $('#filter_customerId').val(), $('#filter_driverId').val(), $('#filter_totalAmountPaid').val(), $('#filter_companyProfit').val(), $('#filter_gross_income').val(), $('#filter_driverProfit').val(), $('#filter_vatTax').val(), $('#filter_paymentStatusId').val(), $('#filter_paymentTypeId').val(), $('#filter_created_at').val(), $('#filter_updated_at').val() );
                } else {
                    alert('Select filter option');
                }
            });
            $('#reset').click(function () {
                $('#filter_orderId').val('');
                $('#filter_customerId').val('');
                $('#filter_customerId_input').val('');
                $('#filter_driverId').val('');
                $('#filter_driverId_input').val('');
                $('#filter_totalAmountPaid').val('');
                $('#filter_companyProfit').val('');
                $('#filter_gross_income').val('');
                $('#filter_driverProfit').val('');
                $('#filter_vatTax').val('');
                $('#filter_paymentStatusId').val('');
                $('#filter_paymentTypeId').val('');
                $('#filter_created_at').val('');
                $('#filter_updated_at').val('');
                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });
        });

        function passenger_window() {
            myWindow1 = window.open("{{URL("/PassengerWindow")}}", "",
                "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function driver_window() {
            $('#filter_vehichleId').val('');
            $('#filter_vehichleId_input').val('');
            myWindow1 = window.open("{{URL("/DriverWindow")}}", "",
                "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function passenger(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Passengers")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }

        function driver(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Drivers")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }

        function trip(id) {

            $.ajax({
                type: 'GET',
                url: "{{URL("/Orders")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;

                }
            });
        }

    </script>
@endsection
