  @extends('AdminLayout')
@section('content')
  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Add New Passenger</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Add New Passenger</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
 

                        <!-- file preview template -->
                        <!-- <div class="d-none" id="uploadPreviewTemplate">
                            <div class="card mt-1 mb-0 shadow-none border">
                                <div class="p-2">
                                    <div class="row align-items-center">
                                        <div class="col-auto">
                                            <img data-dz-thumbnail src="#" class="avatar-sm rounded bg-light" alt="">
                                        </div>
                                        <div class="col pl-0">
                                            <a href="javascript:void(0);" class="text-muted font-weight-bold" data-dz-name></a>
                                            <p class="mb-0" data-dz-size></p>
                                        </div>
                                        <div class="col-auto">
                                            <a href="" class="btn btn-link btn-lg text-muted" data-dz-remove>
                                                <i class="dripicons-cross"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div> -->

                        <div class="row">
                            <div class="col-lg-10 offset-lg-1">
                                <div class="card p-3">
                                    <div class="card-body">
                                        @include('pages.messages')
                                        <form method="POST" action="{{ action('PassengersController@store') }}" enctype="multipart/form-data">
                                          @csrf
                                            <div class="row  mb-4">
                                                <div class="col-lg-2 align-self-center">
                                                    <div class="passenger-img-box">
                                                        <img id="pic" src="{{asset("/images/profile-image.jpg")}}" class="img-fluid">
                                                    </div>
                                                </div>
                                                <div class="col-md-10 align-self-center">
                                                    <h4 class="mb-3">Profile Image</h4>
                                                    <div class="form-group ">
                                                        <input type="file" name="ProfileImage" id="ProfileImage" class="form-control-file">
                                                    </div>
                                                </div>

                                            </div> 
                                            <div class="row">
                                                <div class="col-lg-12 ">
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="inputFirstname">First name</label>
                                                            <input type="text" class="form-control"  name="name" id="userFirstname" required>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="inputLastname">Last name</label>
                                                            <input type="text" class="form-control"  name="lname" id="userLastname" >
                                                        </div>
                                                    </div>
    
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="Email">Email</label>
                                                            <input type="Email" class="form-control" id="userEmail" name="email" required>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="Phone">Phone</label>
                                                            <input type="phone" class="form-control telinput" id="userPhone" name="mobile" required>
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="Login-status">Login Status <span class="text-danger">*</span></label>
                                                            <select class="form-control" name="loginStatusId" id="loginStatus" required>
                            <option value="">Status</option>
                            <option value="1">Login</option>
                            <option value="2">Logout</option>
                                                            </select>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="Validity">Validity  <span class="text-danger">*</span></label>
                                                            <select class="form-control" name="validityId"   required>
                            <option value="">Validity</option>
                            <option value="1">Approved</option>
                            <option value="2">NotApproved</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="Device-Type">Device Type  <span class="text-danger">*</span></label>
                                                            <select class="form-control"  name="deviceType" required>
                            <option value="">Device</option>
                            <option value="1">Android</option>
                            <option value="2">IOS</option>
                                                            </select>
                                                        </div>
                                                                                                                <div class="col-sm-6">
                                                            <label for="Device-Type">Device Type  <span class="text-danger">*</span></label>
                                                            <select class="form-control" id="genderId" name="genderId" required>
                                                             <option value="">Gender</option>
                                                                      <option value="1">Male</option>
                                                                      <option value="2">Female</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="mt-4">
                                                        <button type="submit"class=" btn btn-primary btn-rounded mr-3">Submit</button> 
                                                        <button type="reset"class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Dismiss</button> 
                                                    </div>
                                                    
                                                </div> <!-- end col -->
                                            </div>
                                        </form>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div><!-- end col -->
                        </div>
                        <!-- end row -->  
                        
                    </div> <!-- container -->



<script type="text/javascript">
    
    ProfileImage.onchange = evt => {
  const [file] = ProfileImage.files
  if (file) {
    pic.src = URL.createObjectURL(file)
  }
}


</script>
                    @endsection