@extends('AdminLayout')
@section('content')

 <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Passengers</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Passengers</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4 class="header-title mb-4">Passanger</h4>
                                            </div>
                                            <!-- Right modal content -->
                                            <!-- Right modal content -->
                                        <div id="right-modal" class="modal fade filterform" tabindex="-1" role="dialog" aria-hidden="true">
                                            <div class="modal-dialog modal-md modal-right">
                                                <div class="modal-content">
                                                    <div class="modal-header border-0">
                                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                    </div>
                                                    <div class="modal-body p-4">
                                                        
                                                            <div class="row">
                                                                <div class="col-lg-12 ">
                                                                    <div class="form-group row">
                                                                        <div class="col-sm-12">
                                                                            <input type="text" class="form-control input-round" name="filter_name" id="filter_name" placeholder="Name" >
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group row">
                                                                        <div class="col-sm-12">
                                                                            <input type="phone" class="form-control input-round telinput" name="filter_mobile" id="filter_mobile" placeholder="Phone" >
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group row">
                                                                        <div class="col-sm-6">
                                                                            <select class="form-control input-round" name="filter_loginStatus" id="filter_loginStatus">
                                                                            <option value="">Login Status</option>
                                                                            <option value="1">Login</option>
                                                                            <option value="2">Logout</option>
                                                                            </select>
                                                                        </div>
                                                                        <div class="col-sm-6">
                                                                            <select class="form-control input-round" name="filter_gender" id="filter_gender">
                                                                            <option value="">Gender</option>
                                                                            <option value="1">Male</option>
                                                                            <option value="2">Female</option>
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group row">
                                                                        <div class="col-sm-12">
                                                                            <input type="Email" class="form-control input-round" name="filter_email" id="filter_email" placeholder="Email" >
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group row">
                                                                        <div class="col-sm-6">
                                                                            <select class="form-control input-round" name="filter_deviceType" id="filter_deviceType">
                                                                                    <option value="">Device</option>
                                                                                    <option value="1">Android</option>
                                                                                    <option value="2">IOS</option>
                                                                            </select>
                                                                        </div>
                                                                        <div class="col-sm-6">
                                                                            <select class="form-control input-round" name="filter_validity" id="filter_validity">
                                                                            <option value="">Validity</option>
                                                                            <option value="1">Approved</option>
                                                                            <option value="2">NotApproved</option>
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="form-group row">
                                                                        <div class="col-sm-12">
                                                                            <div class="form-group">
                                                                                <input class="form-control input-round range-picker"  name="filter_created_at" id="filter_created_at" type="date"  placeholder="Created at">
                                                                                
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="mt-2">
                                                                        <button type="submit" name="filter" id="filter" class=" btn btn-primary btn-rounded mr-3">Filter</button> 
                                                                        <button type="submit" name="reset" id="reset" class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Reset</button> 
                                                                    </div>
                                                                    
                                                                </div> <!-- end col -->
                                                            </div>
                                                        
                                                    </div>
                                                </div><!-- /.modal-content -->
                                            </div><!-- /.modal-dialog -->
                                        </div><!-- /.modal -->
                                            <div class="col-md-6 text-right">
                                                <button type="button" class="btn btn-white btn-rounded waves-effect" data-toggle="modal" data-target="#right-modal"><i class="mdi mdi-filter-outline cust-filter"></i> Filter</button> &nbsp;&nbsp;&nbsp;&nbsp;
                                                <a href="{{ route('Passengers.create') }}"   class="btn btn-primary btn-rounded  ">Add New User <i class="fe-arrow-right"></i></a>
                                            </div>
                                        </div>
                                        
                                        <table id="customer_data" class="table dt-responsive nowrap w-100">

                                           <thead class="thead-light">
                                                <tr>
                                            <TH>Created</TH>
                                            <TH>Name</TH>
                                            <TH>Gender</TH>
                                            <TH>Mobile</TH>
                                            <TH>Login Status</TH>
                                            <TH>Device Type</TH>
                                            <TH>Action</TH>
                                                </tr>
                                            </thead>
                                        
                                        
                                            <tbody>
                                                
                                                
                                                
                                            </tbody>
                                        </table>

                                    </div> <!-- end card body-->
                                </div> <!-- end card -->
                            </div><!-- end col-->
                        </div>
                        <!-- end row-->
                        <!-- End Page Body -->

                                                       

                                            <div class="modal fade" id="centermodal" tabindex="-1" role="dialog" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                    </div>

                                                     <form class="w3-container" action="" method="POST" id="delete_form">
                                                            {{method_field('DELETE')}}                                                            
                                                            @csrf
                                                            </form>

                                                    <div class="modal-body m-4">
                                                        <div class="text-center">
                                                            <div class="delete-icon-box">
                                                                <i class="dripicons-trash"></i>
                                                            </div>
                                                            <h2 class="mt-2 mb-2">Delete</h2>
                                                             <h4 class="mt-2 mb-2">Are you sure you want to delete?  </h4>
                                                             <input type="hidden" value="" id="delete-id">
                                                            <button type="submit"  id="delete-yes" class=" btn btn-primary btn-rounded mr-3" data-dismiss="modal">Yes</button> 
                                                            <button type="submit"  id="delete-no"  class=" btn btn-outline-primary btn-rounded waves-effect waves-light" data-dismiss="modal" aria-hidden="true">No</button> 
                                                        </div>
                                                    </div>
                                                </div><!-- /.modal-content -->
                                            </div><!-- /.modal-dialog -->
                                        </div><!-- /.modal -->

                                        @include('Passengers.show_popup')
                                       



                    </div> <!-- container -->


                        <script>
        $(document).ready(function () {

            fill_datatable();

            function fill_datatable(filter_name = '', filter_email = '', filter_mobile = '', filter_deviceType = '', filter_loginStatus = '', filter_validity = '', filter_gender = '', filter_created_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    order: [[0, "desc"]],
                    "pagingType": "simple_numbers",
                    "autoWidth": false,
					language: { paginate: { previous: "<i class='mdi mdi-chevron-left'>", next: "<i class='mdi mdi-chevron-right'>" } },
					buttons: [
                    { extend: "copy", className: "btn-light" },
                    { extend: "print", className: "btn-light" },
                    { extend: "pdf", className: "btn-light" },
                     ],
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
						$(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    },
                    ajax: {
                        url: "{{ route('Passengers.index') }}",
                        data: {
                            filter_name: filter_name, filter_email: filter_email, filter_mobile: filter_mobile,
                            filter_deviceType: filter_deviceType, filter_loginStatus: filter_loginStatus,
                            filter_validity: filter_validity, filter_gender, filter_created_at: filter_created_at
                        }

                    },

                    columns: [

                                               {
                            data: 'created_at',
                            render: function (data, type, row, meta) {
                               
                                    
                                    return '<span class="text-muted"><i class="far fa-calendar-alt"></i></span> '+data
                            }
                        },
                        {
                            data: 'name',
                            name: 'name',
                            //visible:false
                        },
                        {
                            data: 'gender_name',
                            name: 'gender_name'
                        },
                        {
                            data: 'mobile',
                            name: 'mobile'
                        },
                        {
                            data: 'loginStatusId',
                            render: function (data, type, row, meta) {
                                
                                if (data === 1) {
                                    return '<span class="badge badge-soft-success">Login</span>';
                                } else {
                                    return '<span class="badge badge-soft-warning">Logout</span>';
                                }
                            }
                        },
                        {
                            data: 'deviceType_name',
                            name: 'deviceType_name'
                        },
                        {
                            "orderable": false,
                            "targets": -1,
                            //"data": 'id',
                            "render": function (data, type, row, meta) {
                                   return '<input id="name_' + row.id + '" type="hidden" value="' + row.name + '">' +
                                    '<a href="void:javascript" id=' + row.id + ' data-original-title="edit" data-toggle="tooltip" data-placement="top" class="edit button-icon editicon"> <i class="fe-edit-1"></i> </a>' +
                                    '&nbsp;<a href="void:javascript" id=' + row.id + ' data-original-title="delete" data-toggle="tooltip" data-placement="top" class="button-icon deleteicon delete"> <i class="fe-trash-2"></i> </a>' +
                                    '&nbsp;<a href="void:javascript" id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="button-icon view viewicon"> <i class="fa fa-eye"></i> </a>'
                                    


                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }

                    ]
                });


            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();

                var id = $(this).attr('id');
                //window.location.href = "{{URL("/Passengers")}}" + "/" + id;
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/Passengers")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        //document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                        $('#viewPassenger').modal('show');

                    }
                });
            });
            $('#customer_data tbody').on('click', '.edit', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                window.location.href = "{{URL("/Passengers")}}" + "/" + id + "/edit";
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/Passengers")}}" + "/" + id + "/edit",
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;

                    }
                });
            });

            $('#filter').click(function () {

                if ($('#filter_name').val() != '' || $('#filter_email').val() != '' || $('#filter_mobile').val() != '' || $('#filter_deviceType').val() != '' || $('#filter_loginStatus').val() != '' || $('#filter_validity').val() != '' || $('#filter_gender').val() != '' || $('#filter_created_at').val() != '') {
                    //card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_name').val(), $('#filter_email').val(), $('#filter_mobile').val(), $('#filter_deviceType').val(), $('#filter_loginStatus').val(), $('#filter_validity').val(), $('#filter_gender').val(), $('#filter_created_at').val());
                    $('#right-modal').modal('hide');
                } else {
                    alert('Select filter option');
                }
            });

            $('#reset').click(function () {
                $('#filter_name').val('');
                $('#filter_email').val('');
                $('#filter_mobile').val('');
                $('#filter_deviceType').val('');
                $('#filter_loginStatus').val('');
                $('#filter_validity').val('');
                $('#filter_gender').val('');
                $('#filter_created_at').val('');

                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });

        });

            $('#customer_data tbody').on('click', '.delete', function (e) {

                e.preventDefault();
                 var id = $(this).attr('id');
                $('#centermodal').modal('show')
                $('#delete-id').val(id)


            });


                $('#delete-no').on('click', function (e) {

                $('#centermodal').modal('hide')


            });


                $('#delete-yes').on('click', function (e) {
                e.preventDefault();                
                var delete_id = $('#delete-id').val();
                document.getElementById('delete_form').action = "{{URL("/Passengers")}}" + "/" + delete_id  ;
                $("#delete_form").submit();
                        


            });


        function add() {

            $.ajax({
                type: 'GET',
                url: "{{URL("/Passengers")}}" + "/create",
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }

                    $('#filter').click(function () {

                if ($('#filter_name').val() != '' || $('#filter_email').val() != '' || $('#filter_mobile').val() != '' || $('#filter_deviceType').val() != '' || $('#filter_loginStatus').val() != '' || $('#filter_validity').val() != '' || $('#filter_gender').val() != '' || $('#filter_created_at').val() != '') {
                   // card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_name').val(), $('#filter_email').val(), $('#filter_mobile').val(), $('#filter_deviceType').val(), $('#filter_loginStatus').val(), $('#filter_validity').val(), $('#filter_gender').val(), $('#filter_created_at').val());
                } else {
                    alert('Select filter option');
                }
            });

            $('#reset').click(function () {
                $('#filter_name').val('');
                $('#filter_email').val('');
                $('#filter_mobile').val('');
                $('#filter_deviceType').val('');
                $('#filter_loginStatus').val('');
                $('#filter_validity').val('');
                $('#filter_gender').val('');
                $('#filter_created_at').val('');

                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });

    </script>

@endsection




