@extends('AdminLayout')
@section('content')
<div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Trip Chart</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Trip Chart</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-md-7 col-xl-7">
                                <div class="card drivervehiclechart">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Car Types</h4>
                                        <div class="table-responsive">
                                            <table class="table table-borderless mb-0">
                                                <thead class="thead-light">
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Plate Types</th>
                                                    <th>Percentage %</th>
                                                    <th>&nbsp;</th>
                                                    <th>Count</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <?php $i = 0;$total = 0;?>
                            @foreach($carTypes as $carType)
                                <?php $total += $carType->CO?>
                            @endforeach
                            @foreach($carTypes as $carType)
                                <?php $per = round($carType->CO * 100 / $total);?>
                                <?php $i++?>
                                                <tr>
                                                    <th scope="row">{{$i}}</th>
                                                    <td>{{$carType->carName}}</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: {{$per}}%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>{{$per}}%</td>
                                                     <td>{{$carType->CO}}</td>
                                                </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-5 col-xl-5">
                                <div class="card ">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Payment Type</h4>


                                        <div class="row mb-2">
                                            <?php $i = 0;?>

                            @foreach($paymenttypes as $paymenttype)
                                <?php $per = round($paymenttype->CO * 100 / $total);?>
                                <?php $i++?>

                                            <div class="col-sm-8">
                                                <div class="lagends">
                                                    @if($paymenttype->paymentType=="cash")
                                                    <span class="box status-login"> </span><span> {{$paymenttype->paymentType}} {{$per}}%</span>
                                                    @else
                                                     <span class="box status-logout"> </span><span> {{$paymenttype->paymentType}} {{$per}}%</span>
                                                     @endif
                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="lagends">
                                                    <span> Count= {{$paymenttype->CO}}</span>
                                                </div>
                                            </div>
                                             @endforeach
                                        </div>
                                           
                                        <div class="mt-4 chartjs-chart">
                                                <canvas id="Login-Status" height="300" data-colors="#008000,#FEA500"></canvas>
                                            </div>
    
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col-->
                        </div> <!-- end col-->
                        <div class="row">
                            <div class="col-md-7 col-xl-7">
                                <div class="card ">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Request Ride Status</h4>
                                        <div class="table-responsive">
                                            <table class="table table-borderless mb-0">
                                                <thead class="thead-light">
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Ride Status</th>
                                                    <th>Percentage %</th>
                                                    <th>&nbsp;</th>
                                                    <th>Count</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                             <?php $i = 0;?>

                            @foreach($requestridestatus as $requestridestatu)
                                <?php $per = round($requestridestatu->CO * 100 / $total);?>
                                <?php $i++?>
                                                <tr>
                                                    <th scope="row">{{$i}}</th>
                                                    <td>{{$requestridestatu->rideStatus}}</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: {{$per}}%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>{{$per}}%</td>
                                                     <td>{{$requestridestatu->CO}}</td>
                                                </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    @endsection