@extends('AdminLayout')
@section('content')
<div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Add New User</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Add New User</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row mt-3">
                            <div class="col-lg-10 offset-lg-1">
                                <div class="card-box p-4">
                                     @include('pages.messages')
                                    <form method="POST" action="{{ action('UsersController@store') }}" enctype="multipart/form-data">
                                         @csrf
                                          <div class="row  mb-4">
                                                <div class="col-lg-2 align-self-center">
                                                    <div class="passenger-img-box">
                                                        <img id="pic" src="{{asset("/images/profile-image.jpg")}}" class="img-fluid">
                                                    </div>
                                                </div>
                                                <div class="col-md-10 align-self-center">
                                                    <h4 class="mb-3">Profile Image</h4>
                                                    <div class="form-group ">
                                                        <input type="file" name="ProfileImage" id="ProfileImage" class="form-control-file">
                                                    </div>
                                                </div>

                                            </div> 
                                        <div class="row">
                                            <div class="col-lg-12 ">
                                                <div class="form-group row">
                                                    <div class="col-sm-6">
                                                        <label for="inputFirstname">First name</label>
                                                        <input type="text" class="form-control" name="name" id="userFirstname" >
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <label for="inputLastname">Last name</label>
                                                        <input type="text" class="form-control" name="lname" id="userLastname" >
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <div class="col-sm-6">
                                                        <label for="Email">Email</label>
                                                        <input type="Email" class="form-control" name="email" id="userEmail" >
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <label for="Phone">Phone</label>
                                                        <input type="phone" class="form-control" id="userPhone" name="phone">
                                                    </div>
                                                </div>
                                                <div class="form-group row">
                                                    <div class="col-sm-6">
                                                        <label for="Email">Courier Company</label>
                                                        <input type="text" class="form-control" id="usercourierCompany" name="companyId">
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <label for="Status">Status <span class="text-danger">*</span></label>
                                                        <select id="active_id" name="active_id" placeholder="Select ..." class="form-control" required>
                    <option value=""></option>
                    @foreach($lkp_active as $lkp_activ)
                        <option value="{{$lkp_activ->id}}">{{$lkp_activ->active}}</option>
                    @endforeach
                </select>
                                                    </div>
                                                </div>
                                                <div class="form-group row">
                                                    <div class="col-sm-6">
                                                        <label for="Email">Set Password</label>
                                                        <input type="password" class="form-control"  name="password" id="userUserpassword" >
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <label for="Userrole">User Role <span class="text-danger">*</span></label>
                                                                        <select id="role_id" name="role_id" placeholder="Select ..." class="form-control" required>
                    <option value=""></option>
                    @foreach($users_role as $users_role_raw)
                        <option value="{{$users_role_raw->id}}">{{$users_role_raw->role_name}}</option>
                    @endforeach
                </select>
                                                    </div>
                                                </div>
                                                <div class="mt-4">
                                                    <button type="submit"class=" btn btn-primary btn-rounded mr-3">Submit</button> 
                                                    <button type="submit"class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Dismiss</button> 
                                                </div>
                                                
                                            </div> <!-- end col -->
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <!-- End Page Body -->
                    </div> <!-- container -->
                    <script type="text/javascript">
                        
                        
    
    ProfileImage.onchange = evt => {
  const [file] = ProfileImage.files
  if (file) {
    pic.src = URL.createObjectURL(file)
  }
}


                    </script>
                    @endsection
