@extends('AdminLayout')
@section('content')
 <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">User Privileges</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">User Privileges</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body p-4">
                                        <div class="user-privillages p-2">
                                            <div class="table-responsive">
                                                <table class="table">
                                                    <col width="40%">
                                                    <col width="20%">
                                                    <col width="20%">
                                                    <col width="20%">
                                                    <thead>
                                                        <tr>
                                                            <th>Users</th>
                                                            <th>Role</th>
                                                            <th>Read</th>
                                                            <th>Write</th>
                                                            <th>Denied</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <form method="POST" action="{{ action('UsersPrivilegeController@store')}}" >
                                                         @csrf 


                                                        @foreach($UsersMenu as $menu_index => $menu)

                                                        <?php 

                                                        if(!isset($menu->read)){
                                                            $menu->read = 0;
                                                            $menu->write = 0;
                                                            $menu->denied = 0;
                                                        }
                                                        ?>

                                                        @include('UsersPrivilege.rows')

                                                       
                                                           <?php 

                                                            $menu_group = DB::table('user_access_group')
                                                            ->select(
                                                            'id', 'name', 'read', 'write', 'denied')->get();
                                                            foreach($menu_group as $group){ 

                                                                 $user_groups = DB::table('menu_pivot')
                                                            ->select(
                                                            'menu_pivot.id as menuId', 'menu_pivot.menu_id','menu_pivot.read', 'menu_pivot.write', 'menu_pivot.denied')
                                                            ->where('user_id','=',  $menu->userId)
                                                            ->where('group_id','=',  $group->id)
                                                            ->get();

                                                        if(count($user_groups) ==0){
                                                            $user_groups->read = 0;
                                                            $user_groups->write = 0;
                                                            $user_groups->denied = 0;
                                                        }else{
                                                            $user_groups = $user_groups[0];
                                                        }
                                                                ?>

                                                                @include('UsersPrivilege.rows_groups')
                                                                @include('UsersPrivilege.rows2')
                                                            <?php  } ?>
        
                                                            
                                                        

                                                        
                                                        <!-- subchild row -->
                                                   
                                                      
                                                       
                                                         @endforeach
                                                         
                                                         <button type="submit" class="btn btn-primary btn-rounded">Save Settings</button>
                                                         </form>
                                                         
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- End Page Body -->
                    </div> <!-- container -->

                    @endsection
