@extends('AdminLayout')
@section('content')
<div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Add New User</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Add New User</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row mt-3">
                            <div class="col-lg-10 offset-lg-1">
                                <div class="card-box p-4">
                                     @include('pages.messages')
                                    <form method="POST" action="{{ action('UsersRoleController@store') }}" >
                                         @csrf
                                         
                                        <div class="row">
                                            <div class="col-lg-12 ">
                                                
                                                <div class="form-group row">
                                                    <div class="col-sm-6">
                                                        <label for="Email">Role Name</label>
                                                        <input type="text" class="form-control"  name="role_name" id="role_name" required >
                                                    </div>
                                                   
                                                </div>
                                                <div class="mt-4">
                                                    <button type="submit"class=" btn btn-primary btn-rounded mr-3">Submit</button> 
                                                    <button type="submit"class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Dismiss</button> 
                                                </div>
                                                
                                            </div> <!-- end col -->
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <!-- End Page Body -->
                    </div> <!-- container -->
                    @endsection
