 <!-- ========== Left Sidebar Start ========== -->
@php 

use App\Http\Controllers\UserAccessController; 
$mainUser = UserAccessController::user_main_access('');

$groupUser = UserAccessController::user_group_all_access('');



$UserScreen = UserAccessController::user_screen_all_access('');

@endphp


            <div class="left-side-menu">


                <div class="h-100" data-simplebar>

                    <!-- User box -->
                    <div class="user-box text-center">
                        <img src="{{asset("/images/users/user-1.jpg")}}" alt="user-img" title="Mat Helme"
                            class="rounded-circle avatar-md">


                        <div class="dropdown">
                            <a href="javascript: void(0);" class="text-dark dropdown-toggle h5 mt-2 mb-1 d-block"
                                data-toggle="dropdown">Geneva Kennedy </a>
                            <div class="dropdown-menu user-pro-dropdown">

                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-user mr-1"></i>
                                    <span>My Account</span>
                                </a>

                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-settings mr-1"></i>
                                    <span>Settings</span>
                                </a>

                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-lock mr-1"></i>
                                    <span>Lock Screen</span>
                                </a>

                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-log-out mr-1"></i>
                                    <span>Logout</span>
                                </a>

                            </div>
                        </div>
                        <p class="text-muted">Admin Head</p>
                    </div>

                    <!--- Sidemenu -->
                    <div id="sidebar-menu">

                        <ul id="side-menu">
                            <div class="admin-dbox"> 
                                <div class="row align-items-center ml-1  mt-2 mb-2">
                                    <div class="col-4">
                                        @if(Auth::user()->profileImage !='')
                                                       <img  src="{{ asset('user_images/'.Auth()->user()->profileImage) }}" class="img-fluid" />
                                                      @else
                                                     <img   src="{{asset("/images/profile-image.jpg")}}" class="img-fluid" />
                                                     @endif

                                                     

                                        
                                    </div>
                                    <div class="col-8">
                                        <div class="text-left">
                                            
                                            <span class="text-muted"><i class="fe-user"></i> {{Auth::user()->name}}  </span><br>
                                            <span class="text-muted"><i class="far fa-envelope"></i> {{Auth::user()->email}}</span>
                                        </div>
                                    </div>
                                </div>
                            </div>  
                            <?php if($mainUser->denied !=1){ ?>  
                            <?php

                                        if($UserScreen[1]['denied'] !=1 && $groupUser[1]['denied'] !=1){?>           
                            <li>
                                <a href="#sidebarDashboards" data-toggle="collapse">
                                    <i data-feather="home"></i>
                                    <span> Dashboard </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarDashboards">
                                    <ul class="nav-second-level">
                                        
                                        <li>
                                            <a href="{{ route('main')}}">Dashboard 1</a>
                                        </li>
                                   
                                        <!-- <li>
                                            <a href="#">Dashboard 2</a>
                                        </li> -->
                                    </ul>
                                </div>
                            </li>
                             <?php } ?>

                             <?php

                            if(($UserScreen[2]['denied'] !=1 || $UserScreen[3]['denied'] !=1) && ($groupUser[2]['denied'] !=1) ){?>


                            <li>
                                <a href="#sidebarAdmin" data-toggle="collapse">
                                    <i data-feather="lock"></i>
                                    <span> Admin</span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarAdmin">
                                    <ul class="nav-second-level">
                                        <?php

                                        if($UserScreen[2]['denied'] !=1){?>

                                        <li>
                                            <a href="{{ URL("/Users")}}">Users</a>
                                        </li>
                                    <?php } ?>

                                    <?php

                                        if($UserScreen[3]['denied'] !=1){?>

                                        <li>
                                            <a href="{{ route('Users.create')}}">Add New User</a>
                                        </li>
                                          <?php } ?>
                                    </ul>
                                </div>
                            </li>
                        <?php } ?>

                        <?php

                            if( ($UserScreen[4]['denied'] !=1 || $UserScreen[5]['denied'] !=1 || $UserScreen[6]['denied'] !=1 || $UserScreen[7]['denied'] !=1) && ($groupUser[3]['denied'] !=1) ){?>

                            <li>
                                <a href="#sidebarPassengers" data-toggle="collapse">
                                    <i data-feather="users"></i>
                                    <span> Passengers </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarPassengers">
                                    <ul class="nav-second-level">
                                       <?php

                                        if($UserScreen[4]['denied'] !=1){?>

                                        <li>
                                            <a href="{{ URL("/Passengers")}}">Passengers</a>
                                        </li>
                                         <?php } ?>


                                          <?php

                                        if($UserScreen[5]['denied'] !=1){?>
                                        <li>
                                            <a href="{{ route('Passengers.create') }}">Add New Passenger</a>
                                        </li>
                                        <?php } ?>

                                        <?php

                                        if($UserScreen[6]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL('PassengerChart')}}">Chart</a>
                                        </li>
                                    <?php } ?>

                                    <?php

                                        if($UserScreen[7]['denied'] !=1){?>

                                        <li>
                                            <a href="{{ URL("/DailyPassengerRegistration")}}">Daily Passenger Registration</a>
                                        </li>
                                        <?php } ?>
                                    </ul>
                                </div>
                            </li>
                        <?php  } ?>


                            <?php

                            if( ($UserScreen[8]['denied'] !=1 || $UserScreen[9]['denied'] !=1 || $UserScreen[10]['denied'] !=1 || $UserScreen[11]['denied'] !=1

|| $UserScreen[12]['denied'] !=1 || $UserScreen[13]['denied'] !=1 || $UserScreen[14]['denied'] !=1 || $UserScreen[15]['denied'] !=1
                        ) && ($groupUser[4]['denied'] !=1) ){?>
                            <li>
                                <a href="#sidebarDivers" data-toggle="collapse">
                                    <i class="fas fa-car"></i>
                                    <span> Divers </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarDivers">
                                    <ul class="nav-second-level">
                                        <?php

                                        if($UserScreen[8]['denied'] !=1){?>

                                        <li>
                                            <a href="{{ URL("/Drivers")}}"">Drivers</a>
                                        </li>
                                        <?php } ?>

                                        <?php

                                        if($UserScreen[9]['denied'] !=1){?>

                                        <li>
                                            <a href="{{ route('Drivers.create') }}">Add New Drivers</a>
                                        </li>
                                        <?php } ?>


                                        <?php

                                        if($UserScreen[10]['denied'] !=1){?>

                                        <li>
                                          <a href="{{ URL("/DriverVehicles")}}">Driver Vehicles</a>
                                        </li>
                                        <?php } ?>

                                         <?php

                                        if($UserScreen[11]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL("/DriverChart")}}">Drivers Chart</a>
                                        </li>
                                        <?php } ?>

                                         <?php

                                        if($UserScreen[12]['denied'] !=1){?>
                                        <li>
                                            <a href="{{URL("/DriverVehicleChart")}}">Driver Vehicles Chart</a>
                                        </li>
                                        <?php } ?>

                                         <?php

                                        if($UserScreen[13]['denied'] !=1){?>

                                        <li>
                                            <a href="{{ URL('/DailyDriverRegistration') }}">Daily Driver Registration</a>
                                        </li>
                                         <?php } ?>

                                        <?php

                                        if($UserScreen[14]['denied'] !=1){?>
                                         
                                        <li>
                                            <a href="{{URL('/driverTracking/1')}}">Driver Tracking</a>
                                        </li>
                                         <?php } ?>

                                         <?php

                                        if($UserScreen[15]['denied'] !=1){?>
                                        <li>
                                            <a href="{{URL('/heatMap')}}">Heat Map</a>
                                        </li>
                                        <?php } ?>

                                    </ul>
                                </div>
                            </li>
                        <?php } ?>

                         <?php

                            if( ($UserScreen[16]['denied'] !=1 || $UserScreen[17]['denied'] !=1 || $UserScreen[18]['denied'] !=1 || $UserScreen[19]['denied'] !=1) && ($groupUser[5]['denied'] !=1) ){?>

                            <li>
                                <a href="#sidebarTrips" data-toggle="collapse">
                                    <i class="fas fa-route"></i>
                                    <span> Trips </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarTrips">
                                    <ul class="nav-second-level">
                                        <?php

                                        if($UserScreen[16]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL('BookingRequests')}}">Booking Requests</a>
                                        </li>
                                          <?php } ?>

                                           <?php

                                        if($UserScreen[17]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL('Trips')}}">Trips</a>
                                        </li>
                                        <?php } ?>

                                         <?php

                                        if($UserScreen[18]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL('BookingRequestChart')}}">Booking Request Chart</a>
                                        </li>
                                        <?php } ?>

                                        <?php

                                        if($UserScreen[19]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL('TripChart')}}">Trip Chart</a>
                                        </li>
                                        <?php } ?>

                                    </ul>
                                </div>
                            </li>
                        <?php } ?>

                        <?php

                                        if($UserScreen[20]['denied'] !=1 && $groupUser[6]['denied'] !=1){?>
                            <li>
                                <a href="#sidebarOrders" data-toggle="collapse">
                                    <i class="mdi mdi-calendar-text"></i>
                                    <span> Orders </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarOrders">
                                    <ul class="nav-second-level">
                                        

                                        <li>
                                            <a href="{{URL('Orders')}}">Orders</a>
                                        </li>
                                        

                                        
                                    </ul>
                                </div>
                            </li>
 <?php } ?>

 <?php

                                        if( ($UserScreen[21]['denied'] !=1 || $UserScreen[22]['denied'] !=1) && ($groupUser[7]['denied'] !=1) ){?>

                            <li>
                                <a href="#sidebarWallets" data-toggle="collapse">
                                    <i class="mdi mdi-wallet-outline"></i>
                                    <span> Wallets </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarWallets">
                                    <ul class="nav-second-level">
                                        <?php

                                        if($UserScreen[21]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL('BookingReceipts')}}">Booking Receipts</a>
                                        </li>
                                           <?php } ?>

                                            <?php

                                        if($UserScreen[22]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL('OrderReceipts')}}">Order Receipts</a>
                                        </li>
                                         <?php } ?>

                                    </ul>
                                </div>
                            </li>
                        <?php } ?>

                            <?php

                            if( ($UserScreen[23]['denied'] !=1 || $UserScreen[24]['denied'] !=1) && ($groupUser[8]['denied'] !=1) ){?>

                            <li>
                                <a href="#sidebarSMS" data-toggle="collapse">
                                    <i class="far fa-comment-dots"></i>
                                    <span> SMS Verification </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarSMS">
                                    <ul class="nav-second-level">
                                        <?php

                                        if($UserScreen[23]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL('DriverVerification')}}">Driver Verification</a>
                                        </li>
                                         <?php } ?>

                                          <?php

                                        if($UserScreen[24]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL('PassengerVerification')}}">Passenger Verification</a>
                                        </li>
                                           <?php } ?>

                                    </ul>
                                </div>
                            </li>
                        <?php } ?>

                        
                        
                            <li>
                                <a href="#sidebarSettings" data-toggle="collapse">
                                    <i class="far fa-comment-dots"></i>
                                    <span> Settings </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarSettings">
                                    <ul class="nav-second-level">
                                         <?php

                                        if($UserScreen[25]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL('CarTypes')}}">Car Types</a>
                                        </li>
                                         <?php } ?>

                                         <?php

                                        if($UserScreen[26]['denied'] !=1){?>

                                        <li>
                                            <a href="{{URL('Settings')}}">Company Settings</a>
                                        </li>

                                        <?php } ?>

                                        <?php

                                        if($UserScreen[27]['denied'] !=1){?>
                                        <li>
                                             <a href="{{ URL("/UsersRole")}}">User Roles</a>
                                        </li>
                                        <?php } ?>
                                        <li>
                                             <a href="{{ URL("/UsersPrivilage")}}">User Privilage</a>
                                        </li>



                                    </ul>
                                </div>
                            </li>

 <?php } ?>
                        
                            <li class="ml-5 mt-3">
                                
                                      @if (!Auth::guest())
                                <button type="button" class="btn btn-outline-primary btn-rounded waves-effect waves-light" onclick="event.preventDefault();
                                document.getElementById('logout-form').submit();"><i class="icon-logout"></i> Logout</button>      
                                
                                <form id="logout-form" action="{{ route('logout') }}" method="POST"
                                      style="display: none;">
                                    {{ csrf_field() }}
                                </form>
                                @endif

                            </li>
                            
                        </ul>

                    </div>
                    <!-- End Sidebar -->

                    <div class="clearfix"></div>

                </div>
                <!-- Sidebar -left -->

            </div>
            <!-- Left Sidebar End -->
