<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class PagesController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(){
        if(!UserAccessController::check_access(1, 'read')){
           return redirect('/no_access');
        }

        $name= 'index';
        return view('pages.dashboard')->with('name',$name );
    }

    function about() {
        $name= 'about';
        return view('pages.about')->with('name',$name );
      }

      function proLanguage() {

        $myname= array('J'=>'JAVA','C'=>'C++','P'=>'PHP');
        return view('pages.prolanguage')->with('myname', $myname );
      }

      function no_access() {

        
        return view('no_access');
      }      

      



}
