<?php

namespace App\Providers;

use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Gate;

//use Illuminate\Contracts\Auth\Access\Gate as GateContract;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the application.
     *
     * @var array
     */
    protected $policies = [
        // 'App\Model' => 'App\Policies\ModelPolicy',
    ];

    /**
     * Register any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
        $this->registerPolicies();

        // session(['menu' => $user->name]);
        // $privileges= \DB::table('users_privilege')->where('role_id', Auth::user()->name )->get();
        //foreach ($privileges as $privilege) {
        // session(['menu' => Auth::user()]);
        // }
        //
        //session(['key' => 'value222']);
        //session('key', 'default');
        //DB::table('users_privilege')->where('role_id', $request->input('role_id'))->
        //Gate::define('privilage', function($user){
        //    return $user->name == 'admin';
        // });
        //$menu,$action
        Gate::define('privilage', function ($user,$menu,$action) {
            $privileges = \DB::table('users_privilege')->where('role_id', $user->role_id)->where('menu_id', $menu)->where($action, '1')->get();
            foreach ($privileges as $privilege) {
            return $privilege->id <> '';
            }
            return false;
        });

    }
}
