! function(r) {
    "use strict";

    function e() {}
    e.prototype.createLineChart = function(e, a, r, t, o, i, l, s, b) {
        Morris.Line({
            element: e,
            data: a,
            dataLabels: !1,
            xkey: r,
            ykeys: t,
            labels: o,
            fillOpacity: i,
            pointFillColors: l,
            pointStrokeColors: s,
            behaveLikeLine: !0,
            gridLineColor: "rgba(65, 80, 95, 0.07)",
            hideHover: "auto",
            lineWidth: "4px",
            pointSize: 0,
            preUnits: "",
            resize: !0,
            lineColors: b
        })
    }, e.prototype.createBarChart = function(e, a, r, t, o, i) {
        Morris.Bar({
            element: e,
            data: a,
            dataLabels: !1,
            xkey: r,
            ykeys: t,
            labels: o,
            hideHover: "auto",
            resize: !0,
            gridLineColor: "rgba(65, 80, 95, 0.07)",
            barSizeRatio: .3,
            xLabelAngle: 0,
            barColors: i
        })
    },  e.prototype.createDonutChart = function(e, a, r) {
        Morris.Donut({
            element: e,
            data: a,
            barSize: .2,
            resize: !0,
            colors: r,
            backgroundColor: "transparent"
        })
    }, e.prototype.init = function() {
        var e = ["#4a81d4", "#4fc6e1", "#e3eaef"];        
        (a = r("#morris-line-example").data("colors")) && (e = a.split(",")), this.createLineChart("morris-line-example", [{
            y: "1",
            a: 50,
        }, {
            y: "2",
            a: 75,
        }, {
            y: "3",
            a: 30,
        }, {
            y: "4",
            a: 50,
        }, {
            y: "5",
            a: 75,
        }, {
            y: "6",
            a: 48
        }, {
            y: "7",
            a: 55
        }, {
            y: "8",
            a: 60
        }], "y", ["a"], ["Passenger"], ["0.1"], ["#4a81d4"], ["#000000"], e);
        e = ["#4a81d4", "#4a81d4", "#4a81d4"];
        (a = r("#morris-bar-example").data("colors")) && (e = a.split(",")), this.createBarChart("morris-bar-example", [{
            y: "Jan",
            a: 100,
        }, {
            y: "Feb",
            a: 75,
        }, {
            y: "Mar",
            a: 50,
        }, {
            y: "Apr",
            a: 75,
        }, {
            y: "May",
            a: 50,
        }, {
            y: "Jun",
            a: 75,
        }, {
            y: "Jul",
            a: 76
        }, {
            y: "Aug",
            a: 78
        }, {
            y: "Sept",
            a: 85
        }, {
            y: "Oct",
            a: 88
        }, {
            y: "Nov",
            a: 92
        }, {
            y: "Dec",
            a: 100
        }], "y", ["a"], ["Trips"], e);
        e = ["#4a81d4", "#dddddd"];
        (a = r("#morris-area-with-dotted").data("colors")) && (e = a.split(",")), this.createAreaChartDotted("morris-area-with-dotted", 0, 0, [{
            y: "2012",
            a: 10,
            b: 20
        }, {
            y: "2013",
            a: 75,
            b: 65
        }, {
            y: "2014",
            a: 50,
            b: 40
        }, {
            y: "2015",
            a: 75,
            b: 65
        }, {
            y: "2016",
            a: 50,
            b: 40
        }, {
            y: "2017",
            a: 75,
            b: 65
        }, {
            y: "2018",
            a: 90,
            b: 60
        }], "y", ["a", "b"], ["Bitcoin", "Litecoin"], ["#ffffff"], ["#999999"], e);
        var a;
        e = ["#4fc6e1", "#6658dd", "#ebeff2"];
        (a = r("#morris-donut-example").data("colors")) && (e = a.split(",")), this.createDonutChart("morris-donut-example", [{
            label: "Ethereum",
            value: 12
        }, {
            label: "Bitcoin",
            value: 30
        }, {
            label: "Litecoin",
            value: 20
        }], e)
    }, r.MorrisCharts = new e, r.MorrisCharts.Constructor = e
}(window.jQuery),
function() {
    "use strict";
    window.jQuery.MorrisCharts.init()
}();