<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>{{ config('app.name', 'Muhra') }}</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="{{asset("/images/favicon.ico")}}">

        <!-- App css -->
       
        

        <!-- Custom Stylesheet -->
        <link href="{{asset("/css/bootstrap.min.css")}}" rel="stylesheet" type="text/css" id="bs-default-stylesheet" />

        <!-- icons -->
        <link href="{{asset("/css/icons.min.css")}}" rel="stylesheet" type="text/css" />
        <script
  src="https://code.jquery.com/jquery-3.6.0.min.js"
  integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
  crossorigin="anonymous"></script>
        <link href="{{asset("/libs/datatables.net-bs4/css/dataTables.bootstrap4.min.css")}}" rel="stylesheet" type="text/css" />
        <link href="{{asset("/libs/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css")}}" rel="stylesheet" type="text/css" />
        <link href="{{asset("/libs/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css")}}" rel="stylesheet" type="text/css" />
        <link href="{{asset("/libs/datatables.net-select-bs4/css//select.bootstrap4.min.css")}}" rel="stylesheet" type="text/css" />
         <link href="{{asset("/css/intlTelInput.css")}}" rel="stylesheet" type="text/css" />

        <link href="{{asset("/libs/flatpickr/flatpickr.min.css")}}" rel="stylesheet" type="text/css" />
         <link href="{{asset("/libs/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css")}}" rel="stylesheet" type="text/css" />
         <link href="{{asset("/libs/clockpicker/bootstrap-clockpicker.min.css")}}" rel="stylesheet" type="text/css" />
         <link href="{{asset("/libs/bootstrap-datepicker/css/bootstrap-datepicker.min.css")}}" rel="stylesheet" type="text/css" />

 
        <link href="{{asset("/css/app.min.css")}}" rel="stylesheet" type="text/css" id="app-default-stylesheet" />
         <link href="{{asset("/css/style.css")}}" rel="stylesheet" type="text/css" id="custom-stylesheet" />
         <link href="{{asset("/css/style1.css")}}" rel="stylesheet" type="text/css" id="custom-stylesheet" />
         <link href="{{asset("/css/style2.css")}}" rel="stylesheet" type="text/css" id="custom-stylesheet" />
         <link href="{{asset("/css/style_track.css")}}" rel="stylesheet" type="text/css" id="custom-stylesheet" />
                  <script src="{{asset("/js/jquery.autocomplete.js")}}"></script>
        <script src="{{asset("/js/jquery.autocomplete.min.js")}}"></script>

    </head>

    <body>

        <!-- Begin page -->
        <div id="wrapper">

<!-- HEADER AREA STARTS-->    

@include('header')

<!-- HEADER AREA ENDS-->



<!-- LEFT AREA STARTS-->    

@include('leftbar')

<!-- LEFT AREA ENDS-->


            <div class="content-page">
                <div class="content">

<!-- CONTENT AREA STARTS-->    

@yield('content')

<!-- CONTENT AREA ENDS-->


</div>
</div>




        </div>
        <!-- END wrapper -->


<!-- RIGHT SIDE STARTS-->    

@include('sidebar')

<!-- RIGHT SIDE ENDS-->    
 
         <!-- Init js -->
         <script src="{{asset("/js/vendor.min.js")}}"></script>
          <script src="{{asset("/libs/morris.js06/morris.min.js")}}"></script>
          <script src="{{asset("/libs/raphael/raphael.min.js")}}"></script>
          <script src="{{asset("/js/pages/morris.init.js")}}"></script>
        <script src="{{asset("/libs/datatables.net/js/jquery.dataTables.min.js")}}"></script>
        <script src="{{asset("/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js")}}"></script>
        <script src="{{asset("/libs/datatables.net-responsive/js/dataTables.responsive.min.js")}}"></script>
        <script src="{{asset("/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js")}}"></script>
        <script src="{{asset("/libs/datatables.net-buttons/js/dataTables.buttons.min.js")}}"></script>
        <script src="{{asset("/libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js")}}"></script>
        <script src="{{asset("/libs/datatables.net-buttons/js/buttons.html5.min.js")}}"></script>
        <script src="{{asset("/libs/datatables.net-buttons/js/buttons.flash.min.js")}}"></script>
        <script src="{{asset("/libs/datatables.net-buttons/js/buttons.print.min.js")}}"></script>
        <script src="{{asset("/libs/datatables.net-keytable/js/dataTables.keyTable.min.js")}}"></script>
        <script src="{{asset("/libs/datatables.net-select/js/dataTables.select.min.js")}}"></script>

        <script src="{{asset("/libs/flatpickr/flatpickr.min.js")}}"></script>
        <script src=".{{asset("/libs/clockpicker/bootstrap-clockpicker.min.js")}}"></script>
        <script src="{{asset("/libs/clockpicker/bootstrap-clockpicker.min.js")}}"></script>
        <script src="{{asset("/libs/bootstrap-datepicker/js/bootstrap-datepicker.min.js")}}"></script>
        <script src="{{asset("/js/pages/form-pickers.init.js")}}"></script>
        <script src="{{asset("/js/pages/intlTelInput.js")}}"></script>
        <script src="{{asset("/libs/chart.js/Chart.bundle.min.js")}}"></script>
        <script src="{{asset("/js/pages/chartjs.init.js")}}"></script>



        

                                        <script>
                var input = document.querySelector(".telinput");
                window.intlTelInput(input, {
                // allowDropdown: false,
                // autoHideDialCode: false,
                // autoPlaceholder: "off",
                // dropdownContainer: document.body,
                // excludeCountries: ["us"],
                // formatOnDisplay: false,
                // geoIpLookup: function(callback) {
                //   $.get("http://ipinfo.io", function() {}, "jsonp").always(function(resp) {
                //     var countryCode = (resp && resp.country) ? resp.country : "";
                //     callback(countryCode);
                //   });
                // },
                // hiddenInput: "full_number",
                // initialCountry: "auto",
                // localizedCountries: { 'de': 'Deutschland' },
                // nationalMode: false,
                // onlyCountries: ['us', 'gb', 'ch', 'ca', 'do'],
                // placeholderNumberType: "MOBILE",
                // preferredCountries: ['cn', 'jp'],
                // separateDialCode: true,
                utilsScript: "{{asset("/js/pages/utils.js")}}",
                });
        </script>

        <!-- App js -->
        <script src="{{asset("/js/app.min.js")}}"></script>
        
    </body>
</html>