@extends('AdminLTE')
@section('content')
    <!-- Content Header (Page header) -->

        <div style="float:left;margin-top: 12px;"><h2 style="width:100%;font-size: 14px;font-weight: bold;">
                CarTypes</h2></div>
        <div style="float:right;">
            <h2><a href="javascript:add();" class="btn btn-sm btn-info "><i class="fas fa-plus"></i> Add New
                    CarType</a></h2>
        </div>

    <div style="clear: both;"></div>
    <!-- /.content-header -->
    <!--class="w3-table-all w3-card-4"-->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        function card_min() {
            document.getElementById('card-body1').style.display = 'none';
            document.getElementById('card-footer1').style.display = 'none';
            document.getElementById("corner").className = "fas fa-plus";
        }

        function card_change() {
            if (document.getElementById('card-body1').style.display == 'none') {
                document.getElementById('card-body1').style.display = '';
                document.getElementById('card-footer1').style.display = '';
                document.getElementById("corner").className = "fas fa-minus";
            } else {
                document.getElementById('card-body1').style.display = 'none';
                document.getElementById('card-footer1').style.display = 'none';
                document.getElementById("corner").className = "fas fa-plus";
            }
        }
    </script>
    <!-- /.card -->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->

    <!--w3-table-all w3-card-4-->
    <!-- table table-bordered table-striped  -->
    <table id="customer_data" class="table table-bordered table-striped">
        <thead>
        <tr>
            <TH>Image</TH>
            <TH>EN</TH>
            <TH>AR</TH>
            <TH>Opening Counter Price (SAR)</TH>
            <TH>Distance Cost Rate (SARs / KM)</TH>
            <TH>Time Cost Rate (SARs / Min)</TH>
            <TH>Distance Cost in Rush Hours (SARs / KM)</TH>
            <TH>Time Cost in Rush Hours (SARs / Min)</TH>
            <TH>Number of Seat</TH>
            <TH>Status</TH>
            <TH>Action</TH>
        </tr>
        </thead>
    </table>
    </div>
    <br/>
    <br/>
    </div>
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <div id="edit_modal" class="w3-modal" style="padding-top:10px;">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('edit_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <div class="content-header" style="width:100%;">
            </div>
            <div style="width:100%;clear:both;" id="response">
            </div>

        </div>
    </div>
    <div id="delete_modal" class="w3-modal">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('delete_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <header class="w3-container w3-text-indigo w3-margin-top-64">
                <h1>Delete</h1>
            </header>
            <form class="w3-container" action="" method="POST" id="delete_form">
                {{method_field('DELETE')}}
                @csrf
                <div class="w3-section">
                    <p>Are you sure, you want to delete <span id="delete_name"></span> ?</p>
                    <div class="w3-center">
                        <button type="submit" class="w3-btn w3-indigo"> Delete</button>
                    </div>
                </div>
            </form>
            <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                <button onclick="document.getElementById('delete_modal').style.display='none'" type="button"
                        class="w3-btn w3-red">Cancel
                </button>
            </div>
        </div>
    </div>
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        $(document).ready(function () {
            fill_datatable();

            function fill_datatable(filter_name = '', filter_email = '', filter_mobile = '', filter_deviceType = '', filter_loginStatus = '', filter_validity = '', filter_gender = '', filter_created_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    "pagingType": "full_numbers",
                    "autoWidth": false,
                    ajax: {
                        url: "{{ route('CarTypes.index') }}",
                        data: {
                            filter_name: filter_name, filter_email: filter_email, filter_mobile: filter_mobile,
                            filter_deviceType: filter_deviceType, filter_loginStatus: filter_loginStatus,
                            filter_validity: filter_validity, filter_gender, filter_created_at: filter_created_at
                        }
                    },
                    columns: [
                        {
                            data: 'carImage',
                            name: 'carImage',
                            render: function (data, type, row, meta) {
                                return '<img src="{{asset("/images/cartypes")}}' + "/" + data + '" style=" border-radius: 40px; background-color: #62A8EA; height: 60px; width: 70px;"></a>';
                            }
                        },
                        {
                            data: 'carName',
                            name: 'carName',
                            //visible:false
                        },
                        {
                            data: 'arabicName',
                            name: 'arabicName',
                            //visible:false
                        },
                        {
                            data: 'Counterprice',
                            name: 'Counterprice',
                            //visible:false
                        },
                        {
                            data: 'priceByDistence',
                            name: 'priceByDistence',
                        },
                        {
                            data: 'priceByTime',
                            name: 'priceByTime',
                        },
                        {
                            data: 'rushHoursPBD',
                            name: 'rushHoursPBD',
                        },
                        {
                            data: 'rushHoursPBT',
                            name: 'rushHoursPBT',
                        },
                        {
                            data: 'NumberOfSeat',
                            name: 'NumberOfSeat',
                        },
                        {
                            data: 'active',
                            name: 'active',
                            render: function (data, type, row, meta) {
                                if (row.status_id == "1") {
                                    return '<span class="label label-success">' + data + '</span>';
                                } else if (row.status_id == "0") {
                                    return '<span class="label label-danger">' + data + '</span>';
                                }
                            }
                        },
                        {
                            "orderable": false,
                            "targets": -1,
                            //"data": 'id',
                            "render": function (data, type, row, meta) {
                                return '<a id=' + row.id + ' data-original-title="edit" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-yellow vd_yellow edit"> <i class="fas fa-pencil-alt"></i> </a>' +
                                    '&nbsp;<a id=' + row.id + ' data-original-title="delete" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-red vd_red delete"> <i class="fas fa-times"></i> </a>' +
                                    '&nbsp;<a id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-green vd_green view"> <i class="fa fa-eye"></i> </a>'
                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }
                    ]
                });
            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/CarTypes")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                    }
                });
            });
            $('#customer_data tbody').on('click', '.edit', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/CarTypes")}}" + "/" + id + "/edit",
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                    }
                });
            });
            $('#customer_data tbody').on('click', '.delete', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                document.getElementById('delete_form').action = "{{URL("/CarTypes")}}" + "/" + id;
                document.getElementById('delete_modal').style.display = 'block';
                //document.getElementById('response').innerHTML=data;
            });
            $('#filter').click(function () {
                if ($('#filter_name').val() != '' || $('#filter_email').val() != '' || $('#filter_mobile').val() != '' || $('#filter_deviceType').val() != '' || $('#filter_loginStatus').val() != '' || $('#filter_validity').val() != '' || $('#filter_gender').val() != '' || $('#filter_created_at').val() != '') {
                    card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_name').val(), $('#filter_email').val(), $('#filter_mobile').val(), $('#filter_deviceType').val(), $('#filter_loginStatus').val(), $('#filter_validity').val(), $('#filter_gender').val(), $('#filter_created_at').val());
                } else {
                    alert('Select filter option');
                }
            });
            $('#reset').click(function () {
                $('#filter_name').val('');
                $('#filter_email').val('');
                $('#filter_mobile').val('');
                $('#filter_deviceType').val('');
                $('#filter_loginStatus').val('');
                $('#filter_validity').val('');
                $('#filter_gender').val('');
                $('#filter_created_at').val('');
                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });
        });

        function add() {
            $.ajax({
                type: 'GET',
                url: "{{URL("/CarTypes")}}" + "/create",
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }
    </script>
@endsection
