@extends('AdminLayout')
@section('content')

 <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Driver Vehicle Chart</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Driver Vehicle Chart</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-md-6 col-xl-6">
                                <div class="card drivervehiclechart">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Vehicle Types</h4>
                                        <div class="table-responsive">
                                            <table class="table table-borderless mb-0">
                                                <thead class="thead-light">
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Car Type</th>
                                                    <th>Percentage %</th>
                                                    <th>&nbsp;</th>
                                                    <th>Count</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $i = 0;$total = 0;?>
                            @foreach($carTypes as $carType)
                                <?php $total += $carType->CO?>
                            @endforeach
                            @foreach($carTypes as $carType)
                                <?php $per = round($carType->CO * 100 / $total);?>
                                <?php $i++?>
                                                <tr>
                                                    <th scope="row">{{$i}}</th>
                                                    <td>{{$carType->carName}}</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width:{{$per}}%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="{{$per}}"></div>
                                                        </div>
                                                    </td>
                                                    <td>{{$per}}%</td>
                                                    <td>{{$carType->CO}}</td>
                                                </tr>
                                             @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 col-xl-6">
                                <div class="card ">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Plate Types</h4>
                                        <div class="table-responsive">
                                            <table class="table table-borderless mb-0">
                                                <thead class="thead-light">
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Plate Types</th>
                                                    <th>Percentage %</th>
                                                    <th>&nbsp;</th>
                                                    <th>Count</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                    <?php $i = 0;?>

                            @foreach($plateTypes as $plateType)
                                <?php $per = round($plateType->CO * 100 / $total);?>
                                <?php $i++?>
                                                <tr>
                                                    <th scope="row">{{$i}}</th>
                                                    <td>{{$plateType->englishName}}</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width:{{$per}}%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="{{$per}}"></div>
                                                        </div>
                                                        </div>
                                                    </td>
                                                    <td>{{$per}}%</td>
                                                    <td>{{$carType->CO}}</td>
                                                </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6 col-xl-6">
                                <div class="card ">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Top Car Model</h4>
                                        <div class="table-responsive">
                                            <table class="table table-borderless mb-0">
                                                <thead class="thead-light">
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Model</th>
                                                    <th>Percentage %</th>
                                                    <th>&nbsp;</th>
                                                    <th>Count</th>
                                                </tr>
                                                </thead>
                                               <tbody>
                                                   <?php $i = 0;?>

                            @foreach($models as $model)
                                <?php $per = round($model->CO * 100 / $total);?>
                                <?php $i++?>
                                                <tr>
                                                    <th scope="row">{{$i}}</th>
                                                    <td>{{$model->model}}</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width:{{$per}}%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="{{$per}}"></div>
                                                        </div>
                                                        </div>
                                                    </td>
                                                    <td>{{$per}}%</td>
                                                    <td>{{$model->CO}}</td>
                                                </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6 col-xl-6">
                                <div class="card ">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Top Car Brands</h4>
                                        <div class="table-responsive">
                                            <table class="table table-borderless mb-0">
                                                <thead class="thead-light">
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Plate Type</th>
                                                    <th>Percentage %</th>
                                                    <th>&nbsp;</th>
                                                    <th>Count</th>
                                                </tr>
                                                </thead>
                                               <tbody>
                                                     <?php $i = 0;?>

                            @foreach($carbrands as $carbrand)
                                <?php $per = round($carbrand->CO * 100 / $total);?>
                                <?php $i++?>
                                                <tr>
                                                    <th scope="row">{{$i}}</th>
                                                    <td>{{$carbrand->name_en}}</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width:{{$per}}%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="{{$per}}"></div>
                                                        </div>
                                                        </div>
                                                    </td>
                                                    <td>{{$per}}%</td>
                                                    <td>{{$carbrand->CO}}</td>
                                                </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- End Page Body -->
                    </div> <!-- container -->

                        @endsection