  @extends('AdminLayout')
@section('content')
  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Add New Passenger</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Add New Vehicle</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
 

                        <!-- file preview template -->
                        <!-- <div class="d-none" id="uploadPreviewTemplate">
                            <div class="card mt-1 mb-0 shadow-none border">
                                <div class="p-2">
                                    <div class="row align-items-center">
                                        <div class="col-auto">
                                            <img data-dz-thumbnail src="#" class="avatar-sm rounded bg-light" alt="">
                                        </div>
                                        <div class="col pl-0">
                                            <a href="javascript:void(0);" class="text-muted font-weight-bold" data-dz-name></a>
                                            <p class="mb-0" data-dz-size></p>
                                        </div>
                                        <div class="col-auto">
                                            <a href="" class="btn btn-link btn-lg text-muted" data-dz-remove>
                                                <i class="dripicons-cross"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div> -->

                        <div class="row">
                            <div class="col-lg-10 offset-lg-1">
                                <div class="card p-3">
                                    <div class="card-body">
                                        @include('pages.messages')
                                        @foreach($DriverVehicles as $DriverVehicle)
                                        <form method="POST" action="{{ route('DriverVehicles.update',$DriverVehicle->id)}}">
                                  @csrf
  {{method_field("PATCH")}}
                                            <div class="row">
                                                <div class="col-lg-12 ">

                                                                                                        <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="inputFirstname">Driver</label>
                                                            <input type="text" class="form-control" name="driverId_input"
                           id="driverId_input" type="text" value="{{$DriverVehicle->name}}"  required>
                           <input name="driverId" id="driverId" type="hidden" value="{{$DriverVehicle->driverId}}" required>
                            
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="inputLastname">Model</label>
                                                            <input type="text" class="form-control"  name="model" type="text"
                           value="{{$DriverVehicle->model}}" required>
                                                        </div>
                                                    </div>




                                                                                                        <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="Login-status">CarType <span class="text-danger">*</span></label>
                            <select class="form-control" id="carTypeId" name="carTypeId" data-placeholder="Choose a CarType..."
                            class="form-control select2-single" required>
                        <option value=""></option>
                        @foreach($cartypes as $cartype)
                            <option value="{{$cartype->id}}"
                                    @if ($DriverVehicle->carTypeId==$cartype->id){{"  selected " }}:null @endif>{{$cartype->carName}}</option>
                        @endforeach
                    </select>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="Validity">Car Brand  <span class="text-danger">*</span></label>
                                                          <select class="form-control" id="carbrand_Id" name="carbrand_Id" onchange="carbrandsub('carbrand_Id','carbrandsub_Id')"
                            data-placeholder="Choose a CarBrand..." class="form-control select2-single" required>
                        <option value=""></option>
                        @foreach($carbrands as $carbrand)
                            <option value="{{$carbrand->id}}"
                                    @if ($DriverVehicle->carbrand_Id==$carbrand->id){{"  selected " }}:null @endif>{{$carbrand->name_en}}</option>
                        @endforeach
                    </select>
                                                        </div>
                                                    </div>


                                                                                                        <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="Login-status">Car Sub Brand <span class="text-danger">*</span></label>
                            <select  class="form-control" id="carbrandsub_Id" name="carbrandsub_Id" data-placeholder="Choose a CarBrand Sub..."
                            class="form-control select2-single" required>
                        @foreach($carbrandsubs as $carbrandsub)
                            <option value="{{$carbrandsub->id}}"
                                    @if ($DriverVehicle->carbrandsub_Id==$carbrandsub->id){{"  selected " }}:null @endif>{{$carbrandsub->name_en}}</option>
                        @endforeach
                    </select>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="Validity">Plate Type  <span class="text-danger">*</span></label>
                                                         <select class="form-control" id="plateTypeId" name="plateTypeId" class="form-control select2-single" required>
                        <option value=""></option>
                        @foreach($vehicleplatetype as $vehicleplate_type)
                            <option value="{{$vehicleplate_type->id}}"
                                    @if ($DriverVehicle->plateTypeId==$vehicleplate_type->id){{"  selected " }}:null @endif>{{$vehicleplate_type->englishName}}</option>
                        @endforeach
                    </select>
                                                        </div>
                                                    </div>
                                                   



                                                                                                        <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="Login-status">Validity <span class="text-danger">*</span></label>
                            <select class="form-control" id="validityId" name="validityId" class="form-control select2-single" required>
                        <option value=""></option>
                        @foreach($validity as $validity_raw)
                            <option value="{{$validity_raw->id}}"
                                    @if ($DriverVehicle->validityId==$validity_raw->id){{"  selected " }}:null @endif>{{$validity_raw->status}}</option>
                        @endforeach
                    </select>
                                                        </div>
<div class="col-sm-6">
                                                            <label for="inputLastname">Vehicle Reference Number</label>
                                                            <input type="text" class="form-control"  name="vehicleReferenceNumber" type="text"
                           value="{{$DriverVehicle->vehicleReferenceNumber}}" required>
                                                        </div>
                                                    </div>



                                                                                                        <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="inputFirstname">Color</label>
                                                            <input type="text" class="form-control" name="colour" type="text"
                           value="{{$DriverVehicle->colour}}">
                           

                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="inputLastname">Sequence Number</label>
                                                            <input type="text" class="form-control"  name="sequenceNumber" type="text"
                           value="{{$DriverVehicle->sequenceNumber}}" required>
                                                        </div>
                                                    </div>



                                                                                                        <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="inputFirstname">Plate Letter Left</label>
                                                            <input type="text" class="form-control" name="plateLetterLeft" type="text"
                           value="{{$DriverVehicle->plateLetterLeft}}" required>
                         

                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="inputLastname">Plate Letter Middle</label>
                                                            <input type="text" class="form-control"  name="plateLetterMiddle" type="text"
                           value="{{$DriverVehicle->plateLetterMiddle}}" required>
                                                        </div>
                                                    </div>


                                                                                                        <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="inputFirstname">Plate Letter Right</label>
                                                            <input type="text" class="form-control" name="plateLetterRight" type="text"
                           value="{{$DriverVehicle->plateLetterRight}}" required>
                           

                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="inputLastname">Plate Number</label>
                                                            <input type="text" class="form-control"  name="plateNumber" type="text" value="{{$DriverVehicle->plateNumber}}">
                                                        </div>
                                                    </div>




                                                    <div class="mt-4">
                                                        <button type="submit"class=" btn btn-primary btn-rounded mr-3">Submit</button> 
                                                        <button type="reset"class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Dismiss</button> 
                                                    </div>
                                                    
                                                </div> <!-- end col -->
                                            </div>
                                        </form>
                                        @endforeach
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div><!-- end col -->
                        </div>
                        <!-- end row -->  
                        
                    </div> <!-- container -->

<script>
            function driver_window() {
            myWindow1 = window.open("{{URL("/DriverWindow")}}", "",
                "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function carbrandsub(brand, brandsub) {
            var brand_id = document.getElementById(brand).value;
            if (brand_id == "")
                $('#' + brandsub).empty();
            else {
                $.getJSON("{{URL("/getcarbrandsub")}}" + "/" + brand_id, function (json) {
                    $('#' + brandsub).empty();
                    $('#' + brandsub).append($('<option>').text("Select ....").attr('value', ''));
                    $.each(json, function (i, obj) {
                        $('#' + brandsub).append($('<option>').text(obj.name_en).attr('value', obj.id));
                    });
                });
            }
        }

        function driver(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Drivers")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;

                }
            });
        }


$('#driverId_input').autocomplete({
    serviceUrl: '{{ route('get_drivers') }}',
    onSelect: function (suggestion) {
        console.log(suggestion)
        //alert('You selected: ' + suggestion.value + ', ' + suggestion.data);
        $("#driverId").val(suggestion.data);
    }
});

    </script>



                    @endsection