 @extends('AdminLayout')
@section('content')
  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Driver Vehicles</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Driver Vehicles</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4 class="header-title mb-4">Driver Vehicles</h4>
                                            </div>
                                            <!-- Right modal content -->
                                            <div id="right-modal" class="modal fade filterform" tabindex="-1" role="dialog" aria-hidden="true">
                                                <div class="modal-dialog modal-md modal-right">
                                                    <div class="modal-content">
                                                        <div class="modal-header border-0">
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                        </div>
                                                        <div class="modal-body p-4">
                                                            
                                                                <div class="row">
                                                                    <div class="col-lg-12 ">
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" name="filter_driverId_input" id="filter_driverId_input" placeholder="Diver" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" name="filter_model" id="filter_model" placeholder="Model" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                               <select class="form-control input-round" id="filter_carTypeId" name="filter_carTypeId" data-placeholder="Choose a CarType..."
                                                                                    >
                                                                                <option value="">Car Type</option>
                                                                                @foreach($cartypes as $cartype)
                                                                                    <option value="{{$cartype->id}}">{{$cartype->carName}}</option>
                                                                                @endforeach
                                                                            </select>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                                            <select  class="form-control input-round" id="filter_carbrand_Id" name="filter_carbrand_Id"
                                                            onchange="carbrandsub('filter_carbrand_Id','filter_carbrandsub_Id')"
                                                            data-placeholder="Choose a CarBrand..." class="form-control select2-single">
                                                        <option value="">Car Brand</option>
                                                        @foreach($carbrands as $carbrand)
                                                            <option value="{{$carbrand->id}}">{{$carbrand->name_en}}</option>
                                                        @endforeach
                                                    </select>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" name="filter_plateNumber" id="filter_plateNumber" placeholder="Plat Number" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <select id="filter_carbrandsub_Id" name="filter_carbrandsub_Id"
                                data-placeholder="Choose a CarBrand Sub..." class="form-control input-round">
                            <option value="">Car Brand Sub</option>
                        </select>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_validity_dt"
                                   name="filter_validity_dt" class="form-control input-round range-picker" placeholder="Validity Date" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" name="filter_colour" id="filter_colour" placeholder="Color" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-4 plateinput align-self-center">
                                                                                <label for="plateleft">Plate Letter Left </label>
                                                                                <input type="text" class="form-control input-round" name="filter_plateLetterLeft"
                               id="filter_plateLetterLeft" >
                                                                            </div>
                                                                            <div class="col-sm-4 align-self-center">
                                                                                <label for="plateleft">Mid </label>
                                                                                <input type="text" class="form-control input-round" name="filter_plateLetterMiddle"
                               id="filter_plateLetterMiddle" >
                                                                            </div>
                                                                            <div class="col-sm-4 align-self-center">
                                                                                <label for="plateleft">Right </label>
                                                                                <input type="text" class="form-control input-round" name="filter_plateLetterRight"
                               id="filter_plateLetterRight">
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" name="filter_vehicleReferenceNumber"
                               id="filter_vehicleReferenceNumber" placeholder="Vehicle Reference Number" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                              <select class="form-control input-round" name="filter_validity_by_id" id="filter_validity_by_id">
                            <option value="">Validity By</option>
                            @foreach($users as $user)
                                <option value="{{$user->id}}">{{$user->name}}</option>
                            @endforeach
                        </select>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" name="filter_sequenceNumber" id="filter_sequenceNumber" placeholder="Sequence Number" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                               <select id="filter_plateTypeId" name="filter_plateTypeId" class="form-control input-round">
                            <option value="">Vehicle Type</option>
                            @foreach($vehicleplatetype as $vehicleplate_type)
                                <option value="{{$vehicleplate_type->id}}">{{$vehicleplate_type->englishName}}</option>
                            @endforeach
                        </select>
                                                                            </div>
                                                                        </div> 
                                                                         <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                 <select id="filter_validityId" name="filter_validityId" class="form-control input-round">
                            <option value="">Validity</option>
                            @foreach($validity as $validity_raw)
                                <option value="{{$validity_raw->id}}">{{$validity_raw->status}}</option>
                            @endforeach
                        </select>
                                                                            </div>
                                                                        </div>

                                                                           <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" name="filter_created_at" id="filter_created_at" class="form-control input-round range-picker" placeholder="Created at" >
                                                                            </div>
                                                                        </div>

                                                                           <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_updated_at" name="filter_updated_at"  class="form-control input-round range-picker" placeholder="Updated at" >
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        <div class="mt-2">
                                                                            <button type="submit" name="filter" id="filter" class=" btn btn-primary btn-rounded mr-3">Filter</button> 
                                                                            <button type="reset" name="reset" id="reset" class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Reset</button> 
                                                                        </div>
                                                                        
                                                                    </div> <!-- end col -->
                                                                </div>
                                                            
                                                        </div>
                                                    </div><!-- /.modal-content -->
                                                </div><!-- /.modal-dialog -->
                                            </div><!-- /.modal -->
                                            <div class="col-md-6 filter-buttons">
                                                <button type="button" class="btn btn-white btn-rounded waves-effect mb-2" data-toggle="modal" data-target="#right-modal"><i class="mdi mdi-filter-outline cust-filter"></i> Filter</button> &nbsp;&nbsp;&nbsp;&nbsp;
                                                <a href="{{ route('DriverVehicles.create') }}"  class="btn btn-primary btn-rounded mb-2 ">Add New Vehicle <i class="fe-arrow-right"></i></a>
                                            </div>
                                        </div>
                                        
                                        <table id="customer_data" class="table dt-responsive no w-100">
                                            
                                            <thead class="thead-light">
                                                <tr>
                                                    <th>Created</th>
                                                    <th>Name</th>
                                                    <th>Model</th>
                                                    <th>Car<br>Type</th>
                                                    <th>Car <br>Brand</th>
                                                    <th>Car Sub<br>Brand</th>
                                                    <th>Sequence<br>Number</th>
                                                    <th>Plate</th>
                                                    <th>Plate<br>Type</th>
                                                    <th>Validity</th>
                                                    <th>Validity<br> Date</th>
                                                    <th>Validity<br> By</th>
                                                    <th>Actions</th>
                                                </tr>
                                            </thead>
                                        
                                        
                                            <tbody>
                                               
                                            </tbody>
                                        </table>

                                    </div> <!-- end card body-->
                                </div> <!-- end card -->
                            </div><!-- end col-->

                                                                                    
                                            <div class="modal fade" id="centermodal" tabindex="-1" role="dialog" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                    </div>

                                                     <form class="w3-container" action="" method="POST" id="delete_form">
                                                            {{method_field('DELETE')}}                                                            
                                                            @csrf
                                                            </form>

                                                    <div class="modal-body m-4">
                                                        <div class="text-center">
                                                            <div class="delete-icon-box">
                                                                <i class="dripicons-trash"></i>
                                                            </div>
                                                            <h2 class="mt-2 mb-2">Delete</h2>
                                                             <h4 class="mt-2 mb-2">Are you sure you want to delete?  </h4>
                                                             <input type="hidden" value="" id="delete-id">
                                                            <button type="submit"  id="delete-yes" class=" btn btn-primary btn-rounded mr-3" data-dismiss="modal">Yes</button> 
                                                            <button type="submit"  id="delete-no"  class=" btn btn-outline-primary btn-rounded waves-effect waves-light" data-dismiss="modal" aria-hidden="true">No</button> 
                                                        </div>
                                                    </div>
                                                </div><!-- /.modal-content -->
                                            </div><!-- /.modal-dialog -->
                                        </div><!-- /.modal -->
                                            @include('DriverVehicles.show_popup')

                        </div>
                        <!-- end row-->
                        <!-- End Page Body -->


    <script>
        $(document).ready(function () {

            fill_datatable();


            function fill_datatable(filter_driverId = '', filter_model = '', filter_carTypeId = '', filter_carbrand_Id = '', filter_carbrandsub_Id = '', filter_colour = '', filter_sequenceNumber = '', filter_plateLetterRight = '', filter_plateLetterMiddle = '', filter_plateLetterLeft = '', filter_plateTypeId = '', filter_plateNumber = '', filter_vehicleReferenceNumber = '', filter_validityId = '', filter_validity_dt = '', filter_validity_by_id = '', filter_created_at = '', filter_updated_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    order: [[0, "desc"]],
                    "pagingType": "simple_numbers",
                    "autoWidth": false,
					language: { paginate: { previous: "<i class='mdi mdi-chevron-left'>", next: "<i class='mdi mdi-chevron-right'>" } },
					buttons: [
                    { extend: "copy", className: "btn-light" },
                    { extend: "print", className: "btn-light" },
                    { extend: "pdf", className: "btn-light" },
                     ],
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
						$(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    },
                    ajax: {
                        url: "{{ route('DriverVehicles.index') }}",
                        data: {
                            filter_driverId: filter_driverId,
                            filter_model: filter_model,
                            filter_carTypeId: filter_carTypeId,
                            filter_carbrand_Id: filter_carbrand_Id,
                            filter_carbrandsub_Id: filter_carbrandsub_Id,
                            filter_colour: filter_colour,
                            filter_sequenceNumber: filter_sequenceNumber,
                            filter_plateLetterRight: filter_plateLetterRight,
                            filter_plateLetterMiddle: filter_plateLetterMiddle,
                            filter_plateLetterLeft: filter_plateLetterLeft,
                            filter_plateTypeId: filter_plateTypeId,
                            filter_plateNumber: filter_plateNumber,
                            filter_vehicleReferenceNumber: filter_vehicleReferenceNumber,
                            filter_validityId: filter_validityId,
                            filter_validity_dt: filter_validity_dt,
                            filter_validity_by_id: filter_validity_by_id,
                            filter_created_at: filter_created_at,
                            filter_updated_at: filter_updated_at,
                        }

                    },

                    columns: [
                          {
                            data: 'created_at',
                            render: function (data, type, row, meta) {
                               
                                    
                                    return '<span class="text-muted"><i class="far fa-calendar-alt"></i></span> '+data
                            }
                        },
                        {
                            data: 'name',

                            render: function (data, type, row, meta) {
                                return '<a href="javascript:driver(' + row.driverId + ')">' + data + '</a>';
                            }

                        },
                        {
                            data: 'model',
                            name: 'model',
                        },
                        {
                            data: 'carName',
                            name: 'carName',
                        },
                        {
                            data: 'Brand_En',
                            name: 'Brand_En',
                        },
                        {
                            data: 'BrandSub_En',
                            name: 'BrandSub_En',
                        },
                        {
                            data: 'sequenceNumber',
                            name: 'sequenceNumber',
                        },
                        {
                            data: 'plate',
                            name: 'plate',
                        },
                        {
                            data: 'englishName',
                            name: 'englishName',
                        },
                       {
                            data: 'validityId',
                            render: function (data, type, row, meta) {
                                if (data === 1) {
                                    return '<span class="badge badge-soft-success"><i class="mdi mdi-check text-success"></i> Approved</span>';
                                } else if (data === 2) {
                                    return '<span class="label label-danger">NotApproved</span>';
                                } else if (data === 3) {
                                    return '<span class="badge badge-soft-danger"><i class="dripicons-loading"></i> Pending</span>';
                                }
                            }
                        },
                         {
                            data: 'validity_dt',
                            render: function (data, type, row, meta) {
                               
                                    if(data !=null){
                                        return '<span class="text-muted"><i class="far fa-calendar-alt"></i></span> '+data
                                    }else{
                                        return '';
                                    }
                                    
                            }
                        },
                        {
                            data: 'validity_by_name',
                            name: 'validity_by_name'
                        },
                        {
                            "orderable": false,
                            "targets": -1,
                            //"data": 'id',
                        
                              "render": function (data, type, row, meta) {
                                return '<input id="name_' + row.id + '" type="hidden" value="' + row.name + '">' +
                                    '<a  href="void:javascript" id=' + row.id + ' data-original-title="edit" data-toggle="tooltip" data-placement="top" class="edit button-icon editicon"> <i class="fe-edit-1"></i> </a>' +
                                    '&nbsp;<a  href="void:javascript" id=' + row.id + ' data-original-title="delete" data-toggle="tooltip" data-placement="top" class="button-icon deleteicon delete"> <i class="fe-trash-2"></i> </a>' +
                                    '&nbsp;<a href="void:javascript" id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="button-icon view viewicon"> <i class="fa fa-eye"></i> </a>'
                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }

                    ]
                });


            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                //window.location.href = "{{URL("/DriverVehicles")}}" + "/" + id
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/DriverVehicles")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        //document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                        $('#viewdrivervehicle').modal('show');

                    }
                });
            });
            $('#customer_data tbody').on('click', '.edit', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                window.location.href = "{{URL("/DriverVehicles")}}" + "/" + id + "/edit"
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/DriverVehicles")}}" + "/" + id + "/edit",
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;

                    }
                });
            });


            $('#filter').click(function () {
                if ($('#filter_driverId').val() != '' || $('#filter_model').val() != '' || $('#filter_carTypeId').val() != '' || $('#filter_carbrand_Id').val() != '' || $('#filter_carbrandsub_Id').val() != '' || $('#filter_colour').val() != '' || $('#filter_sequenceNumber').val() != '' || $('#filter_plateLetterRight').val() != '' || $('#filter_plateLetterMiddle').val() != '' || $('#filter_plateLetterLeft').val() != '' || $('#filter_plateTypeId').val() != '' || $('#filter_plateNumber').val() != '' || $('#filter_vehicleReferenceNumber').val() != '' || $('#filter_validityId').val() != '' || $('#filter_validity_dt').val() != '' || $('#filter_validity_by_id').val() != '' || $('#filter_created_at').val() != '' || $('#filter_updated_at').val() != '') {
                   // card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_driverId').val(), $('#filter_model').val(), $('#filter_carTypeId').val(), $('#filter_carbrand_Id').val(), $('#filter_carbrandsub_Id').val(), $('#filter_colour').val(), $('#filter_sequenceNumber').val(), $('#filter_plateLetterRight').val(), $('#filter_plateLetterMiddle').val(), $('#filter_plateLetterLeft').val(), $('#filter_plateTypeId').val(), $('#filter_plateNumber').val(), $('#filter_vehicleReferenceNumber').val(), $('#filter_validityId').val(), $('#filter_validity_dt').val(), $('#filter_validity_by_id').val(), $('#filter_created_at').val(), $('#filter_updated_at').val());
                    $('#right-modal').modal('hide');
                } else {
                    alert('Select filter option');
                }
            });

            $('#reset').click(function () {

                $('#filter_driverId').val('');
                $('#filter_driverId_input').val('');
                $('#filter_model').val('');
                $('#filter_carTypeId').val('');
                $('#filter_carbrand_Id').val('');
                $('#filter_carbrandsub_Id').val('');
                $('#filter_colour').val('');
                $('#filter_sequenceNumber').val('');
                $('#filter_plateLetterRight').val('');
                $('#filter_plateLetterMiddle').val('');
                $('#filter_plateLetterLeft').val('');
                $('#filter_plateTypeId').val('');
                $('#filter_plateNumber').val('');
                $('#filter_vehicleReferenceNumber').val('');
                $('#filter_validityId').val('');
                $('#filter_validity_dt').val('');
                $('#filter_validity_by_id').val('');
                $('#filter_created_at').val('');
                $('#filter_updated_at').val('');


                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });

        });

             $('#customer_data tbody').on('click', '.delete', function (e) {

                e.preventDefault();
                 var id = $(this).attr('id');
                $('#centermodal').modal('show')
                $('#delete-id').val(id)


            });


                $('#delete-no').on('click', function (e) {

                $('#centermodal').modal('hide')


            });


                $('#delete-yes').on('click', function (e) {
                e.preventDefault();                
                var delete_id = $('#delete-id').val();
                document.getElementById('delete_form').action = "{{URL("/Passengers")}}" + "/" + delete_id  ;
                $("#delete_form").submit();
                        


            });


        function add() {

            $.ajax({
                type: 'GET',
                url: "{{URL("/DriverVehicles")}}" + "/create",
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }

        function driver_window() {
            myWindow1 = window.open("{{URL("/DriverWindow")}}", "",
                "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function carbrandsub(brand, brandsub) {
            var brand_id = document.getElementById(brand).value;
            if (brand_id == "")
                $('#' + brandsub).empty();
            else {
                $.getJSON("{{URL("/getcarbrandsub")}}" + "/" + brand_id, function (json) {
                    $('#' + brandsub).empty();
                    $('#' + brandsub).append($('<option>').text("Select ....").attr('value', ''));
                    $.each(json, function (i, obj) {
                        $('#' + brandsub).append($('<option>').text(obj.name_en).attr('value', obj.id));
                    });
                });
            }
        }

        function driver(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Drivers")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;

                }
            });
        }
    </script>
@endsection



