@extends('AdminLTE')
@section('content')

    <!-- Content Header (Page header) -->
    <div style="width:100%;margin: 0px;">
        <div style="float:left;margin-top: 12px;"><h2 style="width:100%;font-size: 14px;font-weight: bold;">
                DriverVehicles</h2></div>
        <div style="float:right;">
            <h2><a href="javascript:add();" class="btn btn-sm btn-info "><i class="fas fa-plus"></i> Add New
                    DriverVehicles</a></h2>
        </div>
    </div>
    <!-- /.content-header -->
    <!--class="w3-table-all w3-card-4"-->

    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        function card_min() {
            document.getElementById('card-body1').style.display = 'none';
            document.getElementById('card-footer1').style.display = 'none';
            document.getElementById("corner").className = "fas fa-plus";
        }

        function card_change() {
            if (document.getElementById('card-body1').style.display == 'none') {
                document.getElementById('card-body1').style.display = '';
                document.getElementById('card-footer1').style.display = '';
                document.getElementById("corner").className = "fas fa-minus";
            } else {
                document.getElementById('card-body1').style.display = 'none';
                document.getElementById('card-footer1').style.display = 'none';
                document.getElementById("corner").className = "fas fa-plus";
            }
        }
    </script>
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default" style="width:100%;clear:both;">
        <div class="card-header" style="margin-bottom: 0PX;">
            <button class="button_search" onclick="card_change()"><i class="fa fa-search"></i></button>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" onclick="card_change()"><i id="corner"
                                                                                      class="fas fa-minus"></i></button>
            </div>
        </div>
        <!-- /.card-header -->
        <div class="card-body" id="card-body1" style="display:none">
            <table id="search_table">
                <tr>
                    <TH>Driver</TH>
                    <td style="white-space: nowrap;">

                        <input name="filter_driverId" id="filter_driverId" type="hidden" value="">
                        <table style="padding: 0px 0px; !important;">
                            <tr>
                                <td>
                                    <input class="form-control" name="filter_driverId_input" id="filter_driverId_input"
                                           style="width:200px" type="text" value="" data-readonly>
                                </td>
                                <td>
                                    <button onclick="driver_window();" type="button" class="btn btn-primary btn-sm">
                                        Select
                                    </button>
                                </td>
                            </tr>
                        </table>
                    </td>
                    <TH>Model</TH>
                    <td><input class="form-control" style="width:200px" name="filter_model" id="filter_model"
                               type="text" value=""></td>
                    <TH>CarType</TH>
                    <td>
                        <select id="filter_carTypeId" name="filter_carTypeId" data-placeholder="Choose a CarType..."
                                class="form-control select2-single" style="width:200px">
                            <option value=""></option>
                            @foreach($cartypes as $cartype)
                                <option value="{{$cartype->id}}">{{$cartype->carName}}</option>
                            @endforeach
                        </select>
                    </td>
                </tr>
                <!--<tr><TH>driverCarImage </TH> <td></td></tr>-->
                <tr>
                    <TH>Car Brand</TH>
                    <td>
                        <select id="filter_carbrand_Id" name="filter_carbrand_Id"
                                onchange="carbrandsub('filter_carbrand_Id','filter_carbrandsub_Id')"
                                data-placeholder="Choose a CarBrand..." class="form-control select2-single">
                            <option value=""></option>
                            @foreach($carbrands as $carbrand)
                                <option value="{{$carbrand->id}}">{{$carbrand->name_en}}</option>
                            @endforeach
                        </select>
                    </td>
                    <TH>Colour</TH>
                    <td><input class="form-control" name="filter_colour" id="filter_colour" type="text" value=""></td>
                    <TH>sequenceNumber</TH>
                    <td><input class="form-control" name="filter_sequenceNumber" id="filter_sequenceNumber" type="text"
                               value=""></td>
                </tr>

                <!--<tr><TH>vechicleIdentityProof</TH> <td></td></tr>-->
                <tr>
                    <TH>Car Brand Sub</TH>
                    <td>
                        <select id="filter_carbrandsub_Id" name="filter_carbrandsub_Id"
                                data-placeholder="Choose a CarBrand Sub..." class="form-control select2-single">
                            <option value=""></option>
                        </select>
                    </td>

                    <TH colspan=2>plateLetterLeft
                        <input style="width:30px;display: inline;" class="form-control" name="filter_plateLetterLeft"
                               id="filter_plateLetterLeft" type="text" value="">
                        Middle
                        <input style="width:30px;display: inline;" class="form-control" name="filter_plateLetterMiddle"
                               id="filter_plateLetterMiddle" type="text" value="">
                        Right
                        <input style="width:30px;display: inline;" class="form-control" name="filter_plateLetterRight"
                               id="filter_plateLetterRight" type="text" value="">
                    </TH>
                    <TH>plateType</TH>
                    <td>
                        <select id="filter_plateTypeId" name="filter_plateTypeId" class="form-control select2-single">
                            <option value=""></option>
                            @foreach($vehicleplatetype as $vehicleplate_type)
                                <option value="{{$vehicleplate_type->id}}">{{$vehicleplate_type->englishName}}</option>
                            @endforeach
                        </select>
                    </td>
                </tr>
                <tr>
                    <TH>plateNumber</TH>
                    <td><input class="form-control" name="filter_plateNumber" id="filter_plateNumber" type="text"
                               value=""></td>
                    <TH>vehicleReferenceNumber</TH>
                    <td><input class="form-control" name="filter_vehicleReferenceNumber"
                               id="filter_vehicleReferenceNumber" type="text" value=""></td>
                    <TH>Validity</TH>
                    <td>
                        <select id="filter_validityId" name="filter_validityId" class="form-control select2-single">
                            <option value=""></option>
                            @foreach($validity as $validity_raw)
                                <option value="{{$validity_raw->id}}">{{$validity_raw->status}}</option>
                            @endforeach
                        </select>
                    </td>
                </tr>
                <tr>
                    <TH>Validity Date</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" id="filter_validity_dt"
                                   name="filter_validity_dt" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_validity_dt"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_validity_dt"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_validity_dt"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                    <TH>Validity By</TH>
                    <td>
                        <select class="form-control" name="filter_validity_by_id" id="filter_validity_by_id">
                            <option value=""></option>
                            @foreach($users as $user)
                                <option value="{{$user->id}}">{{$user->name}}</option>
                            @endforeach
                        </select>
                    </td>
                </tr>
                <tr>
                    <TH>Created_At</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" name="filter_created_at" id="filter_created_at" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_created_at"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_created_at"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_created_at"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                    <TH>Updated_At</TH>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input class="form-control" id="filter_updated_at" name="filter_updated_at" type="text">
                            <script>
                                $(function () {
                                    $('input[name="filter_updated_at"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_updated_at"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_updated_at"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>
                    </td>
                </tr>
            </table>


        </div>
        <!-- /.card-body -->
        <div class="card-footer" align="center" id="card-footer1" style="display:none">
            <button type="button" name="filter" id="filter" class="btn btn-sm btn-info">Filter</button>

            <button type="button" name="reset" id="reset" class="btn btn-sm btn-default">Reset</button>
        </div>
    </div>
    <!-- /.card -->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->

    <!--w3-table-all w3-card-4-->
    <!-- table table-bordered table-striped  -->

    <table id="customer_data" class="table table-bordered table-striped " style="width:100%">
        <thead>
        <tr>
            <TH>Created</TH>
            <TH>Driver</TH>
            <TH>Model</TH>
            <TH>Car Type</TH>
            <TH>Car Brand</TH>
            <TH>Car Brand Sub</TH>
            <TH>Sequence Number</TH>
            <TH>Plate</TH>
            <TH>Plate Type</TH>
            <TH>Validity</TH>
            <TH>Validity Date</TH>
            <TH>Validity By</TH>
            <TH>Action</TH>
        </tr>
        </thead>
    </table>
    </div>
    <br/>
    <br/>
    </div>

    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <div id="edit_modal" class="w3-modal" style="padding-top:10px;">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:850px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('edit_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <div class="content-header" style="width:100%;">
            </div>
            <div style="width:100%;clear:both;" id="response">
            </div>

        </div>
    </div>
    <div id="delete_modal" class="w3-modal">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('delete_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <header class="w3-container w3-text-indigo w3-margin-top-64">
                <h1>Delete</h1>
            </header>
            <form class="w3-container" action="" method="POST" id="delete_form">
                {{method_field('DELETE')}}
                @csrf
                <div class="w3-section">
                    <p>Are you sure, you want to delete <span id="delete_name"></span> ?</p>
                    <div class="w3-center">
                        <button type="submit" class="w3-btn w3-indigo"> Delete</button>
                    </div>
                </div>
            </form>
            <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                <button onclick="document.getElementById('delete_modal').style.display='none'" type="button"
                        class="w3-btn w3-red">Cancel
                </button>
            </div>
        </div>
    </div>
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->


    <script>
        $(document).ready(function () {

            fill_datatable();


            function fill_datatable(filter_driverId = '', filter_model = '', filter_carTypeId = '', filter_carbrand_Id = '', filter_carbrandsub_Id = '', filter_colour = '', filter_sequenceNumber = '', filter_plateLetterRight = '', filter_plateLetterMiddle = '', filter_plateLetterLeft = '', filter_plateTypeId = '', filter_plateNumber = '', filter_vehicleReferenceNumber = '', filter_validityId = '', filter_validity_dt = '', filter_validity_by_id = '', filter_created_at = '', filter_updated_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    order: [[0, "desc"]],
                    "pagingType": "full_numbers",
                    "autoWidth": false,
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
                    },
                    ajax: {
                        url: "{{ route('DriverVehicles.index') }}",
                        data: {
                            filter_driverId: filter_driverId,
                            filter_model: filter_model,
                            filter_carTypeId: filter_carTypeId,
                            filter_carbrand_Id: filter_carbrand_Id,
                            filter_carbrandsub_Id: filter_carbrandsub_Id,
                            filter_colour: filter_colour,
                            filter_sequenceNumber: filter_sequenceNumber,
                            filter_plateLetterRight: filter_plateLetterRight,
                            filter_plateLetterMiddle: filter_plateLetterMiddle,
                            filter_plateLetterLeft: filter_plateLetterLeft,
                            filter_plateTypeId: filter_plateTypeId,
                            filter_plateNumber: filter_plateNumber,
                            filter_vehicleReferenceNumber: filter_vehicleReferenceNumber,
                            filter_validityId: filter_validityId,
                            filter_validity_dt: filter_validity_dt,
                            filter_validity_by_id: filter_validity_by_id,
                            filter_created_at: filter_created_at,
                            filter_updated_at: filter_updated_at,
                        }

                    },

                    columns: [
                        {
                            data: 'created_at',
                            name: 'created_at',
                            //visible:false
                        },
                        {
                            data: 'name',

                            render: function (data, type, row, meta) {
                                return '<a href="javascript:driver(' + row.driverId + ')">' + data + '</a>';
                            }

                        },
                        {
                            data: 'model',
                            name: 'model',
                        },
                        {
                            data: 'carName',
                            name: 'carName',
                        },
                        {
                            data: 'Brand_En',
                            name: 'Brand_En',
                        },
                        {
                            data: 'BrandSub_En',
                            name: 'BrandSub_En',
                        },
                        {
                            data: 'sequenceNumber',
                            name: 'sequenceNumber',
                        },
                        {
                            data: 'plate',
                            name: 'plate',
                        },
                        {
                            data: 'englishName',
                            name: 'englishName',
                        },
                        {
                            data: 'validityId',
                            render: function (data, type, row, meta) {
                                if (row.validityId === "1") {
                                    return '<span class="label label-primary"><i class="fa fa-check" ></i>' + row.validity_status + '</span>';
                                } else if (row.validityId === "2") {
                                    return '<span class="label label-danger">' + row.validity_status + '</span>';
                                } else if (row.validityId === "3") {
                                    return '<span class="label label-warning"><i class="fa fa-spinner"></i> ' + row.validity_status + '</span>';
                                }
                            }
                        },
                        {
                            data: 'validity_dt',
                            name: 'validity_dt'
                        },
                        {
                            data: 'validity_by_name',
                            name: 'validity_by_name'
                        },
                        {
                            "orderable": false,
                            "targets": -1,
                            //"data": 'id',
                            "render": function (data, type, row, meta) {
                                return '<a id=' + row.id + ' data-original-title="edit" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-yellow vd_yellow edit"> <i class="fas fa-pencil-alt"></i> </a>' +
                                    '&nbsp;<a id=' + row.id + ' data-original-title="delete" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-red vd_red delete"> <i class="fas fa-times"></i> </a>' +
                                    '&nbsp;<a id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-green vd_green view"> <i class="fa fa-eye"></i> </a>'


                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }

                    ]
                });


            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/DriverVehicles")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;

                    }
                });
            });
            $('#customer_data tbody').on('click', '.edit', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/DriverVehicles")}}" + "/" + id + "/edit",
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;

                    }
                });
            });
            $('#customer_data tbody').on('click', '.delete', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                document.getElementById('delete_form').action = "{{URL("/DriverVehicles")}}" + "/" + id;
                document.getElementById('delete_modal').style.display = 'block';
                //document.getElementById('response').innerHTML=data;


            });

            $('#filter').click(function () {
                if ($('#filter_driverId').val() != '' || $('#filter_model').val() != '' || $('#filter_carTypeId').val() != '' || $('#filter_carbrand_Id').val() != '' || $('#filter_carbrandsub_Id').val() != '' || $('#filter_colour').val() != '' || $('#filter_sequenceNumber').val() != '' || $('#filter_plateLetterRight').val() != '' || $('#filter_plateLetterMiddle').val() != '' || $('#filter_plateLetterLeft').val() != '' || $('#filter_plateTypeId').val() != '' || $('#filter_plateNumber').val() != '' || $('#filter_vehicleReferenceNumber').val() != '' || $('#filter_validityId').val() != '' || $('#filter_validity_dt').val() != '' || $('#filter_validity_by_id').val() != '' || $('#filter_created_at').val() != '' || $('#filter_updated_at').val() != '') {
                    card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_driverId').val(), $('#filter_model').val(), $('#filter_carTypeId').val(), $('#filter_carbrand_Id').val(), $('#filter_carbrandsub_Id').val(), $('#filter_colour').val(), $('#filter_sequenceNumber').val(), $('#filter_plateLetterRight').val(), $('#filter_plateLetterMiddle').val(), $('#filter_plateLetterLeft').val(), $('#filter_plateTypeId').val(), $('#filter_plateNumber').val(), $('#filter_vehicleReferenceNumber').val(), $('#filter_validityId').val(), $('#filter_validity_dt').val(), $('#filter_validity_by_id').val(), $('#filter_created_at').val(), $('#filter_updated_at').val());
                } else {
                    alert('Select filter option');
                }
            });

            $('#reset').click(function () {

                $('#filter_driverId').val('');
                $('#filter_driverId_input').val('');
                $('#filter_model').val('');
                $('#filter_carTypeId').val('');
                $('#filter_carbrand_Id').val('');
                $('#filter_carbrandsub_Id').val('');
                $('#filter_colour').val('');
                $('#filter_sequenceNumber').val('');
                $('#filter_plateLetterRight').val('');
                $('#filter_plateLetterMiddle').val('');
                $('#filter_plateLetterLeft').val('');
                $('#filter_plateTypeId').val('');
                $('#filter_plateNumber').val('');
                $('#filter_vehicleReferenceNumber').val('');
                $('#filter_validityId').val('');
                $('#filter_validity_dt').val('');
                $('#filter_validity_by_id').val('');
                $('#filter_created_at').val('');
                $('#filter_updated_at').val('');


                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });

        });

        function add() {

            $.ajax({
                type: 'GET',
                url: "{{URL("/DriverVehicles")}}" + "/create",
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }

        function driver_window() {
            myWindow1 = window.open("{{URL("/DriverWindow")}}", "",
                "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function carbrandsub(brand, brandsub) {
            var brand_id = document.getElementById(brand).value;
            if (brand_id == "")
                $('#' + brandsub).empty();
            else {
                $.getJSON("{{URL("/getcarbrandsub")}}" + "/" + brand_id, function (json) {
                    $('#' + brandsub).empty();
                    $('#' + brandsub).append($('<option>').text("Select ....").attr('value', ''));
                    $.each(json, function (i, obj) {
                        $('#' + brandsub).append($('<option>').text(obj.name_en).attr('value', obj.id));
                    });
                });
            }
        }

        function driver(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Drivers")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;

                }
            });
        }
    </script>
@endsection
