 @extends('AdminLayout')
@section('content')
  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Orders</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Orders</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <h4 class="header-title mb-4">Orders</h4>
                                            </div>
                                            <!-- Right modal content -->
                                            <div id="right-modal" class="modal fade filterform" tabindex="-1" role="dialog" aria-hidden="true">
                                                <div class="modal-dialog modal-md modal-right">
                                                    <div class="modal-content">
                                                        <div class="modal-header border-0">
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                                        </div>
                                                        <div class="modal-body p-4">
                                                           
                                                                <div class="row">
                                                                    <div class="col-lg-12 ">
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_customerId_input" placeholder="Passenger" name="filter_customerId_input">
                                                                                <input type="hidden" class="form-control input-round" id="filter_customerId" placeholder="Passenger" name="filter_customerId">
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_driverId_input" placeholder="Driver" name="filter_driverId_input">
                                                                                 <input type="hidden" class="form-control input-round" id="filter_driverId" placeholder="Driver" name="filter_driverId">
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" class="form-control input-round" id="filter_vehicleId_input" placeholder="Vehicle" name="filter_vehicleId_input">
                                                                                 <input type="hidden" class="form-control input-round" id="filter_vehicleId" placeholder="Vehicle" name="filter_vehicleId">
                                                                            </div>
                                                                        </div>
                                                                        
                                                                        
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="TotalPay" class="form-control input-round" placeholder="Total Pay" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_orderPickedupDateTime" class="form-control input-round range-picker" placeholder="Order Pickup Date" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_orderDeliveredDateTime" class="form-control input-round range-picker" placeholder="Order Deliver Date" >
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                              <select id="filter_orderStatusId" name="filter_orderStatusId"
                                 class="form-control input-round" >
                            <option value="">Order Status</option>
                            @foreach($lkp_order_status as $order_status)
                                <option value="{{$order_status->id}}">{{$order_status->status}}</option>
                            @endforeach
                        </select>
                                                                            </div>
                                                                        </div>

                            <div class="form-group row">
                                <div class="col-sm-12">
                            <select id="filter_paymentTypeId" name="filter_paymentTypeId" class="form-control input-round">
                            <option value="">Cash Status</option>
                            @foreach($lkp_paymenttype as $paymenttype)
                                <option value="{{$paymenttype->id}}">{{$paymenttype->paymentType}}</option>
                            @endforeach
                        </select>
                         </div>
                         </div>


                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                 <select id="filter_carTypeId" name="filter_carTypeId" 
                                class="form-control input-round" >
                            <option value="">Car Type</option>
                            @foreach($lkp_cartypes as $cartype)
                                <option value="{{$cartype->id}}">{{$cartype->carName}}</option>
                            @endforeach
                        </select>
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_dropoffAddress" class="form-control input-round" placeholder="Destination Address" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_minimumPrice" class="form-control input-round" placeholder="Total Pay" >
                                                                            </div>
                                                                        </div>


                                                                         <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_orderDetail" class="form-control input-round" placeholder="Order Detail" >
                                                                            </div>
                                                                        </div>

                                                                         <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_pickupAddress" class="form-control input-round" placeholder="Pickup Address" >
                                                                            </div>
                                                                        </div>

                                                                         <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_finalTripCost" class="form-control input-round" placeholder="Final Trip Cost" >
                                                                            </div>
                                                                        </div>

                                                                         <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_totalDistance" class="form-control input-round" placeholder="Final Distance" >
                                                                            </div>
                                                                        </div>

                                                                         <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_totalTime" class="form-control input-round" placeholder="Final Time" >
                                                                            </div>
                                                                        </div>

                                                                         <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_created_at" class="form-control input-round range-picker" placeholder="Created at" >
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group row">
                                                                            <div class="col-sm-12">
                                                                                <input type="text" id="filter_updated_at" class="form-control input-round range-picker" placeholder="Updated at" >
                                                                            </div>
                                                                        </div>

                                                                        
                                                                        
                                                                        <div class="mt-2">
                                                                            <button type="submit" name="filter" id="filter" class=" btn btn-primary btn-rounded mr-3">Filter</button> 
                                                                            <button type="submit" name="reset" id="reset" class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Reset</button> 
                                                                        </div>
                                                                        
                                                                    </div> <!-- end col -->
                                                                </div>
                                                            
                                                        </div>
                                                    </div><!-- /.modal-content -->
                                                </div><!-- /.modal-dialog -->
                                            </div><!-- /.modal -->
                                            <div class="col-md-6 filter-buttons">
                                                <button type="button" class="btn btn-white btn-rounded waves-effect mb-2" data-toggle="modal" data-target="#right-modal"><i class="mdi mdi-filter-outline cust-filter"></i> Filter</button>
                                            </div>
                                        </div>
                                        
                                        <table id="customer_data" class="table dt-responsive no w-100">
                                            
                                            <thead class="thead-light">
                                                <tr>
                                                    <th>Created</th>
                                                    <th>Customer</th>
                                                    <th>Driver</th>
                                                    <th>Pickup <br>
                                                    Addess</th>
                                                    <th>Destination<br>
                                                        Address</th>
                                                    <th>Distance</th>
                                                     <th>Time</th>
                                                     <th>Amount</th>
                                                    <th>Payment<br>
                                                        Type</th>
                                                    <th>order<br>
                                                        Status</th>
                                                    <th>Actions</th>
                                                </tr>
                                            </thead>
                                        
                                        
                                            <tbody>
                                               
                                            </tbody>
                                        </table>

                                    </div> <!-- end card body-->
                                </div> <!-- end card -->
                            </div><!-- end col-->
                        </div>
                        <!-- end row-->
                        <!-- End Page Body -->
                        @include('Orders.show_popup')
                    </div> <!-- container -->

                    <script>
        $(document).ready(function () {

            fill_datatable();


            function fill_datatable(filter_customerId = '', filter_driverId = '', filter_vehicleId = '', filter_carTypeId = '', filter_pickupAddress = '', filter_dropoffAddress = '', filter_finalTripCost = '', filter_minimumPrice = '', filter_totalDistance = '', filter_totalTime = '', filter_orderPickedupDateTime = '', filter_orderDeliveredDateTime = '', filter_paymentTypeId = '', filter_orderStatusId = '', filter_orderDetail = '', filter_estimatedTime = '', filter_created_at = '', filter_updated_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    order: [[0, "desc"]],
                    "pagingType": "simple_numbers",
                    "autoWidth": false,
					language: { paginate: { previous: "<i class='mdi mdi-chevron-left'>", next: "<i class='mdi mdi-chevron-right'>" } },
					buttons: [
                    { extend: "copy", className: "btn-light" },
                    { extend: "print", className: "btn-light" },
                    { extend: "pdf", className: "btn-light" },
                     ],
                    "drawCallback": function (settings) {
                        $('[data-toggle="tooltip"]').tooltip();
						$(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    },
                    ajax: {
                        url: "{{ route('Orders.index') }}",
                        data: {
                            filter_customerId: filter_customerId,
                            filter_driverId: filter_driverId,
                            filter_vehicleId: filter_vehicleId,
                            filter_carTypeId: filter_carTypeId,
                            filter_pickupAddress: filter_pickupAddress,
                            filter_dropoffAddress: filter_dropoffAddress,
                            filter_finalTripCost: filter_finalTripCost,
                            filter_minimumPrice: filter_minimumPrice,
                            filter_totalDistance: filter_totalDistance,
                            filter_totalTime: filter_totalTime,
                            filter_orderPickedupDateTime: filter_orderPickedupDateTime,
                            filter_orderDeliveredDateTime: filter_orderDeliveredDateTime,
                            filter_paymentTypeId: filter_paymentTypeId,
                            filter_orderStatusId: filter_orderStatusId,
                            filter_orderDetail: filter_orderDetail,
                            filter_estimatedTime: filter_estimatedTime,
                            filter_created_at: filter_created_at,
                            filter_updated_at: filter_updated_at,

                        }

                    },

                    columns: [
                        {
                            data: 'created_at',
                            render: function (data, type, row, meta) {
                               
                                    
                                    return '<span class="text-muted"><i class="far fa-calendar-alt"></i></span> '+data
                            }
                        },

                        {
                            data: 'passenger_name',

                            render: function (data, type, row, meta) {
                                return '<a href="javascript:passenger(' + row.customerId + ')">' + data + '</a>';
                            }

                        },
                        {
                            data: 'driver_name',

                            render: function (data, type, row, meta) {
                                return '<a href="javascript:driver(' + row.driverId + ')">' + data + '</a>';
                            }

                        },

                        {
                            data: 'carName',
                            name: 'carName',
                        },
                        {
                            data: 'pickupAddress',
                            name: 'pickupAddress',
                        },
                        {
                            data: 'dropoffAddress',
                            name: 'dropoffAddress',
                        },

                        {
                            data: 'totalDistance',
                            name: 'totalDistance',
                        },
                        {
                            data: 'totalTime',
                            name: 'totalTime',
                        },
                        {
                            data: 'minimumPrice',
                            name: 'minimumPrice',
                        },
                        {
                            data: 'paymentTypeId',
                            render: function (data, type, row, meta) {
                                if (data === 1) {
                                    return '<i class="mdi mdi-cash-multiple text-success"></i> ' + row.paymentType;
                                } else if (data === 2) {
                                    return '<i class="fa fa-credit-card"></i> ' + row.paymentType;
                                }

                            }
                        },
                        {
                            data: 'orderStatusId',
                            render: function (data, type, row, meta) {
                                if (data === 101) {
                                    return '<span class="badge badge-soft-default">' + row.status + '</span>';
                                } else if (data === 102) {
                                    return '<span class="badge badge-soft-default">' + row.status + '</span>';
                                } else if (data === 103) {
                                    return '<span class="badge badge-soft-warning">' + row.status + '</span>';
                                } else if (data === 104) {
                                    return '<span class="badge badge-soft-warning">' + row.status + '</span>';
                                } else if (data === 105) {
                                    return '<span class="badge badge-soft-warning">' + row.status + '</span>';
                                } else if (data === 106) {
                                    return '<span class="badge badge-soft-success">' + row.status + '</span>';
                                } else if (data === 107) {
                                    return '<span class="badge badge-soft-danger">' + row.status + '</span>';
                                }
                            }
                        },


                        {
                            "orderable": false,
                            "className": "text-center",
                            "targets": -1,
                            //"data": 'id',
                            "render": function (data, type, row, meta) {
                                return '<a href="javascript:void(0)" id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="button-icon viewicon view"> <i class="fa fa-eye"></i> </a>'


                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }

                    ]
                });


            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
               // window.location.href="{{URL("/Orders")}}" + "/" + id
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/Orders")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        //document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;
                        $('#trips').modal('show')

                    }
                });
            });


            $('#filter').click(function () {

                if ($('#filter_customerId').val() != '' || $('#filter_driverId').val() != '' || $('#filter_vehicleId').val() != '' || $('#filter_carTypeId').val() != '' || $('#filter_pickupAddress').val() != '' || $('#filter_dropoffAddress').val() != '' || $('#filter_finalTripCost').val() != '' || $('#filter_minimumPrice').val() != '' || $('#filter_totalDistance').val() != '' || $('#filter_totalTime').val() != '' || $('#filter_orderPickedupDateTime').val() != '' || $('#filter_orderDeliveredDateTime').val() != '' || $('#filter_paymentTypeId').val() != '' || $('#filter_orderStatusId').val() != '' || $('#filter_orderDetail').val() != '' || $('#filter_estimatedTime').val() != '' || $('#filter_created_at').val() != '' || $('#filter_updated_at').val() != '') {
                   // card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_customerId').val(), $('#filter_driverId').val(), $('#filter_vehicleId').val(), $('#filter_carTypeId').val(), $('#filter_pickupAddress').val(), $('#filter_dropoffAddress').val(), $('#filter_finalTripCost').val(), $('#filter_minimumPrice').val(), $('#filter_totalDistance').val(), $('#filter_totalTime').val(), $('#filter_orderPickedupDateTime').val(), $('#filter_orderDeliveredDateTime').val(), $('#filter_paymentTypeId').val(), $('#filter_orderStatusId').val(), $('#filter_orderDetail').val(), $('#filter_estimatedTime').val(), $('#filter_created_at').val(), $('#filter_updated_at').val());
                    $('#right-modal').modal('hide');
                } else {
                    alert('Select filter option');
                }
            });

            $('#reset').click(function () {

                $('#filter_customerId').val('');
                $('#filter_customerId_input').val('');
                $('#filter_driverId').val('');
                $('#filter_driverId_input').val('');
                $('#filter_vehicleId').val('');
                $('#filter_vehicleId_input').val('');
                $('#filter_carTypeId').val('');
                $('#filter_pickupAddress').val('');
                $('#filter_dropoffAddress').val('');
                $('#filter_finalTripCost').val('');
                $('#filter_minimumPrice').val('');
                $('#filter_totalDistance').val('');
                $('#filter_totalTime').val('');
                $('#filter_orderPickedupDateTime').val('');
                $('#filter_orderDeliveredDateTime').val('');
                $('#filter_paymentTypeId').val('');
                $('#filter_orderStatusId').val('');
                $('#filter_orderDetail').val('');
                $('#filter_estimatedTime').val('');
                $('#filter_created_at').val('');
                $('#filter_updated_at').val('');


                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });

        });


        function passenger_window() {
            myWindow1 = window.open("{{URL("/PassengerWindow")}}", "",
                "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function driver_window() {
            $('#filter_vehicleId').val('');
            $('#filter_vehicleId_input').val('');
            myWindow1 = window.open("{{URL("/DriverWindow")}}", "",
                "height=650,width=900,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function vehichle_window() {
            if ($('#filter_driverId').val() == "") {
                alert("Please Select Driver then Select Vehichle");
                return
            }
            myWindow1 = window.open("{{URL("/DriverVehicleWindow")}}" + "?Driver_ID=" + $('#filter_driverId').val(), "",
                "height=650,width=1000,scrollbars=yes,top=1,left=1,status,resizable");
        }

        function passenger(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Passengers")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;

                }
            });
        }

        function driver(id) {
            $.ajax({
                type: 'GET',
                url: "{{URL("/Drivers")}}" + "/" + id,
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;

                }
            });
        }

        function driver_vehicles_window(id) {
            myWindow1 = window.open("{{URL("/DriverVehicles")}}" + "/" + id, "",
                "height=650,width=500,scrollbars=yes,top=1,left=1,status,resizable");
        }



        $('#filter_customerId_input').autocomplete({
    serviceUrl: '{{ route('get_passengers') }}',
    onSelect: function (suggestion) {
        console.log(suggestion)
        //alert('You selected: ' + suggestion.value + ', ' + suggestion.data);
        $("#filter_customerId").val(suggestion.data);
    }
});

                $('#filter_driverId_input').autocomplete({
    serviceUrl: '{{ route('get_drivers') }}',
    onSelect: function (suggestion) {
        console.log(suggestion)
        //alert('You selected: ' + suggestion.value + ', ' + suggestion.data);
        $("#filter_driverId").val(suggestion.data);
    }
});


                $('#filter_vehicleId_input').autocomplete({
    serviceUrl: '{{ route('get_vehicles') }}',
    onSelect: function (suggestion) {
        console.log(suggestion)
        //alert('You selected: ' + suggestion.value + ', ' + suggestion.data);
        $("#filter_vehicleId").val(suggestion.data);
    }
});


    </script>
                    @endsection
