@extends('AdminLayout')
@section('content')

  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row ">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Passanger Chart</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Passanger Chart</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row">
                            <div class="col-md-6 col-xl-6">
                                <div class="card ">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Gender</h4>
                                        <div class="row ">
                                            <div class="col-sm-4 align-self-center">
                                                <div class="lagends mb-2">
                                                    <span class="box male"> </span><span> Male=77 76%</span>
                                                </div>
                                                <div class="lagends mb-2">
                                                    <span class="box female"> </span><span> Female=2 2%</span>
                                                </div>
                                                <div class="lagends mb-2">
                                                    <span class="box na"> </span><span> NA=22 22%</span>
                                                </div>

                                            </div>
                                            <div class="col-sm-8 align-self-center">
                                                <div class=" chartjs-chart">
                                                    <canvas id="passenger-gender" height="200" data-colors="#398CBE,#F76653,#D2D6DF"></canvas>
                                                </div>
                                            </div>
                                        </div>
    
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col-->

                            <div class="col-md-6 col-xl-6">
                                    <div class="card ">
                                        <div class="card-body">
                                            <h4 class="header-title mb-3">Login Status</h4>
                                            <div class="row">
                                                <div class="col-sm-4 align-self-center">
                                                    <div class="lagends mb-2">
                                                        <span class="box status-login"> </span><span> Login=101 98%</span>
                                                    </div>
                                                    <div class="lagends mb-2">
                                                        <span class="box status-logout"> </span><span> Logout=2 2%</span>
                                                    </div>
    
                                                </div>
                                                <div class="col-sm-8 align-self-center">
                                                    <div class=" chartjs-chart">
                                                        <canvas id="passengerLogin-Status" height="200" data-colors="#008000,#FEA500"></canvas>
                                                    </div>
                                                </div>
                                            </div>
                                        </div> <!-- end card-body-->
                                    </div> <!-- end card-->
                            </div> <!-- end col-->
                        </div>
                        <div class="row">
                            <div class="col-md-6 col-xl-6">
                                <div class="card ">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Device Type</h4>
                                        <div class="row">
                                            <div class="col-sm-5 align-self-center">
                                                <div class="lagends mb-2">
                                                    <span class="box android"> </span><span> Android=59 58%</span>
                                                </div>
                                                <div class="lagends mb-2">
                                                    <span class="box ios"> </span><span> IOS=42 42%</span>
                                                </div>

                                            </div>
                                            <div class="col-sm-7 align-self-center">
                                                <div class="mt-4 chartjs-chart">
                                                    <canvas id="passengerdevice-type" height="200" data-colors="#000000,#FE0000"></canvas>
                                                </div>
                                            </div>
                                        </div>    
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col-->
                            <div class="col-md-6 col-xl-6">
                                <div class="card ">
                                    <div class="card-body">
                                        <h4 class="header-title mb-3">Validity</h4>
                                        <div class="row">
                                            <div class="col-sm-5 align-self-center">
                                                <div class="lagends mb-2">
                                                    <span class="box approved"> </span><span> Approved=51 50%</span>
                                                </div>
                                                <div class="lagends mb-2">
                                                    <span class="box notapproved"> </span><span> Not Approved=0 0%</span>
                                                </div>
                                                <div class="lagends ">
                                                    <span class="box pending"> </span><span> Pending=50 50%</span>
                                                </div>

                                            </div>
                                            <div class="col-sm-7 align-self-center">
                                                <div class="mt-4 chartjs-chart">
                                                    <canvas id="passengervalidity" height="200" data-colors="#00C0EF,#FE0000,#FFA500"></canvas>
                                                </div>
                                            </div>
                                        </div>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col-->
                            
                            
                        </div>

                        <!-- End Page Body -->
                    </div>

@endsection