@extends('AdminLTE')
@section('content')
    <!-- Content Header (Page header) -->
    <div  style="width:100%;margin: 0px;">
        <div style="float:left;margin-top: 12px;"><h2 style="width:100%;font-size: 14px;font-weight: bold;">Passengers</h2></div>
        <div style="float:right;">
            <h2><a href="javascript:add();" class="btn btn-sm btn-info "><i class="fas fa-plus"></i> Add New
                    Passenger</a></h2>
        </div>
    </div>
    <!-- /.content-header -->
    <!--class="w3-table-all w3-card-4"-->

    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <script>
        function card_min() {
            document.getElementById('card-body1').style.display = 'none';
            document.getElementById('card-footer1').style.display = 'none';
            document.getElementById("corner").className = "fas fa-plus";
        }

        function card_change() {
            if (document.getElementById('card-body1').style.display == 'none') {
                document.getElementById('card-body1').style.display = '';
                document.getElementById('card-footer1').style.display = '';
                document.getElementById("corner").className = "fas fa-minus";
            } else {
                document.getElementById('card-body1').style.display = 'none';
                document.getElementById('card-footer1').style.display = 'none';
                document.getElementById("corner").className = "fas fa-plus";
            }
        }
    </script>
    <!-- SELECT2 EXAMPLE -->
    <div class="card card-default" style="width:100%;clear:both;">
        <div class="card-header" style="margin-bottom: 0PX;">
            <button class="button_search" onclick="card_change()"><i class="fa fa-search"></i></button>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" onclick="card_change()"><i id="corner"
                                                                                      class="fas fa-minus"></i></button>
            </div>
        </div>
        <!-- /.card-header -->
        <div class="card-body" id="card-body1" style="display:none">
            <table id="search_table" style="width: 10px">
                <tr>
                    <th>Name</th>
                    <td><input class="form-control" style="width:200px" name="filter_name" id="filter_name" type="text" value=""></td>
                    <th>Email</th>
                    <td><input class="form-control" style="width:200px" name="filter_email" id="filter_email" type="text" value=""></td>
                </tr>
                <tr>
                    <th>Mobile</th>
                    <td><input class="form-control" name="filter_mobile" id="filter_mobile" type="text" value=""></td>
                    <th>Device Type</th>
                    <td><select class="form-control" name="filter_deviceType" id="filter_deviceType">
                            <option value=""></option>
                            <option value="1">Android</option>
                            <option value="2">IOS</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th>Login Status</th>
                    <td><select class="form-control" name="filter_loginStatus" id="filter_loginStatus">
                            <option value=""></option>
                            <option value="1">Login</option>
                            <option value="2">Logout</option>
                        </select>
                    </td>
                    <th>Validity</th>
                    <td><select class="form-control" name="filter_validity" id="filter_validity">
                            <option value=""></option>
                            <option value="1">Approved</option>
                            <option value="2">NotApproved</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th>Gender</th>
                    <td><select class="form-control" name="filter_gender" id="filter_gender">
                            <option value=""></option>
                            <option value="1">Male</option>
                            <option value="2">Female</option>
                        </select>
                    </td>
                    <th>Created At</th>
                    <td>
                        <div class="input-group">
                            <div class="input-group-prepend">
                      <span class="input-group-text">
                        <i class="far fa-calendar-alt"></i>
                      </span>
                            </div>
                            <input type="text" class="form-control" name="filter_created_at" id="filter_created_at" value="" />
                            <script>
                                $(function () {
                                    $('input[name="filter_created_at"]').daterangepicker({
                                        autoUpdateInput: false,
                                        opens: 'left',
                                        locale: {
                                            cancelLabel: 'Cancel'
                                        }
                                    });
                                    $('input[name="filter_created_at"]').on('apply.daterangepicker', function (ev, picker) {
                                        $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    });
                                    $('input[name="filter_created_at"]').on('cancel.daterangepicker', function (ev, picker) {
                                        $(this).val('');
                                    });
                                });
                            </script>
                        </div>

                    </td>
                </tr>
            </table>


        </div>
        <!-- /.card-body -->
        <div class="card-footer" align="center" id="card-footer1" style="display:none">
            <button type="button" name="filter" id="filter" class="btn btn-sm btn-info">Filter</button>

            <button type="button" name="reset" id="reset" class="btn btn-sm btn-default">Reset</button>
        </div>
    </div>
    <!-- /.card -->
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->


    <!--w3-table-all w3-card-4-->
    <!-- table table-bordered table-striped  -->






    <table id="customer_data" class="table table-bordered table-striped">
        <thead>
        <tr>
            <TH>Created</TH>
            <TH>Name</TH>
            <TH>Gender</TH>
            <TH>Mobile</TH>
            <TH>Login Status</TH>
            <TH>Device Type</TH>
            <TH>Action</TH>
        </tr>
        </thead>
    </table>
    </div>
    <br/>
    <br/>
    </div>

    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->
    <div id="edit_modal" class="w3-modal" style="padding-top:10px;">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('edit_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <div class="content-header" style="width:100%;">
            </div>
            <div style="width:100%;clear:both;" id="response">
            </div>

        </div>
    </div>
    <div id="delete_modal" class="w3-modal">
        <div class="w3-modal-content w3-card-8 w3-animate-zoom" style="max-width:600px">
            <div class="w3-center"><br>
                <span onclick="document.getElementById('delete_modal').style.display='none'"
                      class="w3-closebtn w3-hover-red w3-container w3-padding-8 w3-display-topright"
                      title="Close Modal">&times;</span>
            </div>
            <header class="w3-container w3-text-indigo w3-margin-top-64">
                <h1>Delete</h1>
            </header>
            <form class="w3-container" action="" method="POST" id="delete_form">
                {{method_field('DELETE')}}
                @csrf
                <div class="w3-section">
                    <p>Are you sure, you want to delete <span id="delete_name"></span> ?</p>
                    <div class="w3-center">
                        <button type="submit" class="w3-btn w3-indigo"> Delete</button>
                    </div>
                </div>
            </form>
            <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                <button onclick="document.getElementById('delete_modal').style.display='none'" type="button"
                        class="w3-btn w3-red">Cancel
                </button>
            </div>
        </div>
    </div>
    <!---------------------------------------------------------------------------------------------------------------------->
    <!---------------------------------------------------------------------------------------------------------------------->


    <script>
        $(document).ready(function () {

            fill_datatable();

            function fill_datatable(filter_name = '', filter_email = '', filter_mobile = '', filter_deviceType = '', filter_loginStatus = '', filter_validity = '', filter_gender = '', filter_created_at = '') {
                var dataTable = $('#customer_data').DataTable({
                    //searching: false,
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    order: [[0, "desc"]],
                    "pagingType": "full_numbers",
                    "autoWidth": false,
                    ajax: {
                        url: "{{ route('Passengers.index') }}",
                        data: {
                            filter_name: filter_name, filter_email: filter_email, filter_mobile: filter_mobile,
                            filter_deviceType: filter_deviceType, filter_loginStatus: filter_loginStatus,
                            filter_validity: filter_validity, filter_gender, filter_created_at: filter_created_at
                        }

                    },

                    columns: [
                        {
                            data: 'created_at',
                            name: 'created_at'
                        },
                        {
                            data: 'name',
                            name: 'name',
                            //visible:false
                        },
                        {
                            data: 'gender_name',
                            name: 'gender_name'
                        },
                        {
                            data: 'mobile',
                            name: 'mobile'
                        },
                        {
                            data: 'loginStatusId',
                            render: function (data, type, row, meta) {
                                if (data === "1") {
                                    return '<span class="label label-success">Login</span>';
                                } else {
                                    return '<span class="label label-danger">Logout</span>';
                                }
                            }
                        },
                        {
                            data: 'deviceType_name',
                            name: 'deviceType_name'
                        },
                        {
                            "orderable": false,
                            "targets": -1,
                            //"data": 'id',
                            "render": function (data, type, row, meta) {
                                return '<a id=' + row.id + ' data-original-title="edit" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-yellow vd_yellow edit"> <i class="fas fa-pencil-alt"></i> </a>' +
                                    '&nbsp;<a id=' + row.id + ' data-original-title="delete" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-red vd_red delete"> <i class="fas fa-times"></i> </a>' +
                                    '&nbsp;<a id=' + row.id + ' data-original-title="view" data-toggle="tooltip" data-placement="top" class="btnaction btn menu-icon vd_bd-green vd_green view"> <i class="fa fa-eye"></i> </a>'


                            }
                            //onclick=\"document.getElementById('row_id').value='"+data+"'\"
                        }

                    ]
                });


            }

            $('#customer_data tbody').on('click', '.view', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/Passengers")}}" + "/" + id,
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;

                    }
                });
            });
            $('#customer_data tbody').on('click', '.edit', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                $.ajax({
                    type: 'GET',
                    url: "{{URL("/Passengers")}}" + "/" + id + "/edit",
                    contentType: "html",
                    dataType: 'html',
                    success: function (data) {
                        document.getElementById('edit_modal').style.display = 'block';
                        document.getElementById('response').innerHTML = data;

                    }
                });
            });
            $('#customer_data tbody').on('click', '.delete', function (e) {
                e.preventDefault();
                var id = $(this).attr('id');
                document.getElementById('delete_form').action = "{{URL("/Passengers")}}" + "/" + id;
                document.getElementById('delete_modal').style.display = 'block';
                //document.getElementById('response').innerHTML=data;


            });
            $('#filter').click(function () {

                if ($('#filter_name').val() != '' || $('#filter_email').val() != '' || $('#filter_mobile').val() != '' || $('#filter_deviceType').val() != '' || $('#filter_loginStatus').val() != '' || $('#filter_validity').val() != '' || $('#filter_gender').val() != '' || $('#filter_created_at').val() != '') {
                    //card_min();
                    $('#customer_data').DataTable().destroy();
                    fill_datatable($('#filter_name').val(), $('#filter_email').val(), $('#filter_mobile').val(), $('#filter_deviceType').val(), $('#filter_loginStatus').val(), $('#filter_validity').val(), $('#filter_gender').val(), $('#filter_created_at').val());
                } else {
                    alert('Select filter option');
                }
            });

            $('#reset').click(function () {
                $('#filter_name').val('');
                $('#filter_email').val('');
                $('#filter_mobile').val('');
                $('#filter_deviceType').val('');
                $('#filter_loginStatus').val('');
                $('#filter_validity').val('');
                $('#filter_gender').val('');
                $('#filter_created_at').val('');

                $('#customer_data').DataTable().destroy();
                fill_datatable();
            });

        });

        function add() {

            $.ajax({
                type: 'GET',
                url: "{{URL("/Passengers")}}" + "/create",
                contentType: "html",
                dataType: 'html',
                success: function (data) {
                    document.getElementById('edit_modal').style.display = 'block';
                    document.getElementById('response').innerHTML = data;
                }
            });
        }
    </script>

@endsection
