 @extends('AdminLayout')
@section('content')
  <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">Company Settings</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Company Settings</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
 

                        <div class="row">
                            <div class="col-lg-10 offset-lg-1">
                                <div class="card p-3">
                                    <div class="card-body">
                                           @if (! isset($Settings->id))
        <form method="POST" action="{{ action('SettingsController@store') }}">
            @csrf
            @else
                <form method="POST" action="{{ route('Settings.update',$Settings->id)}}">
                     @csrf
                    {{method_field("PATCH")}}
                    @endif
                                            <div class="row">
                                                <div class="col-lg-12 ">
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="VatPercentage">Vat Percentage </label>
                                                            <input type="text" class="form-control" name="vat_percentage"  value="{{ isset($Settings->vat_percentage) ? $Settings->vat_percentage : '' }}">
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="CompanyPercentage">Company Percentage </label>
                                                            <input type="text" class="form-control" name="comapany_percentage"   value="{{ isset($Settings->comapany_percentage) ? $Settings->comapany_percentage : '' }}">
                                                        </div>
                                                    </div>c

                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="VatPercentage">Driver Percentage </label>
                                                            <input type="text" class="form-control" name="driver_percentage"
                                       value="{{ isset($Settings->driver_percentage) ? $Settings->driver_percentage : '' }}">
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="CompanyPercentage">Company Percentage </label>
                                                            <input type="text" class="form-control" id="CompanyPercentage"   value="{{ isset($Settings->comapany_percentage) ? $Settings->comapany_percentage : '' }}">
                                                        </div>
                                                    </div>

    
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="CompanyPercentage">Languages </label><br>
                                                            <div class="language-box">
                                                                <div class="label-lang">Lang 1</div>
                                                                <div class="language-switcher1 ">
                                                                    <a href="#" class="active">ENG</a> | <a href="#" class="">العربیہ</a>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="Currency">Currency</label>
                                                            <input type="text" class="form-control" id="Currency"  name="currency"
                                       value="{{ isset($Settings->currency) ? $Settings->currency : '' }}">
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="PlateLetterLength">Plate Letter Length</label>
                                                            <input type="text" class="form-control" name="plate_letter_length"
                                       value="{{ isset($Settings->plate_letter_length) ? $Settings->plate_letter_length : '' }}">
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="SMSURL">SMS URL</label>
                                                            <input type="text" class="form-control" name="SMS_URL"
                                       value="{{ isset($Settings->SMS_URL) ? $Settings->SMS_URL : '' }}">
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="Distance">Distance</label>
                                                            <input type="text" class="form-control" name="distance"
                                       value="{{ isset($Settings->distance) ? $Settings->distance : '' }}">
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="MinVehicleModel">Min Vehicle Model	</label>
                                                            <input type="text" class="form-control" name="Min_Vehicle_Model"
                                       value="{{ isset($Settings->Min_Vehicle_Model) ? $Settings->Min_Vehicle_Model : '' }}" >
                                                        </div>
                                                    </div>
                                                    <div class="form-group row">
                                                        <div class="col-sm-6">
                                                            <label for="MaxAmountWithDriver">Max Amount With Driver</label>
                                                            <input type="text" class="form-control" name="Max_Amount_With_Driver"
                                       value="{{ isset($Settings->Max_Amount_With_Driver) ? $Settings->Max_Amount_With_Driver : '' }}" >
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <label for="GovernmentTripFee">Government Trip Fee	</label>
                                                            <input type="text" class="form-control" name="Government_Trip_Fee"
                                       value="{{ isset($Settings->Government_Trip_Fee) ? $Settings->Government_Trip_Fee : '' }}" >
                                                        </div>
                                                    </div>
                                                    <div class="mt-4">
                                                        <button type="submit"class=" btn btn-primary btn-rounded mr-3">Submit</button> 
                                                        <button type="submit"class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Dismiss</button> 
                                                    </div>
                                                    
                                                </div> <!-- end col -->
                                            </div>
                                        </form>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div><!-- end col -->
                        </div>
                        <!-- end row -->  
                        
                    </div> 
                    @endsection