 
@extends('AdminLayout')
@section('content')
 <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                            <li class="breadcrumb-item active">User Profile</li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">User Profile</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row mt-3">
                            <div class=" col-md-4 col-lg-4">
                                <div class="card-box p-0">
                                    <div class="p-3 pb-0">
                                        <div class="row h-100 profile-card">
                                            <div class="col-sm-4 align-self-center mb-2">
                                               
                                                                                                   @if($Users->profileImage !='')
                                                       <img src="{{asset("/user_images/$Users->profileImage")}}" class="img-fluid" />
                                                      @else
                                                     <img src="{{asset("/images/profile-image.jpg")}}" class="img-fluid" />
                                                     @endif
                                            </div>
                                            <div class="col-sm-8 align-self-center">
                                                <div class="">
                                                    <strong>{{$Users->name}} {{$Users->lname}}</strong><br>
                                                    <span>{{$Users->role_name}}</span><br>
                                                    <span class="badge badge-custom badge-soft-success">Verified</span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="mt-2 mb-2">
                                            <hr>                                        
                                        </div>
                                        <div class="user-profile-prog">
                                            <span>Profile Completion:</span>
                                            <div class="row mb-3">
                                                <div class="col-sm-10 align-self-center">
                                                    <div class="progress">
                                                        <div class="progress-bar progress-green" role="progressbar" style="width: 100%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></div>
                                                    </div>
                                                </div>
                                                <div class="col-sm-2 align-self-center" >100%</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                            </div>
                            <div class="col-md-8 col-lg-8">
                                <div class="card-box p-4">
                                    <form action="#" id="add_userform">
                                        <div class="row">
                                            <div class="col-lg-12 ">
                                                <div class="form-group row">
                                                    <div class="col-sm-6">
                                                        <label for="inputFirstname">First name</label>
                                                        <input type="text" class="form-control" id="userFirstname" value="{{$Users->name}}" readonly>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <label for="inputLastname">Last name</label>
                                                        <input type="text" class="form-control" id="userLastname" value="{{$Users->lname}}" readonly>
                                                    </div>
                                                </div>

                                                <div class="form-group row">
                                                    <div class="col-sm-6">
                                                        <label for="Email">Email</label>
                                                        <input type="Email" class="form-control" id="userEmail"  value="{{$Users->email}}" readonly>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <label for="Phone">Phone</label>
                                                        <input type="phone" class="form-control" id="userPhone" value="{{$Users->phone}}" readonly>
                                                    </div>
                                                </div>
                                                <div class="form-group row">
                                                    <div class="col-sm-6">
                                                        <label for="Userrole">User Role <span class="text-danger">*</span></label>
                                                        <input type="text" class="form-control" id="userRole" value="{{$Users->role_name}}" readonly>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <label for="Status">Status <span class="text-danger">*</span></label>
                                                        <input type="text" class="form-control" id="userStatus" value="{{$Users->active}}" readonly>
                                                    </div>
                                                </div>
                                                <div class="form-group row">
                                                    <div class="col-sm-6">
                                                        <label for="Email">Set Password</label>
                                                        <input type="password" class="form-control" id="userUserpassword" name="password" value="{{$Users->password}}" readonly>
                                                    </div>
                                                    <!-- <div class="col-sm-6 mt-4">
                                                        <a href="#" class="passowrd_reset"> Set Password</a>
                                                    </div> -->
                                                </div>
<!--                                                 <div class="mt-4">
                                                    <button type="submit"class=" btn btn-primary btn-rounded mr-3">Submit</button> 
                                                    <button type="submit"class=" btn btn-outline-primary btn-rounded waves-effect waves-light">Dismiss</button> 
                                                </div> -->
                                                
                                            </div> <!-- end col -->
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <!-- End Page Body -->
                    </div> <!-- container -->
                    @endsection