<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Dashboard |Muhrah</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="{{asset("/images/faviconico")}}">

		<!-- App css -->
        <link href="{{asset("/css/bootstrap.min.css")}}" rel="stylesheet" type="text/css" id="bs-default-stylesheet" />
        <link href="{{asset("/css/app.min.css")}}" rel="stylesheet" type="text/css" id="app-default-stylesheet" />

		<!-- Custom Stylesheet -->
	    <link href="{{asset("/css/style.css")}}" rel="stylesheet" type="text/css" id="custom-stylesheet" />

		<!-- icons -->
		<link href="{{asset("/css/icons.min.css")}}" rel="stylesheet" type="text/css" />


       


    </head>

    <body>

        <!-- Begin page -->
        <div id="wrapper">

            <!-- Topbar Start -->
            <div class="navbar-custom">
                <div class="container-fluid">
                    <ul class="list-unstyled topnav-menu float-right mb-0">
    
                        <li class="dropdown d-none d-lg-inline-block">
                            <div class="language-switcher text-right">
                                <a href="#" class="active">ENG</a> | <a href="#" class="">العربیہ</a>
                            </div>
                        </li>
                        <li class="dropdown d-none d-lg-inline-block">
                            <a class="nav-link dropdown-toggle arrow-none waves-effect waves-light" data-toggle="fullscreen" href="#">
                                <i class="fe-maximize noti-icon"></i>
                            </a>
                        </li>
            
                        <li class="dropdown notification-list topbar-dropdown">
                            <a class="nav-link dropdown-toggle waves-effect waves-light" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                <i class="fe-bell noti-icon"></i>
                                <span class="badge badge-danger rounded-circle noti-icon-badge">9</span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right dropdown-lg">
    
                                <!-- item-->
                                <div class="dropdown-item noti-title">
                                    <h5 class="m-0">
                                        <span class="float-right">
                                            <a href="" class="text-dark">
                                                <small>Clear All</small>
                                            </a>
                                        </span>Notification
                                    </h5>
                                </div>
    
                                <div class="noti-scroll" data-simplebar>
    
                                    <!-- item-->
                                    <a href="javascript:void(0);" class="dropdown-item notify-item active">
                                        <div class="notify-icon">
                                            <img src="../assets/images/users/user-1.jpg" class="img-fluid rounded-circle" alt="" /> </div>
                                        <p class="notify-details">Cristina Pride</p>
                                        <p class="text-muted mb-0 user-msg">
                                            <small>Hi, How are you? What about our next meeting</small>
                                        </p>
                                    </a>
    
                                    <!-- item-->
                                    <a href="javascript:void(0);" class="dropdown-item notify-item">
                                        <div class="notify-icon bg-primary">
                                            <i class="mdi mdi-comment-account-outline"></i>
                                        </div>
                                        <p class="notify-details">Caleb Flakelar commented on Admin
                                            <small class="text-muted">1 min ago</small>
                                        </p>
                                    </a>
    
                                    <!-- item-->
                                    <a href="javascript:void(0);" class="dropdown-item notify-item">
                                        <div class="notify-icon">
                                            <img src="../assets/images/users/user-4.jpg" class="img-fluid rounded-circle" alt="" /> </div>
                                        <p class="notify-details">Karen Robinson</p>
                                        <p class="text-muted mb-0 user-msg">
                                            <small>Wow ! this admin looks good and awesome design</small>
                                        </p>
                                    </a>
    
                                    <!-- item-->
                                    <a href="javascript:void(0);" class="dropdown-item notify-item">
                                        <div class="notify-icon bg-warning">
                                            <i class="mdi mdi-account-plus"></i>
                                        </div>
                                        <p class="notify-details">New user registered.
                                            <small class="text-muted">5 hours ago</small>
                                        </p>
                                    </a>
    
                                    <!-- item-->
                                    <a href="javascript:void(0);" class="dropdown-item notify-item">
                                        <div class="notify-icon bg-info">
                                            <i class="mdi mdi-comment-account-outline"></i>
                                        </div>
                                        <p class="notify-details">Caleb Flakelar commented on Admin
                                            <small class="text-muted">4 days ago</small>
                                        </p>
                                    </a>
    
                                    <!-- item-->
                                    <a href="javascript:void(0);" class="dropdown-item notify-item">
                                        <div class="notify-icon bg-secondary">
                                            <i class="mdi mdi-heart"></i>
                                        </div>
                                        <p class="notify-details">Carlos Crouch liked
                                            <b>Admin</b>
                                            <small class="text-muted">13 days ago</small>
                                        </p>
                                    </a>
                                </div>
    
                                <!-- All-->
                                <a href="javascript:void(0);" class="dropdown-item text-center text-primary notify-item notify-all">
                                    View all
                                    <i class="fe-arrow-right"></i>
                                </a>
    
                            </div>
                        </li>
    
                        <li class="dropdown notification-list topbar-dropdown">
                            <a class="nav-link dropdown-toggle nav-user mr-0 waves-effect waves-light" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                <img src="../assets/images/user-1.png" alt="user-image" class="rounded-circle">
                                <span class="pro-user-name ml-1">
                                    Admin <i class="mdi mdi-chevron-down"></i> 
                                </span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right profile-dropdown ">
                                <!-- item-->
                                <div class="dropdown-header noti-title">
                                    <h6 class="text-overflow m-0">Welcome !</h6>
                                </div>
    
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-user"></i>
                                    <span>My Account</span>
                                </a>
    
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-settings"></i>
                                    <span>Settings</span>
                                </a>
    
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-lock"></i>
                                    <span>Lock Screen</span>
                                </a>
    
                                <div class="dropdown-divider"></div>
    
                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-log-out"></i>
                                    <span>Logout</span>
                                </a>
    
                            </div>
                        </li>
    
                        <li class="dropdown notification-list">
                            <a href="javascript:void(0);" class="nav-link right-bar-toggle waves-effect waves-light">
                                <i class="fe-settings noti-icon"></i>
                            </a>
                        </li>
    
                    </ul>
    
                    <!-- LOGO -->
                    <div class="logo-box">
                        <a href="index.html" class="logo logo-light text-center">
                            <span class="logo-sm">
                                <img src="../assets/images/logo_dashboard.png" alt="" height="56">
                            </span>
                            <span class="logo-lg">
                                <img src="../assets/images/logo_dashboard.png" alt="" height="56">
                            </span>
                        </a>
                    </div>
    
                    <ul class="list-unstyled topnav-menu topnav-menu-left m-0">
                        <li>
                            <button class="button-menu-mobile waves-effect waves-light">
                                <i class="fe-menu"></i>
                            </button>
                        </li>

                        <li>
                            <!-- Mobile menu toggle (Horizontal Layout)-->
                            <a class="navbar-toggle nav-link" data-toggle="collapse" data-target="#topnav-menu-content">
                                <div class="lines">
                                    <span></span>
                                    <span></span>
                                    <span></span>
                                </div>
                            </a>
                            <!-- End mobile menu toggle-->
                        </li>   
                    </ul>
                    <div class="clearfix"></div>
                </div>
            </div>
            <!-- end Topbar -->

            <!-- ========== Left Sidebar Start ========== -->
            <div class="left-side-menu">

                <div class="h-100" data-simplebar>

                    <!-- User box -->
                    <div class="user-box text-center">
                        <img src="../assets/images/users/user-1.jpg" alt="user-img" title="Mat Helme"
                            class="rounded-circle avatar-md">
                        <div class="dropdown">
                            <a href="javascript: void(0);" class="text-dark dropdown-toggle h5 mt-2 mb-1 d-block"
                                data-toggle="dropdown">Geneva Kennedy</a>
                            <div class="dropdown-menu user-pro-dropdown">

                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-user mr-1"></i>
                                    <span>My Account</span>
                                </a>

                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-settings mr-1"></i>
                                    <span>Settings</span>
                                </a>

                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-lock mr-1"></i>
                                    <span>Lock Screen</span>
                                </a>

                                <!-- item-->
                                <a href="javascript:void(0);" class="dropdown-item notify-item">
                                    <i class="fe-log-out mr-1"></i>
                                    <span>Logout</span>
                                </a>

                            </div>
                        </div>
                        <p class="text-muted">Admin Head</p>
                    </div>

                    <!--- Sidemenu -->
                    <div id="sidebar-menu">

                        <ul id="side-menu">
                            <div class="admin-dbox"> 
                                <div class="row align-items-center ml-1  mt-2 mb-2">
                                    <div class="col-4">
                                        <img src="../assets/images/user-1.png" class="img-fluid" />
                                    </div>
                                    <div class="col-8">
                                        <div class="text-left">
                                            <h5>Demo Name</h5>
                                            <span class="text-muted"><i class="fe-user"></i> Admin</span><br>
                                            <span class="text-muted"><i class="far fa-envelope"></i> admin@admin.com</span>
                                        </div>
                                    </div>
                                </div>
                            </div>               
                            <li>
                                <a href="#sidebarDashboards" data-toggle="collapse">
                                    <i data-feather="home"></i>
                                    <span> Dashboard </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarDashboards">
                                    <ul class="nav-second-level">
                                        <li>
                                            <a href="index.html">Dashboard 1</a>
                                        </li>
                                        <li>
                                            <a href="#">Dashboard 2</a>
                                        </li>
                                    </ul>
                                </div>
                            </li>
                            <li>
                                <a href="#sidebarAdmin" data-toggle="collapse">
                                    <i data-feather="lock"></i>
                                    <span> Admin </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarAdmin">
                                    <ul class="nav-second-level">
                                        <li>
                                            <a href="adminusers.html">Users</a>
                                        </li>
                                        <li>
                                            <a href="addnewuser.html">Add New User</a>
                                        </li>
                                        
                                    </ul>
                                </div>
                            </li>

                            <li>
                                <a href="#sidebarPassengers" data-toggle="collapse">
                                    <i data-feather="users"></i>
                                    <span> Passengers </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarPassengers">
                                    <ul class="nav-second-level">
                                        <li>
                                            <a href="passengers.html">Passengers</a>
                                        </li>
                                        <li>
                                            <a href="addnewpassenger.html">Add New Passenger</a>
                                        </li>
                                        <li>
                                            <a href="pessengerchart.html">Chart</a>
                                        </li>
                                        <li>
                                            <a href="dailypassengerreg.html">Daily Passenger Registration</a>
                                        </li>
                                    </ul>
                                </div>
                            </li>

                            <li>
                                <a href="#sidebarDivers" data-toggle="collapse">
                                    <i class="fas fa-car"></i>
                                    <span> Divers </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarDivers">
                                    <ul class="nav-second-level">
                                        <li>
                                            <a href="addnewdriver.html">Add New Drivers</a>
                                        </li>
                                        <li>
                                            <a href="drivervehicles.html">Driver Vehicles</a>
                                        </li>
                                        <li>
                                            <a href="driverchart.html">Drivers Chart</a>
                                        </li>
                                        <li>
                                            <a href="drivervehicleschart.html">Driver Vehicles Chart</a>
                                        </li>
                                        <li>
                                            <a href="dailydriverreg.html">Daily Driver Registration</a>
                                        </li>
                                        <li>
                                            <a href="drivertracking.html">Driver Tracking</a>
                                        </li>
                                    </ul>
                                </div>
                            </li>
                            <li>
                                <a href="#sidebarTrips" data-toggle="collapse">
                                    <i class="fas fa-route"></i>
                                    <span> Trips </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarTrips">
                                    <ul class="nav-second-level">
                                        <li>
                                            <a href="tripbookingrequest.html">Booking Requests</a>
                                        </li>
                                        <li>
                                            <a href="trips.html">Trips</a>
                                        </li>
                                        <li>
                                            <a href="tripbookingchart.html">Booking Request Chart</a>
                                        </li>
                                        <li>
                                            <a href="tripchart.html">Trip Chart</a>
                                        </li>
                                    </ul>
                                </div>
                            </li>

                            <li>
                                <a href="#sidebarOrders" data-toggle="collapse">
                                    <i class="mdi mdi-calendar-text"></i>
                                    <span> Orders </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarOrders">
                                    <ul class="nav-second-level">
                                        <li>
                                            <a href="#">Menu item 1</a>
                                        </li>
                                        <li>
                                            <a href="#">Menu item 1</a>
                                        </li>
                                    </ul>
                                </div>
                            </li>

                            <li>
                                <a href="#sidebarWallets" data-toggle="collapse">
                                    <i class="mdi mdi-wallet-outline"></i>
                                    <span> Wallets </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarWallets">
                                    <ul class="nav-second-level">
                                        <li>
                                            <a href="walletbookingreceipts.html">Booking Receipts</a>
                                        </li>
                                        <li>
                                            <a href="walletorderreceipte.html">Order Receipts</a>
                                        </li>
                                    </ul>
                                </div>
                            </li>

                            <li>
                                <a href="#sidebarContacts" data-toggle="collapse">
                                    <i class="far fa-comment-dots"></i>
                                    <span> SMS Verification </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarContacts">
                                    <ul class="nav-second-level">
                                        <li>
                                            <a href="smsmemeberslist.html">Members List</a>
                                        </li>
                                        <li>
                                            <a href="smsprofile.html">Profile</a>
                                        </li>
                                    </ul>
                                </div>
                            </li>

                            <li>
                                <a href="#sidebarTickets" data-toggle="collapse">
                                    <i data-feather="user" ></i>
                                    <span> User Role </span>
                                    <span class="menu-arrow"></span>
                                </a>
                                <div class="collapse" id="sidebarTickets">
                                    <ul class="nav-second-level">
                                        <li>
                                            <a href="#">List</a>
                                        </li>
                                        <li>
                                            <a href="#">Detail</a>
                                        </li>
                                    </ul>
                                </div>
                            </li>
                            <li class="ml-5 mt-3">
                                <button type="button" class="btn btn-outline-primary btn-rounded waves-effect waves-light"><i class="icon-logout"></i> Logout</button>
                            </li>
                            
                        </ul>

                    </div>
                    <!-- End Sidebar -->

                    <div class="clearfix"></div>

                </div>
                <!-- Sidebar -left -->

            </div>
            <!-- Left Sidebar End -->

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->

            <div class="content-page">
                <div class="content">

                    <!-- Start Content-->
                    <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row ">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Dashboard</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row mainscreen">
                            <div class="col-md-3 col-xl-3">
                                <div class="widget-rounded-circle card-box ">
                                    <div class="row ">
                                        <div class="col-7  ">
                                            <div class="text-left">
                                                <p class="text-muted mb-1 text-truncate">Hi Admin,</p>
                                                <h3 class="text-dark mt-1">Welcome!</h3>
                                            </div>
                                        </div>
                                        <div class="col-5">
                                            <div class="text-right mt-2">
                                                <img src="../assets/images/dashboard_1.png" class="img-fluid" />
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                            <div class="col-md-3 col-xl-3">
                                <div class="widget-rounded-circle card-box  pb-0">
                                    <div class="row ">
                                        <div class="col-7 ">
                                            <div class="text-left">
                                                <p class="text-muted mb-1 text-truncate">Total Drivers</p>
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup">1000</span></h3>
                                               
                                            </div>
                                        </div>
                                        <div class="col-5">
                                            <div class="text-right mt-2">
                                                <img src="../assets/images/driver.png" class="img-fluid" />
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                            <div class="col-md-3 col-xl-3">
                                <div class="widget-rounded-circle card-box pb-0">
                                    <div class="row ">
                                        <div class="col-7 ">
                                            <div class="text-left">
                                                <p class="text-muted mb-1 text-truncate">Total Passenger</p>
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup">1000</span></h3>
                                               
                                            </div>
                                        </div>
                                        <div class="col-5">
                                            <div class="text-right mt-2">
                                                <img src="../assets/images/icons/total_passanger.png" class="img-fluid" />
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                            <div class="col-md-3 col-xl-3">
                                <div class="widget-rounded-circle card-box">
                                    <div class="row ">
                                        <div class="col-7 align-self-center">
                                            <div class="text-left">
                                                <p class="text-muted mb-1 text-truncate">Total Trips Today</p>
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup">1210</span></h3>
                                            </div>
                                        </div>
                                        <div class="col-5">
                                            <div class="text-right mt-2">
                                                <img src="../assets/images/icons/total_trips.png" class="img-fluid" />
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->
                            
                        </div>


                        <div class="row">
                            <div class="col-lg-6">
                                <div class="card-box" dir="ltr">
                                    
                                    <div class="row">
                                        <div class="col-md-7 pr-0">
                                            <h4 class="header-title mb-3">Daily Passenger Registration</h4>
                                        </div>
                                        <div class="col-md-5 p-0">
                                            <div class="button-list text-right">
                                                <button type="button" class="btn btn-xs btn-secondary waves-effect waves-light">Daily</button>
                                                <button type="button" class="btn btn-xs  waves-effect waves-light">Weekly</button>
                                                <button type="button" class="btn btn-xs  waves-effect waves-light">Monthly</button>
                                            </div>
                                        </div>

                                    </div>
                                    <div id="morris-line-example" style="height: 380px;" class="morris-chart" data-colors="#6772E5"></div>
                                </div> <!-- card-box -->
                            </div> <!-- end row -->
                            <div class="col-lg-6">
                                <div class="card">
                                    <div class="card-body" dir="ltr">
                                        <div class="card-widgets">
                                            <a href="javascript: void(0);" data-toggle="reload"><i class="mdi mdi-refresh"></i></a>
                                        </div>
                                        <h4 class="header-title mb-3">Drivers Profile Completion</h4>
                                        <div class="table-responsive">
                                            <table class="table table-borderless mb-0">
                                                <thead class="thead-light">
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Driver Name</th>
                                                    <th>Completion Rate %</th>
                                                    <th>&nbsp;</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                    <th scope="row">1</th>
                                                    <td>Talal Mohammed</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>80%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">2</th>
                                                    <td>Usman</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 90%" aria-valuenow="90" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>90%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">3</th>
                                                    <td>عبدالرحمن</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 100%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>100%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">4</th>
                                                    <td>Usman</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 70%" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>70%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">5</th>
                                                    <td>Asad</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>80%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">6</th>
                                                    <td>Hamza</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 70%" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>70%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">7</th>
                                                    <td>Arslan</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 60%" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>60%</td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div> <!-- end table-responsive-->
                                        
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end row -->
                        </div>
                        <!-- end row -->
                        <div class="row">
                            <div class="col-lg-5 col-md-5">
                                <div class="card-box" dir="ltr">
                                    
                                    <div id="morris-bar-example" style="height: 350px;" class="morris-chart" data-colors="#FF394F"></div>
                                    <div class="mt-3 mb-3">
                                        <hr>
                                    </div>
                                    <h3 class="header-title text-center mb-3">Total Monthly Trips</h3>
                                    <div class="text-center">
                                        <button  class="btn btn-primary btn-sm" > <i class="mdi mdi-transit-connection-variant"></i> Statistics</button>  <span>for the last year</span>
                                    </div>
                                </div> <!-- end card-box-->
                            </div> <!-- end col-->
                            <div class="col-lg-7 col-md-7">
                                <div class="card"> 
                                    <div class="card-body" dir="ltr">
                                        <div class="card-widgets">
                                            <a href="javascript: void(0);" data-toggle="reload"><i class="mdi mdi-refresh"></i></a>
                                        </div>                                  
                                        <h4 class="header-title mb-3">Vehicle Types </h4>
                                        <div class="table-responsive">
                                            <table class="table table-borderless mb-0">
                                                <thead class="thead-light">
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Car Type</th>
                                                    <th>Percentage %</th>
                                                    <th>&nbsp;</th>
                                                    <th>Count</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                    <th scope="row">1</th>
                                                    <td>Taxi</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>80%</td>
                                                    <td>80</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">2</th>
                                                    <td>Sedan</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 90%" aria-valuenow="90" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>90%</td>
                                                    <td>90</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">3</th>
                                                    <td>van</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 1%" aria-valuenow="1" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>1%</td>
                                                    <td>1</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">4</th>
                                                    <td>Pickup</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 1%" aria-valuenow="1" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>1%</td>
                                                    <td>1</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">5</th>
                                                    <td>Delivery</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>0%</td>
                                                    <td>0</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">6</th>
                                                    <td>Tow Hydrulic</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>0%</td>
                                                    <td>0</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">7</th>
                                                    <td>SUV</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>0%</td>
                                                    <td>0</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">8</th>
                                                    <td>Tow Car</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>0%</td>
                                                    <td>0</td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div> <!-- end table-responsive-->
                                    </div> 
                                </div> <!-- end card-box-->
                            </div> <!-- end col-->
                        </div>
                        <!-- end row -->
                        <!-- End Page Body -->
                    </div> <!-- container -->

                </div> <!-- content -->

            </div>

            <!-- ============================================================== -->
            <!-- End Page content -->
            <!-- ============================================================== -->


        </div>
        <!-- END wrapper -->

        <!-- Right Sidebar -->
        <div class="right-bar">
            <div data-simplebar class="h-100">
                
                <!-- Nav tabs -->
                <ul class="nav nav-tabs nav-bordered nav-justified" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link py-2" data-toggle="tab" href="#chat-tab" role="tab">
                            <i class="mdi mdi-message-text d-block font-22 my-1"></i>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link py-2" data-toggle="tab" href="#tasks-tab" role="tab">
                            <i class="mdi mdi-format-list-checkbox d-block font-22 my-1"></i>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link py-2 active" data-toggle="tab" href="#settings-tab" role="tab">
                            <i class="mdi mdi-cog-outline d-block font-22 my-1"></i>
                        </a>
                    </li>
                </ul>

                <!-- Tab panes -->
                <div class="tab-content pt-0">
                    <div class="tab-pane" id="chat-tab" role="tabpanel">
                        <h6 class="font-weight-medium px-3 m-0 py-2 font-13 text-uppercase bg-light">
                            <span class="d-block py-1">Tab content 1</span>
                        </h6>
                        <div class="px-2">
                            <p>Any content Goes here</p>
                        </div>
                    </div>

                    <div class="tab-pane" id="tasks-tab" role="tabpanel">
                        <h6 class="font-weight-medium px-3 m-0 py-2 font-13 text-uppercase bg-light">
                            <span class="d-block py-1">Tab content</span>
                        </h6>
                        <div class="px-2">
                            <p>Any content Goes here</p>
                        </div>

                    </div>
                    <div class="tab-pane active" id="settings-tab" role="tabpanel">
                        <h6 class="font-weight-medium px-3 m-0 py-2 font-13 text-uppercase bg-light">
                            <span class="d-block py-1">Tab content</span>
                        </h6>
                        <div class="px-2">
                            <p>Any content Goes here</p>
                        </div>

                    </div>
                </div>

            </div> <!-- end slimscroll-menu-->
        </div>
        <!-- /Right-bar -->

        <!-- Right bar overlay-->
        <div class="rightbar-overlay"></div>

    
 
         <!-- Init js -->
          <script src="{{asset("/libs/morris.js06/morris.min.js")}}"></script>
          <script src="{{asset("/libs/raphael/raphael.min.js")}}"></script>
          <script src="{{asset("/js/pages/morris.init.js")}}"></script>


         <script src="{{asset("/js/vendor.min.js")}}"></script>

        <!-- App js -->
        <script src="{{asset("/js/app.min.js")}}"></script>
        
    </body>
</html>