
@extends('AdminLayout')
@section('content')

                    <!-- Start Content-->
                    <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row ">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <div class="page-title-right">
                                        <ol class="breadcrumb m-0">
                                            <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboard</a></li>
                                        </ol>
                                    </div>
                                    <h4 class="page-title">Dashboard</h4>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 
                        <!-- Page body -->
                        <div class="row mainscreen">
                            <div class="col-md-3 col-xl-3">
                                <div class="widget-rounded-circle card-box ">
                                    <div class="row ">
                                        <div class="col-7  align-self-center">
                                            <div class="text-left">
                                                <p class="text-muted mb-1 text-truncate">Hi Admin,</p>
                                                <h3 class="text-dark mt-1">Welcome!</h3>
                                            </div>
                                        </div>
                                        <div class="col-5 align-self-center">
                                            <div class="text-right ">
                                                <img src="{{asset("/images/dashboard_1.png")}}" class="img-fluid" />
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                            <div class="col-md-3 col-xl-3">
                                <div class="widget-rounded-circle card-box  ">
                                    <div class="row ">
                                        <div class="col-7 align-self-center">
                                            <div class="text-left">
                                                <p class="text-muted mb-1 text-truncate">Total Drivers</p>
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup">1000</span></h3>
                                               
                                            </div>
                                        </div>
                                        <div class="col-5 align-self-center">
                                            <div class="text-right ">
                                                <img src="{{asset("/images/driver.png")}}" class="img-fluid" />
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                            <div class="col-md-3 col-xl-3">
                                <div class="widget-rounded-circle card-box ">
                                    <div class="row ">
                                        <div class="col-7 align-self-center">
                                            <div class="text-left">
                                                <p class="text-muted mb-1 text-truncate">Total Passenger</p>
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup">1000</span></h3>
                                               
                                            </div>
                                        </div>
                                        <div class="col-5 align-self-center">
                                            <div class="text-right ">
                                                <img src="{{asset("/images/icons/total_passanger.png")}}" class="img-fluid" />

                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                            <div class="col-md-3 col-xl-3">
                                <div class="widget-rounded-circle card-box">
                                    <div class="row ">
                                        <div class="col-7 align-self-center">
                                            <div class="text-left">
                                                <p class="text-muted mb-1 text-truncate">Total Trips Today</p>
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup">1210</span></h3>
                                            </div>
                                        </div>
                                        <div class="col-5">
                                            <div class="text-right align-self-center">
                                                <img src="{{asset("/images/icons/total_trips.png")}}" class="img-fluid" />

                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->
                            
                        </div>


                        <div class="row">
                            <div class="col-lg-6">
                                <div class="card-box" dir="ltr">
                                    
                                    <div class="row">
                                        <div class="col-md-7 pr-0">
                                            <h4 class="header-title mb-3">Daily Passenger Registration</h4>
                                        </div>
                                        <div class="col-md-5 p-0">
                                            <div class="button-list text-right">
                                                <button type="button" class="btn btn-xs btn-secondary waves-effect waves-light">Daily</button>
                                                <button type="button" class="btn btn-xs  waves-effect waves-light">Weekly</button>
                                                <button type="button" class="btn btn-xs  waves-effect waves-light">Monthly</button>
                                            </div>
                                        </div>

                                    </div>
									<div class="mt-1">
										<div id="morris-line-example" style="height: 420px;" class="morris-chart" data-colors="#6772E5"></div>
									</div>
                                </div> <!-- card-box -->
                            </div> <!-- end row -->
                            <div class="col-lg-6">
                                <div class="card">
                                    <div class="card-body" dir="ltr">
                                        <div class="card-widgets">
                                            <a href="javascript: void(0);" data-toggle="reload"><i class="mdi mdi-refresh"></i></a>
                                        </div>
                                        <h4 class="header-title mb-3">Drivers Profile Completion</h4>
                                        <div class="table-responsive">
                                            <table class="table table-borderless mb-0">
                                                <thead class="thead-light">
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Driver Name</th>
                                                    <th>Completion Rate %</th>
                                                    <th>&nbsp;</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                    <th scope="row">1</th>
                                                    <td>Talal Mohammed</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>80%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">2</th>
                                                    <td>Usman</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 90%" aria-valuenow="90" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>90%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">3</th>
                                                    <td>عبدالرحمن</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 100%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>100%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">4</th>
                                                    <td>Usman</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 70%" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>70%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">5</th>
                                                    <td>Asad</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>80%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">6</th>
                                                    <td>Hamza</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 70%" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>70%</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">7</th>
                                                    <td>Arslan</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-red" role="progressbar" style="width: 60%" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>60%</td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div> <!-- end table-responsive-->
                                        
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end row -->
                        </div>
                        <!-- end row -->
                        <div class="row">
                            <div class="col-lg-5 col-md-5">
                                <div class="card-box" dir="ltr">
                                    
                                    <div id="morris-bar-example" style="height: 400px;" class="morris-chart" data-colors="#FF394F"></div>
                                    <div class="mt-3 mb-3">
                                        <hr>
                                    </div>
                                    <h3 class="header-title text-center mb-3">Total Monthly Trips</h3>
                                    <div class="text-center">
                                        <button  class="btn btn-primary btn-sm" > <i class="mdi mdi-transit-connection-variant"></i> Statistics</button>  <span>for the last year</span>
                                    </div>
                                </div> <!-- end card-box-->
                            </div> <!-- end col-->
                            <div class="col-lg-7 col-md-7">
                                <div class="card"> 
                                    <div class="card-body" dir="ltr">
                                        <div class="card-widgets">
                                            <a href="javascript: void(0);" data-toggle="reload"><i class="mdi mdi-refresh"></i></a>
                                        </div>                                  
                                        <h4 class="header-title mb-3">Vehicle Types </h4>
                                        <div class="table-responsive">
                                            <table class="table table-borderless mb-0">
                                                <thead class="thead-light">
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Car Type</th>
                                                    <th>Percentage %</th>
                                                    <th>&nbsp;</th>
                                                    <th>Count</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                    <th scope="row">1</th>
                                                    <td>Taxi</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>80%</td>
                                                    <td>80</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">2</th>
                                                    <td>Sedan</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 90%" aria-valuenow="90" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>90%</td>
                                                    <td>90</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">3</th>
                                                    <td>van</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 1%" aria-valuenow="1" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>1%</td>
                                                    <td>1</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">4</th>
                                                    <td>Pickup</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 1%" aria-valuenow="1" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>1%</td>
                                                    <td>1</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">5</th>
                                                    <td>Delivery</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>0%</td>
                                                    <td>0</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">6</th>
                                                    <td>Tow Hydrulic</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>0%</td>
                                                    <td>0</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">7</th>
                                                    <td>SUV</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>0%</td>
                                                    <td>0</td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">8</th>
                                                    <td>Tow Car</td>
                                                    <td>
                                                        <div class="progress">
                                                            <div class="progress-bar progress-blue" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                                                        </div>
                                                    </td>
                                                    <td>0%</td>
                                                    <td>0</td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div> <!-- end table-responsive-->
                                    </div> 
                                </div> <!-- end card-box-->
                            </div> <!-- end col-->
                        </div>
                        <!-- end row -->
                        <!-- End Page Body -->
                    </div> <!-- container -->
                     @endsection

